/*      Compiler: ECL 16.0.0                                          */
/*      Source: SRC:CLX;DEPDEFS.LISP                                  */
#include <ecl/ecl-cmp.h>
#include "clx/depdefs.eclh"
/*      local function WITH-VECTOR                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1with_vector(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6var;
   cl_object v7type;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v8;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6var = v8;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7type = v8;
   }
   if (Null(v5)) { goto L21; }
   si_dm_too_many_arguments(v1);
L21:;
   T0 = cl_list(2, v6var, v6var);
   T1 = ecl_list1(T0);
   T2 = cl_list(3, ECL_SYM("TYPE",869), v7type, v6var);
   T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
   value0 = cl_listX(4, ECL_SYM("LET",477), T1, T3, v3);
   return value0;
  }
 }
}
/*      local function WITHIN-DEFINITION                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2within_definition(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6name;
   cl_object v7type;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v8;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6name = v8;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7type = v8;
   }
   if (Null(v5)) { goto L21; }
   si_dm_too_many_arguments(v1);
L21:;
   value0 = CONS(ECL_SYM("PROGN",671),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function RESOURCE-ID-MAP-TEST                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3resource_id_map_test(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[3];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function ATOM-CACHE-MAP-TEST                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4atom_cache_map_test(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[5];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function KEYSYM->CHARACTER-MAP-TEST                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5keysym__character_map_test(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[3];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function BUFFER-BYTES                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6buffer_bytes(cl_object v1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1)) { goto L1; }
  si_dm_too_many_arguments(v1);
L1:;
  value0 = VV[9];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function ARRAY-INDEX                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7array_index(cl_object v1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1)) { goto L1; }
  si_dm_too_many_arguments(v1);
L1:;
  value0 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), ecl_make_fixnum(2305843009213693951));
  return value0;
 }
}
/*      function definition for MAKE-INDEX-TYPED                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_index_typed(cl_object v1form)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_constantp(1, v1form))) { goto L1; }
  value0 = v1form;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = cl_list(3, ECL_SYM("THE",856), VV[10], v1form);
  return value0;
 }
}
/*      function definition for MAKE-INDEX-OP                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9make_index_op(cl_object v1operator, cl_object v2args)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum v3;
   v3 = ecl_length(v2args);
   if (!((v3)==(0))) { goto L3; }
   T0 = ecl_list1(v1operator);
   goto L1;
L3:;
   if (!((v3)==(1))) { goto L5; }
   T1 = ecl_car(v2args);
   T2 = L8make_index_typed(T1);
   T0 = cl_list(2, v1operator, T2);
   goto L1;
L5:;
   if (!((v3)==(2))) { goto L7; }
   T1 = ecl_car(v2args);
   T2 = L8make_index_typed(T1);
   T3 = ecl_cadr(v2args);
   T4 = L8make_index_typed(T3);
   T0 = cl_list(3, v1operator, T2, T4);
   goto L1;
L7:;
   {
    cl_fixnum v4;
    v4 = ecl_length(v2args);
    T1 = ecl_make_integer((v4)-1);
    T2 = cl_subseq(3, v2args, ecl_make_fixnum(0), T1);
    T3 = L9make_index_op(v1operator, T2);
    T4 = ecl_last(v2args,1);
    T5 = ecl_car(T4);
    T6 = L8make_index_typed(T5);
    T0 = cl_list(3, v1operator, T3, T6);
   }
  }
L1:;
  T1 = cl_list(2, ECL_SYM("VALUES",895), T0);
  value0 = cl_list(3, ECL_SYM("THE",856), VV[10], T1);
  return value0;
 }
}
/*      local function INDEX+                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10index_(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("+",14), v3);
   return value0;
  }
 }
}
/*      local function INDEX-LOGAND                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11index_logand(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("LOGAND",492), v3);
   return value0;
  }
 }
}
/*      local function INDEX-LOGIOR                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12index_logior(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("LOGIOR",500), v3);
   return value0;
  }
 }
}
/*      local function INDEX-                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13index_(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("-",17), v3);
   return value0;
  }
 }
}
/*      local function INDEX*                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14index_(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("*",18), v3);
   return value0;
  }
 }
}
/*      local function INDEX1+                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15index1_(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = ecl_list1(v4number);
   value0 = L9make_index_op(ECL_SYM("1+",70), T0);
   return value0;
  }
 }
}
/*      local function INDEX1-                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16index1_(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = ecl_list1(v4number);
   value0 = L9make_index_op(ECL_SYM("1-",71), T0);
   return value0;
  }
 }
}
/*      local function INDEX-INCF                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17index_incf(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4place;
   cl_object v5delta;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4place = v6;
   }
   if (Null(v3)) { goto L9; }
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5delta = v6;
    goto L8;
   }
L9:;
   v5delta = ecl_make_fixnum(1);
L8:;
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4place, v5delta);
   value0 = L9make_index_op(ECL_SYM("INCF",433), T0);
   return value0;
  }
 }
}
/*      local function INDEX-DECF                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18index_decf(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4place;
   cl_object v5delta;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4place = v6;
   }
   if (Null(v3)) { goto L9; }
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5delta = v6;
    goto L8;
   }
L9:;
   v5delta = ecl_make_fixnum(1);
L8:;
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4place, v5delta);
   value0 = L9make_index_op(ECL_SYM("DECF",271), T0);
   return value0;
  }
 }
}
/*      local function INDEX-MIN                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19index_min(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("MIN",557), v3);
   return value0;
  }
 }
}
/*      local function INDEX-MAX                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20index_max(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = L9make_index_op(ECL_SYM("MAX",551), v3);
   return value0;
  }
 }
}
/*      local function INDEX-FLOOR                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21index_floor(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   cl_object v5divisor;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5divisor = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4number, v5divisor);
   value0 = L9make_index_op(ECL_SYM("FLOOR",384), T0);
   return value0;
  }
 }
}
/*      local function INDEX-CEILING                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22index_ceiling(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   cl_object v5divisor;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5divisor = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4number, v5divisor);
   value0 = L9make_index_op(ECL_SYM("CEILING",199), T0);
   return value0;
  }
 }
}
/*      local function INDEX-TRUNCATE                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23index_truncate(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   cl_object v5divisor;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5divisor = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4number, v5divisor);
   value0 = L9make_index_op(ECL_SYM("TRUNCATE",865), T0);
   return value0;
  }
 }
}
/*      local function INDEX-MOD                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24index_mod(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   cl_object v5divisor;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5divisor = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4number, v5divisor);
   value0 = L9make_index_op(ECL_SYM("MOD",560), T0);
   return value0;
  }
 }
}
/*      local function INDEX-ASH                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25index_ash(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   cl_object v5count;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5count = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, v4number, v5count);
   value0 = L9make_index_op(ECL_SYM("ASH",110), T0);
   return value0;
  }
 }
}
/*      local function INDEX-PLUSP                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26index_plusp(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[10], v4number);
   value0 = cl_list(2, ECL_SYM("PLUSP",642), T0);
   return value0;
  }
 }
}
/*      local function INDEX-ZEROP                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27index_zerop(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[10], v4number);
   value0 = cl_list(2, ECL_SYM("ZEROP",926), T0);
   return value0;
  }
 }
}
/*      local function INDEX-EVENP                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28index_evenp(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[10], v4number);
   value0 = cl_list(2, ECL_SYM("EVENP",341), T0);
   return value0;
  }
 }
}
/*      local function INDEX-ODDP                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29index_oddp(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4number;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4number = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[10], v4number);
   value0 = cl_list(2, ECL_SYM("ODDP",610), T0);
   return value0;
  }
 }
}
/*      local function INDEX>                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30index_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    v4 = ecl_fdefinition(VV[11]);
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v3;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L10:;
      if (!(ecl_endp(v6))) { goto L12; }
      goto L11;
L12:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T1 = v9;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v8,T1);
      goto L10;
L11:;
      T0 = ecl_cdr(v7);
      goto L2;
     }
    }
   }
L2:;
   value0 = CONS(ECL_SYM(">",75),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function INDEX=                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31index_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    v4 = ecl_fdefinition(VV[11]);
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v3;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L10:;
      if (!(ecl_endp(v6))) { goto L12; }
      goto L11;
L12:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T1 = v9;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v8,T1);
      goto L10;
L11:;
      T0 = ecl_cdr(v7);
      goto L2;
     }
    }
   }
L2:;
   value0 = CONS(ECL_SYM("=",74),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function INDEX<                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32index_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    v4 = ecl_fdefinition(VV[11]);
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v3;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L10:;
      if (!(ecl_endp(v6))) { goto L12; }
      goto L11;
L12:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T1 = v9;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v8,T1);
      goto L10;
L11:;
      T0 = ecl_cdr(v7);
      goto L2;
     }
    }
   }
L2:;
   value0 = CONS(ECL_SYM("<",72),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function INDEX>=                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33index__(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    v4 = ecl_fdefinition(VV[11]);
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v3;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L10:;
      if (!(ecl_endp(v6))) { goto L12; }
      goto L11;
L12:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T1 = v9;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v8,T1);
      goto L10;
L11:;
      T0 = ecl_cdr(v7);
      goto L2;
     }
    }
   }
L2:;
   value0 = CONS(ECL_SYM(">=",76),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function INDEX<=                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34index__(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    v4 = ecl_fdefinition(VV[11]);
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v3;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L10:;
      if (!(ecl_endp(v6))) { goto L12; }
      goto L11;
L12:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T1 = v9;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v8,T1);
      goto L10;
L11:;
      T0 = ecl_cdr(v7);
      goto L2;
     }
    }
   }
L2:;
   value0 = CONS(ECL_SYM("<=",73),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MAKE-REPLY-BUFFER-INTERNAL            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35make_reply_buffer_internal(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L35make_reply_buffer_internalkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v1 = ecl_make_fixnum(0);
   } else {
    v1 = keyvars[0];
   }
   if (Null(keyvars[5])) {
    v2 = ecl_symbol_value(VV[39]);
   } else {
    v2 = keyvars[1];
   }
   v3 = keyvars[2];
   if (Null(keyvars[7])) {
    v4 = ecl_make_fixnum(0);
   } else {
    v4 = keyvars[3];
   }
  }
  {
   cl_fixnum v5;
   v5 = 0;
   if (!(ECL_FIXNUMP(v4))) { goto L8; }
   v5 = ecl_fixnum(v4);
   if (!((v5)<=(2305843009213693951))) { goto L13; }
   if ((v5)>=(0)) { goto L4; }
   goto L5;
L13:;
   goto L5;
L8:;
   goto L5;
  }
L5:;
  si_structure_type_error(4, v4, VV[10], VV[40], VV[42]);
L4:;
  if (v3==ECL_NIL) { goto L15; }
  if ((si_of_class_p(2, v3, VV[40]))!=ECL_NIL) { goto L15; }
  si_structure_type_error(4, v3, VV[43], VV[40], VV[44]);
L15:;
  if ((cl_typep(2, v2, VV[8]))!=ECL_NIL) { goto L18; }
  si_structure_type_error(4, v2, VV[8], VV[40], VV[45]);
L18:;
  {
   cl_fixnum v5;
   v5 = 0;
   if (!(ECL_FIXNUMP(v1))) { goto L24; }
   v5 = ecl_fixnum(v1);
   if (!((v5)<=(2305843009213693951))) { goto L29; }
   if ((v5)>=(0)) { goto L20; }
   goto L21;
L29:;
   goto L21;
L24:;
   goto L21;
  }
L21:;
  si_structure_type_error(4, v1, VV[10], VV[40], VV[46]);
L20:;
  value0 = si_make_structure(5, VV[47], v1, v2, v3, v4);
  return value0;
 }
}
/*      local function BUFFER-TEXT16                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36buffer_text16(cl_object v1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1)) { goto L1; }
  si_dm_too_many_arguments(v1);
L1:;
  T0 = ecl_list1(ecl_make_fixnum(256));
  value0 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), VV[51], T0);
  return value0;
 }
}
/*      function definition for XINTERN                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37xintern(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1parts;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1parts = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("CONCATENATE",244)->symbol.gfdef);
  {
   cl_object v2;
   v2 = (ECL_SYM("STRING",805)->symbol.gfdef);
   {
    cl_object v3;
    cl_object v4;
    v3 = ECL_NIL;
    {
     cl_object v5;
     v5 = v1parts;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    {
     cl_object v5;
     cl_object v6;
     v5 = ecl_list1(ECL_NIL);
     v6 = v5;
L10:;
     if (!(ecl_endp(v4))) { goto L12; }
     goto L11;
L12:;
     v3 = _ecl_car(v4);
     {
      cl_object v7;
      v7 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v4 = v7;
     }
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
      T2 = v7;
     }
     T3 = ecl_function_dispatch(cl_env_copy,v2)(1, v3);
     v6 = ecl_list1(T3);
     (ECL_CONS_CDR(T2)=v6,T2);
     goto L10;
L11:;
     T1 = ecl_cdr(v5);
     goto L2;
    }
   }
  }
L2:;
  T2 = cl_apply(3, T0, ECL_SYM("STRING",805), T1);
  value0 = cl_intern(2, T2, ecl_symbol_value(VV[52]));
  return value0;
 }
}
/*      function definition for KINTERN                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38kintern(cl_object v1name)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_string(v1name);
  value0 = cl_intern(2, T0, ecl_symbol_value(VV[55]));
  return value0;
 }
}
/*      local function DEF-CLX-CLASS                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45def_clx_class(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6slots;
   cl_object env1 = env0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    T0 = v7;
   }
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  NAME            */
   v6slots = v3;
   if (!(ECL_LISTP(ecl_symbol_value(VV[58])))) { goto L18; }
   if (Null(ecl_memql(ECL_CONS_CAR(CLV0),ecl_symbol_value(VV[58])))) { goto L16; }
   goto L17;
L18:;
L17:;
   {
    cl_object v7;
    cl_object v8include;
    cl_object v9print_function;
    cl_object v10copier;
    cl_object v11predicate;
    cl_object env2 = env1;
    v7 = cl_find_package(VV[59]);
    lex0[0] = v7;                                 /*  CLOS-PACKAGE    */
    CLV1 = env2 = CONS(ECL_T,env2);               /*  CONSTRUCTOR     */
    CLV2 = env2 = CONS(ECL_T,env2);               /*  CONSTRUCTOR-ARGS */
    v8include = ECL_NIL;
    v9print_function = ECL_NIL;
    v10copier = ECL_T;
    v11predicate = ECL_T;
    {
     cl_object v12;
     v12 = v5;
     goto L29;
L28:;
     {
      cl_object v13option;
      v13option = ecl_car(v12);
      {
       cl_object v14;
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L39; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L39:;
        v14 = v15;
       }
       if (!(ecl_eql(v14,ECL_SYM("CONSTRUCTOR",1213)))) { goto L45; }
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L53; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L53:;
        ECL_CONS_CAR(CLV1) = v15;
       }
       if (!(v13option==ECL_NIL)) { goto L60; }
       ECL_CONS_CAR(CLV2) = ECL_T;
       goto L59;
L60:;
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L66; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L66:;
        ECL_CONS_CAR(CLV2) = v15;
       }
L59:;
       goto L33;
L45:;
       if (!(ecl_eql(v14,ECL_SYM("INCLUDE",1252)))) { goto L72; }
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L79; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L79:;
        v8include = v15;
       }
       goto L33;
L72:;
       if (!(ecl_eql(v14,ECL_SYM("PRINT-FUNCTION",1294)))) { goto L85; }
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L92; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L92:;
        v9print_function = v15;
       }
       goto L33;
L85:;
       if (!(ecl_eql(v14,ECL_SYM("COPIER",1215)))) { goto L98; }
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L105; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L105:;
        v10copier = v15;
       }
       goto L33;
L98:;
       if (!(ecl_eql(v14,ECL_SYM("PREDICATE",1290)))) { goto L111; }
       {
        cl_object v15;
        v15 = v13option;
        {
         cl_object v16;
         v16 = v15;
         if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        }
        if (Null(v15)) { goto L118; }
        {
         cl_object v16;
         v16 = ECL_CONS_CDR(v15);
         v13option = v16;
         v15 = ECL_CONS_CAR(v15);
        }
L118:;
        v11predicate = v15;
       }
       goto L33;
L111:;
       si_ecase_error(v14, VV[60]);
      }
L33:;
     }
     v12 = ecl_cdr(v12);
L29:;
     if (Null(v12)) { goto L126; }
     goto L28;
L126:;
    }
    if (!((ECL_CONS_CAR(CLV1))==(ECL_T))) { goto L128; }
    ECL_CONS_CAR(CLV1) = LC39cintern(2, VV[61], ECL_CONS_CAR(CLV0));
L128:;
    if (!((v10copier)==(ECL_T))) { goto L131; }
    v10copier = LC39cintern(2, VV[62], ECL_CONS_CAR(CLV0));
L131:;
    if (!((v11predicate)==(ECL_T))) { goto L134; }
    v11predicate = LC39cintern(2, ECL_CONS_CAR(CLV0), VV[63]);
L134:;
    if (Null(v8include)) { goto L137; }
    T0 = ecl_get(v8include,VV[64],ECL_NIL);
    v6slots = ecl_append(T0,v6slots);
L137:;
    {
     cl_fixnum v12n_slots;
     cl_object v13slot_initforms;
     cl_object v14slot_types;
     cl_object env3 = env2;
     v12n_slots = ecl_length(v6slots);
     T0 = cl_make_list(1, ecl_make_fixnum(v12n_slots));
     CLV3 = env3 = CONS(T0,env3);                 /*  SLOT-NAMES      */
     v13slot_initforms = cl_make_list(1, ecl_make_fixnum(v12n_slots));
     v14slot_types = cl_make_list(1, ecl_make_fixnum(v12n_slots));
     {
      cl_object v15i;
      v15i = ecl_make_fixnum(0);
      goto L146;
L145:;
      {
       cl_object v16slot;
       v16slot = ecl_elt(v6slots,ecl_fixnum(v15i));
       T0 = ECL_CONS_CAR(CLV3);
       {
        cl_object v17;
        v17 = v16slot;
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
        }
        if (Null(v17)) { goto L156; }
        {
         cl_object v18;
         v18 = ECL_CONS_CDR(v17);
         v16slot = v18;
         v17 = ECL_CONS_CAR(v17);
        }
L156:;
        T1 = v17;
       }
       ecl_elt_set(T0,ecl_to_size(v15i),T1);
       {
        cl_object v17;
        v17 = v16slot;
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
        }
        if (Null(v17)) { goto L168; }
        {
         cl_object v18;
         v18 = ECL_CONS_CDR(v17);
         v16slot = v18;
         v17 = ECL_CONS_CAR(v17);
        }
L168:;
        T0 = v17;
       }
       ecl_elt_set(v13slot_initforms,ecl_to_size(v15i),T0);
       T0 = cl_getf(3, v16slot, ECL_SYM("TYPE",1321), ECL_T);
       ecl_elt_set(v14slot_types,ecl_to_size(v15i),T0);
      }
      v15i = ecl_one_plus(v15i);
L146:;
      if (!(ecl_number_compare(v15i,ecl_make_fixnum(v12n_slots))<0)) { goto L176; }
      goto L145;
L176:;
     }
     T0 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     T1 = cl_list(3, ECL_SYM("GET",402), T0, VV[66]);
     T2 = cl_list(2, ECL_SYM("QUOTE",679), v6slots);
     T3 = cl_list(3, ECL_SYM("SETF",750), T1, T2);
     T4 = cl_list(3, ECL_SYM("EVAL-WHEN",340), VV[65], T3);
     T5 = cl_list(2, ECL_CONS_CAR(CLV0), VV[64]);
     T6 = LC41closintern(lex0, ECL_SYM("DEFCLASS",937));
     if (Null(v8include)) { goto L181; }
     T7 = ecl_list1(v8include);
     goto L179;
L181:;
     T7 = ECL_NIL;
     goto L179;
L179:;
     {
      cl_object v15;
      v15 = ecl_make_cclosure_va((cl_objectfn)LC42__g576,env3,Cblock);
      T8 = v15;
     }
     T9 = ECL_CONS_CAR(CLV3);
     T10 = cl_map(5, ECL_SYM("LIST",481), T8, T9, v13slot_initforms, v14slot_types);
     T11 = cl_list(4, T6, ECL_CONS_CAR(CLV0), T7, T10);
     if (Null(ECL_CONS_CAR(CLV1))) { goto L185; }
     T13 = ECL_CONS_CAR(CLV2);
     if (!((T13)==(ECL_T))) { goto L187; }
     T13 = LC41closintern(lex0, ECL_SYM("MAKE-INSTANCE",949));
     T14 = cl_list(2, ECL_SYM("FUNCTION",396), T13);
     T15 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     T16 = cl_list(4, ECL_SYM("APPLY",89), T14, T15, VV[68]);
     T12 = cl_list(4, ECL_SYM("DEFUN",289), ECL_CONS_CAR(CLV1), VV[67], T16);
     goto L184;
L187:;
     T13 = ECL_CONS_CAR(CLV2);
     T14 = LC41closintern(lex0, ECL_SYM("MAKE-INSTANCE",949));
     T15 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     {
      cl_object v15;
      {
       cl_object v16;
       v16 = ecl_make_cclosure_va((cl_objectfn)LC43__g582,env3,Cblock);
       v15 = v16;
      }
      {
       cl_object v16;
       cl_object v17;
       cl_object v18;
       v16 = ECL_CONS_CAR(CLV2);
       v17 = ECL_NIL;
       {
        cl_object v19;
        v19 = v16;
        if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
        v18 = v19;
       }
       {
        cl_object v19;
        cl_object v20;
        v19 = ecl_list1(ECL_NIL);
        v20 = v19;
L200:;
        if (!(ecl_endp(v18))) { goto L202; }
        goto L201;
L202:;
        v17 = _ecl_car(v18);
        {
         cl_object v21;
         v21 = _ecl_cdr(v18);
         if (ecl_unlikely(!ECL_LISTP(v21))) FEtype_error_list(v21);
         v18 = v21;
        }
        {
         cl_object v21;
         v21 = ecl_function_dispatch(cl_env_copy,v15)(1, v17);
         {
          cl_object v22;
          v22 = v20;
          if (ecl_unlikely(ECL_ATOM(v22))) FEtype_error_cons(v22);
          T17 = v22;
         }
         (ECL_CONS_CDR(T17)=v21,T17);
         if (Null(v21)) { goto L210; }
        }
        T17 = ecl_cdr(v20);
        v20 = ecl_last(T17,1);
L210:;
        goto L200;
L201:;
        T16 = ecl_cdr(v19);
        goto L191;
       }
      }
     }
L191:;
     T17 = cl_listX(3, T14, T15, T16);
     T12 = cl_list(4, ECL_SYM("DEFUN",289), ECL_CONS_CAR(CLV1), T13, T17);
     goto L184;
L185:;
     T12 = ECL_NIL;
L184:;
     if (Null(v11predicate)) { goto L221; }
     T14 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     T15 = cl_list(3, ECL_SYM("TYPEP",875), VV[70], T14);
     T13 = cl_list(4, ECL_SYM("DEFUN",289), v11predicate, VV[69], T15);
     goto L220;
L221:;
     T13 = ECL_NIL;
L220:;
     if (Null(v10copier)) { goto L224; }
     T15 = LC41closintern(lex0, ECL_SYM("DEFMETHOD",940));
     T16 = cl_list(2, VV[71], ECL_CONS_CAR(CLV0));
     T17 = ecl_list1(T16);
     T18 = LC41closintern(lex0, ECL_SYM("WITH-SLOTS",982));
     T19 = ECL_CONS_CAR(CLV3);
     T20 = LC41closintern(lex0, ECL_SYM("MAKE-INSTANCE",949));
     T21 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     {
      cl_object v15;
      {
       cl_object v16;
       v16 = ecl_make_cfun((cl_objectfn_fixed)LC44__g592,ECL_NIL,Cblock,1);
       v15 = v16;
      }
      {
       cl_object v16;
       cl_object v17;
       cl_object v18;
       v16 = ECL_CONS_CAR(CLV3);
       v17 = ECL_NIL;
       {
        cl_object v19;
        v19 = v16;
        if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
        v18 = v19;
       }
       {
        cl_object v19;
        cl_object v20;
        v19 = ecl_list1(ECL_NIL);
        v20 = v19;
L238:;
        if (!(ecl_endp(v18))) { goto L240; }
        goto L239;
L240:;
        v17 = _ecl_car(v18);
        {
         cl_object v21;
         v21 = _ecl_cdr(v18);
         if (ecl_unlikely(!ECL_LISTP(v21))) FEtype_error_list(v21);
         v18 = v21;
        }
        {
         cl_object v21;
         v21 = ecl_function_dispatch(cl_env_copy,v15)(1, v17);
         {
          cl_object v22;
          v22 = v20;
          if (ecl_unlikely(ECL_ATOM(v22))) FEtype_error_cons(v22);
          T23 = v22;
         }
         (ECL_CONS_CDR(T23)=v21,T23);
         if (Null(v21)) { goto L248; }
        }
        T23 = ecl_cdr(v20);
        v20 = ecl_last(T23,1);
L248:;
        goto L238;
L239:;
        T22 = ecl_cdr(v19);
        goto L229;
       }
      }
     }
L229:;
     T23 = cl_listX(3, T20, T21, T22);
     T24 = cl_list(4, T18, T19, VV[71], T23);
     T14 = cl_list(4, T15, v10copier, T17, T24);
     goto L223;
L224:;
     T14 = ECL_NIL;
L223:;
     if (Null(v9print_function)) { goto L259; }
     T16 = LC41closintern(lex0, ECL_SYM("DEFMETHOD",940));
     T17 = LC41closintern(lex0, ECL_SYM("PRINT-OBJECT",961));
     T18 = cl_list(2, VV[70], ECL_CONS_CAR(CLV0));
     T19 = cl_list(2, T18, ECL_SYM("STREAM",799));
     T20 = CONS(v9print_function,VV[72]);
     T15 = cl_list(4, T16, T17, T19, T20);
     goto L258;
L259:;
     T15 = ECL_NIL;
L258:;
     T16 = cl_list(7, VV[1], T5, T11, T12, T13, T14, T15);
     value0 = cl_list(3, ECL_SYM("PROGN",671), T4, T16);
     return value0;
    }
   }
L16:;
   T0 = cl_list(2, ECL_CONS_CAR(CLV0), VV[64]);
   T1 = CONS(ECL_CONS_CAR(CLV0),v5);
   T2 = cl_listX(3, ECL_SYM("DEFSTRUCT",287), T1, v6slots);
   value0 = cl_list(3, VV[1], T0, T2);
   return value0;
  }
 }
}
/*      local function CLOSINTERN                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41closintern(volatile cl_object *lex0, cl_object v1symbol)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_name(v1symbol);
  value0 = cl_intern(2, T0, lex0[0]);
  return value0;
 }
}
/*      local function KINTERN                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40kintern(cl_object v1symbol)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_name(v1symbol);
  T1 = cl_find_package(VV[56]);
  value0 = cl_intern(2, T0, T1);
  return value0;
 }
}
/*      local function CINTERN                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39cintern(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1symbols;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1symbols = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("CONCATENATE",244)->symbol.gfdef);
  {
   cl_object v2;
   v2 = (ECL_SYM("SYMBOL-NAME",843)->symbol.gfdef);
   {
    cl_object v3;
    cl_object v4;
    v3 = ECL_NIL;
    {
     cl_object v5;
     v5 = v1symbols;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    {
     cl_object v5;
     cl_object v6;
     v5 = ecl_list1(ECL_NIL);
     v6 = v5;
L10:;
     if (!(ecl_endp(v4))) { goto L12; }
     goto L11;
L12:;
     v3 = _ecl_car(v4);
     {
      cl_object v7;
      v7 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v4 = v7;
     }
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
      T2 = v7;
     }
     T3 = ecl_function_dispatch(cl_env_copy,v2)(1, v3);
     v6 = ecl_list1(T3);
     (ECL_CONS_CDR(T2)=v6,T2);
     goto L10;
L11:;
     T1 = ecl_cdr(v5);
     goto L2;
    }
   }
  }
L2:;
  T2 = cl_apply(3, T0, ECL_SYM("SIMPLE-STRING",771), T1);
  value0 = cl_intern(2, T2, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
  return value0;
 }
}
/*      closure G576                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g576(cl_narg narg, cl_object v1slot_name, cl_object v2slot_initform, cl_object v3slot_type, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);                           /*  CONSTRUCTOR-ARGS */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = v1slot_name;
  T1 = LC39cintern(3, ECL_CONS_CAR(CLV0), ECL_SYM("-",17), v1slot_name);
  if (Null(ECL_CONS_CAR(CLV1))) { goto L3; }
  T3 = ECL_CONS_CAR(CLV2);
  if ((T3)==(ECL_T)) { goto L6; }
  if (Null(ecl_memql(v1slot_name,ECL_CONS_CAR(CLV2)))) { goto L3; }
  goto L4;
L6:;
L4:;
  T3 = LC40kintern(v1slot_name);
  T2 = cl_list(2, ECL_SYM("INITARG",994), T3);
  goto L2;
L3:;
  T2 = ECL_NIL;
L2:;
  value0 = cl_listX(8, T0, ECL_SYM("INITFORM",996), v2slot_initform, ECL_SYM("TYPE",1321), v3slot_type, ECL_SYM("ACCESSOR",983), T1, T2);
  return value0;
 }
 }
}
/*      closure G582                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g582(cl_narg narg, cl_object v1slot_name, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  SLOT-NAMES      */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ecl_memql(v1slot_name,ECL_CONS_CAR(CLV3)))) { goto L2; }
  T0 = LC40kintern(v1slot_name);
  value0 = cl_list(2, T0, v1slot_name);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function G592                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g592(cl_object v1slot_name)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = LC40kintern(v1slot_name);
  value0 = cl_list(2, T0, v1slot_name);
  return value0;
 }
}
/*      function definition for UNIX-SOCKET-PATH-FROM-HOST            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46unix_socket_path_from_host(cl_object v1host, cl_object v2display)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((cl_stringE(2, v1host, VV[79]))!=ECL_NIL) { goto L3; }
  if (Null(cl_stringE(2, v1host, VV[80]))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = cl_format(4, ECL_NIL, VV[81], ecl_symbol_value(VV[78]), v2display);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "clx/depdefs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl1xRtTWUMsq2q9_nJqMeJ21(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;DEPDEFS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecl1xRtTWUMsq2q9_nJqMeJ21@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[0]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[2]) /*  MAPC */;
  ecl_cmp_defmacro(VV[83]);                       /*  WITH-VECTOR     */
  ecl_cmp_defmacro(VV[84]);                       /*  WITHIN-DEFINITION */
  si_Xmake_constant(VV[2], VVtemp[3]);
  ecl_cmp_defmacro(VV[85]);                       /*  RESOURCE-ID-MAP-TEST */
  ecl_cmp_defmacro(VV[86]);                       /*  ATOM-CACHE-MAP-TEST */
  ecl_cmp_defmacro(VV[87]);                       /*  KEYSYM->CHARACTER-MAP-TEST */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC6buffer_bytes,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_do_deftype(3, VV[8], VVtemp[4], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC7array_index,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_do_deftype(3, VV[10], VVtemp[5], T0);
 }
  ecl_cmp_defun(VV[88]);                          /*  MAKE-INDEX-TYPED */
  ecl_cmp_defun(VV[89]);                          /*  MAKE-INDEX-OP   */
  ecl_cmp_defmacro(VV[90]);                       /*  INDEX+          */
  ecl_cmp_defmacro(VV[91]);                       /*  INDEX-LOGAND    */
  ecl_cmp_defmacro(VV[92]);                       /*  INDEX-LOGIOR    */
  ecl_cmp_defmacro(VV[93]);                       /*  INDEX-          */
  ecl_cmp_defmacro(VV[94]);                       /*  INDEX*          */
  ecl_cmp_defmacro(VV[95]);                       /*  INDEX1+         */
  ecl_cmp_defmacro(VV[96]);                       /*  INDEX1-         */
  ecl_cmp_defmacro(VV[97]);                       /*  INDEX-INCF      */
  ecl_cmp_defmacro(VV[98]);                       /*  INDEX-DECF      */
  ecl_cmp_defmacro(VV[99]);                       /*  INDEX-MIN       */
  ecl_cmp_defmacro(VV[100]);                      /*  INDEX-MAX       */
  ecl_cmp_defmacro(VV[101]);                      /*  INDEX-FLOOR     */
  ecl_cmp_defmacro(VV[102]);                      /*  INDEX-CEILING   */
  ecl_cmp_defmacro(VV[103]);                      /*  INDEX-TRUNCATE  */
  ecl_cmp_defmacro(VV[104]);                      /*  INDEX-MOD       */
  ecl_cmp_defmacro(VV[105]);                      /*  INDEX-ASH       */
  ecl_cmp_defmacro(VV[106]);                      /*  INDEX-PLUSP     */
  ecl_cmp_defmacro(VV[107]);                      /*  INDEX-ZEROP     */
  ecl_cmp_defmacro(VV[108]);                      /*  INDEX-EVENP     */
  ecl_cmp_defmacro(VV[109]);                      /*  INDEX-ODDP      */
  ecl_cmp_defmacro(VV[110]);                      /*  INDEX>          */
  ecl_cmp_defmacro(VV[111]);                      /*  INDEX=          */
  ecl_cmp_defmacro(VV[112]);                      /*  INDEX<          */
  ecl_cmp_defmacro(VV[113]);                      /*  INDEX>=         */
  ecl_cmp_defmacro(VV[114]);                      /*  INDEX<=         */
  si_Xmake_constant(VV[38], ecl_make_fixnum(32));
 {
  cl_object T0;
  si_Xmake_special(VV[39]);
  if (ecl_boundp(cl_env_copy,VV[39])) { goto L89; }
  {
   cl_object v1;
   v1 = cl_make_sequence(2, VV[8], ecl_make_fixnum(0));
   T0 = cl_typep(2, v1, VV[8]);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],v1);
   cl_set(VV[39],v1);
  }
L89:;
 }
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[6]) /*  MAPC */;
  si_define_structure(15, VV[40], VV[41], ECL_NIL, ECL_NIL, VVtemp[7], VVtemp[8], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[9], ecl_make_fixnum(4), ECL_NIL, ECL_NIL, ECL_NIL);
  VV[47]= cl_find_class(1, VV[40]);
  ecl_cmp_defun(VV[115]);                         /*  MAKE-REPLY-BUFFER-INTERNAL */
  si_Xmake_constant(VV[49], ecl_make_fixnum(256));
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC36buffer_text16,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_do_deftype(3, VV[50], VVtemp[10], T0);
 }
  si_Xmake_special(VV[52]);
  cl_set(VV[52],cl_find_package(VV[53]));
  ecl_cmp_defun(VV[120]);                         /*  XINTERN         */
  si_Xmake_special(VV[55]);
  cl_set(VV[55],cl_find_package(VV[56]));
  ecl_cmp_defun(VV[121]);                         /*  KINTERN         */
  si_Xmake_special(VV[58]);
  if (ecl_boundp(cl_env_copy,VV[58])) { goto L135; }
  cl_set(VV[58],ECL_NIL);
L135:;
  ecl_cmp_defmacro(VV[122]);                      /*  DEF-CLX-CLASS   */
  si_define_structure(15, VV[73], _ecl_static_1, ECL_NIL, ECL_NIL, VVtemp[11], VVtemp[12], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(18), ECL_NIL, ECL_NIL, ECL_NIL);
  si_Xmake_constant(VV[74], ECL_NIL);
  si_Xmake_constant(VV[75], ECL_NIL);
  si_Xmake_constant(VV[76], ecl_make_fixnum(32));
  si_Xmake_constant(VV[77], ecl_make_fixnum(32));
  si_Xmake_constant(VV[78], VVtemp[13]);
  ecl_cmp_defun(VV[123]);                         /*  UNIX-SOCKET-PATH-FROM-HOST */
}
