/*      Compiler: ECL 16.0.0                                          */
/*      Source: SRC:CLX;XRENDER.LISP                                  */
#include <ecl/ecl-cmp.h>
#include "clx/xrender.eclh"
/*      function definition for MAKE-RENDER-INFO                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_render_info(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L1make_render_infokeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1 = keyvars[0];
   v2 = keyvars[1];
   v3 = keyvars[2];
  }
  value0 = si_make_structure(4, VV[38], v1, v2, v3);
  return value0;
 }
}
/*      function definition for DISPLAY-RENDER-INFO                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2display_render_info(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[267])(1, v1display) /*  DISPLAY-PLIST */;
  value0 = cl_getf(2, T0, VV[35]);
  return value0;
 }
}
/*      function definition for (SETF DISPLAY-RENDER-INFO)            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3_setf_display_render_info_(cl_object v1new_value, cl_object v2display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[267])(1, v2display) /*  DISPLAY-PLIST */;
   v3 = si_put_f(T0, v1new_value, VV[35]);
   ecl_structure_set(v2display,VV[41],60,v3);
   value0 = v1new_value;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ENSURE-RENDER-INITIALIZED             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4ensure_render_initialized(cl_object v1display)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((L2display_render_info(v1display))!=ECL_NIL) { goto L1; }
  {
   cl_object v2q;
   v2q = L1make_render_info(0);
   {
    cl_object v4;                                 /*  MAJ             */
    cl_object v5;                                 /*  MIN             */
    value0 = L54render_query_version(v1display);
    v4 = value0;
    {
     const int v6 = cl_env_copy->nvalues;
     cl_object v7;
     v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
     v5 = v7;
    }
    ecl_structure_set(v2q,VV[35],0,v4);
    ecl_structure_set(v2q,VV[35],1,v5);
    {
     cl_object v6;
     T0 = (ECL_SYM("EQL",334)->symbol.gfdef);
     v6 = cl_make_hash_table(2, ECL_SYM("TEST",1319), T0);
     ecl_structure_set(v2q,VV[35],2,v6);
    }
    {
     cl_object v6;
     v6 = L55render_query_picture_formats(v1display);
     goto L14;
L13:;
     {
      cl_object v7pf;
      v7pf = ecl_car(v6);
      T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v7pf) /*  PICTURE-FORMAT-ID */;
      T1 = ecl_function_dispatch(cl_env_copy,VV[270])(1, v2q) /*  RENDER-INFO-PICTURE-FORMATS */;
      si_hash_set(T0, T1, v7pf);
     }
     v6 = ecl_cdr(v6);
L14:;
     if (Null(v6)) { goto L21; }
     goto L13;
L21:;
    }
    value0 = L3_setf_display_render_info_(v2q, v1display);
    return value0;
   }
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for FIND-MATCHING-PICTURE-FORMATS         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6find_matching_picture_formats(cl_narg narg, cl_object v1display, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15, CLV16, CLV17;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1display,narg,1);
  {
   cl_object keyvars[34];
   cl_parse_key(args,17,L6find_matching_picture_formatskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[0],env0);           /*  DEPTH-MIN       */
   CLV1 = env0 = CONS(keyvars[1],env0);           /*  DEPTH-MAX       */
   CLV2 = env0 = CONS(keyvars[2],env0);           /*  DEPTH           */
   CLV3 = env0 = CONS(keyvars[3],env0);           /*  RED-MIN         */
   CLV4 = env0 = CONS(keyvars[4],env0);           /*  RED-MAX         */
   CLV5 = env0 = CONS(keyvars[5],env0);           /*  RED             */
   CLV6 = env0 = CONS(keyvars[6],env0);           /*  GREEN-MIN       */
   CLV7 = env0 = CONS(keyvars[7],env0);           /*  GREEN-MAX       */
   CLV8 = env0 = CONS(keyvars[8],env0);           /*  GREEN           */
   CLV9 = env0 = CONS(keyvars[9],env0);           /*  BLUE-MIN        */
   CLV10 = env0 = CONS(keyvars[10],env0);         /*  BLUE-MAX        */
   CLV11 = env0 = CONS(keyvars[11],env0);         /*  BLUE            */
   CLV12 = env0 = CONS(keyvars[12],env0);         /*  ALPHA-MIN       */
   CLV13 = env0 = CONS(keyvars[13],env0);         /*  ALPHA-MAX       */
   CLV14 = env0 = CONS(keyvars[14],env0);         /*  ALPHA           */
   CLV15 = env0 = CONS(keyvars[15],env0);         /*  TYPE            */
   CLV16 = env0 = CONS(keyvars[16],env0);         /*  COLORMAP        */
  }
  L4ensure_render_initialized(v1display);
  {
   cl_object env1 = env0;
   CLV17 = env1 = CONS(ECL_NIL,env1);             /*  RES             */
   {
    cl_object v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC5__g20,env1,Cblock);
    T0 = v2;
   }
   T1 = L2display_render_info(v1display);
   T2 = ecl_function_dispatch(cl_env_copy,VV[270])(1, T1) /*  RENDER-INFO-PICTURE-FORMATS */;
   cl_maphash(T0, T2);
   value0 = ECL_CONS_CAR(CLV17);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G20                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g20(cl_narg narg, cl_object v1k, cl_object v2f, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15, CLV16, CLV17;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV17 = env0;                                    /*  RES             */
 CLV16 = _ecl_cdr(CLV17);
 CLV15 = _ecl_cdr(CLV16);
 CLV14 = _ecl_cdr(CLV15);
 CLV13 = _ecl_cdr(CLV14);
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (ECL_CONS_CAR(CLV15)==ECL_NIL) { goto L4; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, v2f) /*  PICTURE-FORMAT-TYPE */;
  if (!(ecl_eql(T0,ECL_CONS_CAR(CLV15)))) { goto L1; }
  goto L3;
L4:;
L3:;
  if (ECL_CONS_CAR(CLV16)==ECL_NIL) { goto L7; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[290])(1, v2f) /*  PICTURE-FORMAT-COLORMAP */;
  if (!(ecl_eql(T0,ECL_CONS_CAR(CLV16)))) { goto L1; }
  goto L6;
L7:;
L6:;
  if (ECL_CONS_CAR(CLV0)==ECL_NIL) { goto L10; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[291])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  if (!(ecl_number_compare(T0,ECL_CONS_CAR(CLV0))>=0)) { goto L1; }
  goto L9;
L10:;
L9:;
  if (ECL_CONS_CAR(CLV3)==ECL_NIL) { goto L13; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[292])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV3))>=0)) { goto L1; }
  goto L12;
L13:;
L12:;
  if (ECL_CONS_CAR(CLV6)==ECL_NIL) { goto L16; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[293])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV6))>=0)) { goto L1; }
  goto L15;
L16:;
L15:;
  if (ECL_CONS_CAR(CLV9)==ECL_NIL) { goto L19; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV9))>=0)) { goto L1; }
  goto L18;
L19:;
L18:;
  if (ECL_CONS_CAR(CLV12)==ECL_NIL) { goto L22; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[295])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV12))>=0)) { goto L1; }
  goto L21;
L22:;
L21:;
  if (ECL_CONS_CAR(CLV1)==ECL_NIL) { goto L25; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[291])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  if (!(ecl_number_compare(T0,ECL_CONS_CAR(CLV1))<=0)) { goto L1; }
  goto L24;
L25:;
L24:;
  if (ECL_CONS_CAR(CLV4)==ECL_NIL) { goto L28; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[292])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV4))<=0)) { goto L1; }
  goto L27;
L28:;
L27:;
  if (ECL_CONS_CAR(CLV7)==ECL_NIL) { goto L31; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[293])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV7))<=0)) { goto L1; }
  goto L30;
L31:;
L30:;
  if (ECL_CONS_CAR(CLV10)==ECL_NIL) { goto L34; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV10))<=0)) { goto L1; }
  goto L33;
L34:;
L33:;
  if (ECL_CONS_CAR(CLV13)==ECL_NIL) { goto L37; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[295])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV13))<=0)) { goto L1; }
  goto L36;
L37:;
L36:;
  if (ECL_CONS_CAR(CLV2)==ECL_NIL) { goto L40; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[291])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  if (!(ecl_number_equalp(T0,ECL_CONS_CAR(CLV2)))) { goto L1; }
  goto L39;
L40:;
L39:;
  if (ECL_CONS_CAR(CLV5)==ECL_NIL) { goto L43; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[292])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV5)))) { goto L1; }
  goto L42;
L43:;
L42:;
  if (ECL_CONS_CAR(CLV8)==ECL_NIL) { goto L46; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[293])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV8)))) { goto L1; }
  goto L45;
L46:;
L45:;
  if (ECL_CONS_CAR(CLV11)==ECL_NIL) { goto L49; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV11)))) { goto L1; }
  goto L48;
L49:;
L48:;
  if (ECL_CONS_CAR(CLV14)==ECL_NIL) { goto L51; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[295])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV14)))) { goto L1; }
  goto L2;
L51:;
L2:;
  ECL_CONS_CAR(CLV17) = cl_adjoin(2, v2f, ECL_CONS_CAR(CLV17));
  value0 = ECL_CONS_CAR(CLV17);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for FIND-WINDOW-PICTURE-FORMAT            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8find_window_picture_format(cl_object volatile v1window)
{
 cl_object T0, T1, T2;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1window,env0);              /*  WINDOW          */
  {
   CLV1 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  FIND-WINDOW-PICTURE-FORMAT */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    cl_object v2display;
    cl_object env1 = env0;
    T0 = ecl_function_dispatch(cl_env_copy,VV[297])(1, ECL_CONS_CAR(CLV0)) /*  WINDOW-VISUAL-INFO */;
    CLV2 = env1 = CONS(T0,env1);                  /*  VI              */
    v2display = ecl_function_dispatch(cl_env_copy,VV[298])(1, ECL_CONS_CAR(CLV0)) /*  WINDOW-DISPLAY */;
    L4ensure_render_initialized(v2display);
    {
     cl_object v3;
     v3 = ecl_function_dispatch(cl_env_copy,VV[299])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-CLASS */;
     if (!(ecl_eql(v3,VV[45]))) { goto L4; }
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC7__g24,env1,Cblock);
      T0 = v4;
     }
     T1 = L2display_render_info(v2display);
     T2 = ecl_function_dispatch(cl_env_copy,VV[270])(1, T1) /*  RENDER-INFO-PICTURE-FORMATS */;
     value0 = cl_maphash(T0, T2);
     ecl_frs_pop(cl_env_copy);
     return value0;
L4:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }}
  }
 }
}
/*      closure G24                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7__g24(cl_narg narg, cl_object v1k, cl_object v2f, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  VI              */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, v2f) /*  PICTURE-FORMAT-TYPE */;
  if (!(ecl_eql(T0,VV[47]))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[291])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[300])(1, ECL_CONS_CAR(CLV0)) /*  DRAWABLE-DEPTH */;
  if (!(ecl_eql(T0,T1))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[292])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_dpb(ecl_make_fixnum(-1), T0, ecl_make_fixnum(0));
  T2 = ecl_function_dispatch(cl_env_copy,VV[301])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-RED-MASK */;
  if (!(ecl_eql(T1,T2))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[293])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_dpb(ecl_make_fixnum(-1), T0, ecl_make_fixnum(0));
  T2 = ecl_function_dispatch(cl_env_copy,VV[302])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-GREEN-MASK */;
  if (!(ecl_eql(T1,T2))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_dpb(ecl_make_fixnum(-1), T0, ecl_make_fixnum(0));
  T2 = ecl_function_dispatch(cl_env_copy,VV[303])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-BLUE-MASK */;
  if (!(ecl_eql(T1,T2))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[295])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!((ecl_to_fixnum(T1))==(0))) { goto L1; }
  cl_env_copy->values[0] = v2f;
  cl_env_copy->nvalues = 1;
  cl_return_from(ECL_CONS_CAR(CLV1),ECL_NIL);
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function PICTURE-GET                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9picture_get(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = VV[51];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function PICTURE-PUT                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10picture_put(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, VV[54], v5thing);
   value0 = cl_list(3, VV[53], v4index, T0);
   return value0;
  }
 }
}
/*      local function GLYPH-SET-GET                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11glyph_set_get(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = VV[51];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function GLYPH-SET-PUT                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12glyph_set_put(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, VV[58], v5thing);
   value0 = cl_list(3, VV[53], v4index, T0);
   return value0;
  }
 }
}
/*      function definition for MAKE-PICTURE-FORMAT                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13make_picture_format(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  cl_object v5;
  cl_object v6;
  cl_object v7;
  cl_object v8;
  cl_object v9;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[18];
   cl_parse_key(args,9,L13make_picture_formatkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1 = keyvars[0];
   if (Null(keyvars[10])) {
    v2 = ecl_make_fixnum(0);
   } else {
    v2 = keyvars[1];
   }
   v3 = keyvars[2];
   v4 = keyvars[3];
   v5 = keyvars[4];
   v6 = keyvars[5];
   v7 = keyvars[6];
   v8 = keyvars[7];
   v9 = keyvars[8];
  }
  {
   cl_fixnum v10;
   v10 = 0;
   if (!(ECL_FIXNUMP(v2))) { goto L6; }
   v10 = ecl_fixnum(v2);
   if (!((v10)<=(536870911))) { goto L11; }
   if ((v10)>=(0)) { goto L2; }
   goto L3;
L11:;
   goto L3;
L6:;
   goto L3;
  }
L3:;
  si_structure_type_error(4, v2, VV[63], VV[60], VV[64]);
L2:;
  value0 = si_make_structure(10, VV[65], v1, v2, v3, v4, v5, v6, v7, v8, v9);
  return value0;
 }
}
/*      local function G66                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16__g66(cl_object v1object, cl_object v2stream)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1object,env0);              /*  OBJECT          */
  CLV1 = env0 = CONS(v2stream,env0);              /*  STREAM          */
  {
   cl_object env1 = env0;
   {
    cl_object v3bag;
    v3bag = cl_make_string_output_stream(0);
    {
     cl_object v4bytes;
     T1 = ecl_function_dispatch(cl_env_copy,VV[292])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-RED-BYTE */;
     T2 = CONS(VV[67],T1);
     T3 = ecl_function_dispatch(cl_env_copy,VV[293])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-GREEN-BYTE */;
     T4 = CONS(VV[68],T3);
     T5 = ecl_function_dispatch(cl_env_copy,VV[294])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-BLUE-BYTE */;
     T6 = CONS(VV[69],T5);
     T7 = ecl_function_dispatch(cl_env_copy,VV[295])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-ALPHA-BYTE */;
     T8 = CONS(VV[70],T7);
     T9 = cl_list(4, T2, T4, T6, T8);
     T10 = (ECL_SYM(">",75)->symbol.gfdef);
     {
      cl_object v5;
      v5 = ecl_make_cfun((cl_objectfn_fixed)LC14__g67,ECL_NIL,Cblock,1);
      T11 = v5;
     }
     v4bytes = cl_sort(4, T9, T10, ECL_SYM("KEY",1265), T11);
     {
      cl_object v5;
      v5 = v4bytes;
      goto L10;
L9:;
      {
       cl_object v6k;
       v6k = ecl_car(v5);
       T1 = ecl_cdr(v6k);
       T2 = cl_byte_size(T1);
       if ((ecl_to_fixnum(T2))==0) { goto L14; }
       T1 = ecl_car(v6k);
       T2 = ecl_cdr(v6k);
       T3 = cl_byte_size(T2);
       cl_format(4, v3bag, VV[71], T1, T3);
L14:;
      }
      v5 = ecl_cdr(v5);
L10:;
      if (Null(v5)) { goto L18; }
      goto L9;
L18:;
     }
    }
    T0 = cl_get_output_stream_string(v3bag);
   }
   CLV2 = env1 = CONS(T0,env1);                   /*  ABBREV          */
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC15si___print_unreadable_object_body_,env1,Cblock);
    value0 = si_print_unreadable_object_function(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_T, ECL_NIL, v3);
    return value0;
   }
  }
 }
}
/*      local function G67                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g67(cl_object v1x)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_cdr(v1x);
  value0 = cl_byte_position(T0);
  return value0;
 }
}
/*      closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15si___print_unreadable_object_body_(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  ABBREV          */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-ID */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[290])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-COLORMAP */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[291])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-DEPTH */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[289])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-TYPE */;
  value0 = cl_format(7, ECL_CONS_CAR(CLV1), VV[72], T0, T1, T2, T3, ECL_CONS_CAR(CLV2));
  return value0;
 }
 }
}
/*      local function PICTURE-FORMAT-GET                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17picture_format_get(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_list(2, VV[73], v4index);
   value0 = cl_list(3, ECL_SYM("GETHASH",413), T0, VV[74]);
   return value0;
  }
 }
}
/*      local function PICTURE-FORMAT-PUT                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18picture_format_put(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, VV[77], v5thing);
   value0 = cl_list(3, VV[76], v4index, T0);
   return value0;
  }
 }
}
/*      local function RENDER-OP-GET                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19render_op_get(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_listX(3, VV[80], v4index, VV[81]);
   return value0;
  }
 }
}
/*      local function RENDER-OP-PUT                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20render_op_put(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   value0 = cl_listX(4, VV[83], v4index, v5thing, VV[84]);
   return value0;
  }
 }
}
/*      function definition for MAKE-PICTURE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21make_picture(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  cl_object v5;
  cl_object v6;
  cl_object v7;
  cl_object v8;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L21make_picturekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[8])) {
    v1 = ecl_make_fixnum(0);
   } else {
    v1 = keyvars[0];
   }
   v2 = keyvars[1];
   v3 = keyvars[2];
   v4 = keyvars[3];
   v5 = keyvars[4];
   v6 = keyvars[5];
   v7 = keyvars[6];
   v8 = keyvars[7];
  }
  if (ECL_LISTP(v3)) { goto L2; }
  si_structure_type_error(4, v3, ECL_SYM("LIST",481), VV[49], VV[87]);
L2:;
  if (v2==ECL_NIL) { goto L4; }
  if ((si_of_class_p(2, v2, VV[41]))!=ECL_NIL) { goto L4; }
  si_structure_type_error(4, v2, VV[88], VV[49], VV[41]);
L4:;
  {
   cl_fixnum v9;
   v9 = 0;
   if (!(ECL_FIXNUMP(v1))) { goto L11; }
   v9 = ecl_fixnum(v1);
   if (!((v9)<=(536870911))) { goto L16; }
   if ((v9)>=(0)) { goto L7; }
   goto L8;
L16:;
   goto L8;
L11:;
   goto L8;
  }
L8:;
  si_structure_type_error(4, v1, VV[89], VV[49], VV[64]);
L7:;
  value0 = si_make_structure(9, VV[90], v1, v2, v3, v4, v5, v6, v7, v8);
  return value0;
 }
}
/*      function definition for PICTURE-DRAWABLE                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22picture_drawable(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[332])(1, v1picture) /*  PICTURE-%DRAWABLE */;
  return value0;
 }
}
/*      function definition for %RENDER-CHANGE-PICTURE-CLIP-RECTANGLES */
/*      optimize speed 0, debug 1, space 1, safety 2                  */
static cl_object L23_render_change_picture_clip_rectangles(cl_object volatile v1picture, cl_object volatile v2rectangles)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v3display);
   {
    volatile cl_object v4_display_;
    {
     cl_object v5;
     v5 = v3display;
     T0 = si_of_class_p(2, v5, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v5);
     v4_display_ = v5;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v4_display_) /*  BUFFER-DEAD */)) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v4_display_) /*  X-ERROR */;
L6:;
    {
     volatile cl_object v5;
     volatile cl_object v6;
     volatile cl_fixnum v7;
     v5 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v4_display_) /*  BUFFER-LOCK */;
     v6 = mp_lock_owner(v5);
     v7 = ecl_fixnum(mp_lock_count(v5));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v8;
       v8 = _ecl_inner_frame;
       {
        volatile cl_object v9;
        v9 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v9); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v5);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v4_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v4_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v4_display_) /*  BUFFER-FLUSH */;
L22:;
          {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v4_display_) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v4_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v15;
          v15 = ecl_make_fixnum(v13buffer_boffset);
          {
          cl_object v16;
          v16 = v4_display_;
          (v16)->instance.slots[4]=v15;
          }
          }
          {
          uint8_t v15;
          cl_fixnum v16;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L34; }
          v15 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v3display) /*  X-ERROR */);
          goto L32;
L34:;
          v15 = ecl_fixnum(value0);
          goto L32;
L32:;
          v16 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v16]= v15;
          }
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(1);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(6);
          }
          if (Null(si_of_class_p(2, v1picture, VV[49]))) { goto L41; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v14buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L40;
L41:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1picture, VV[49]) /*  X-TYPE-ERROR */;
L40:;
          {
          cl_object v15_value_;
          v15_value_ = L32picture_clip_x_origin(v1picture);
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(ECL_FIXNUMP(v15_value_))) { goto L45; }
          v16 = ecl_fixnum(v15_value_);
          if (!((v16)<=(32767))) { goto L45; }
          if (!((v16)>=(-32768))) { goto L45; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v15_value_, v14buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L43;
L45:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v15_value_, VV[96]) /*  X-TYPE-ERROR */;
          }
L43:;
          {
          cl_object v15_value_;
          v15_value_ = L34picture_clip_y_origin(v1picture);
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(ECL_FIXNUMP(v15_value_))) { goto L54; }
          v16 = ecl_fixnum(v15_value_);
          if (!((v16)<=(32767))) { goto L54; }
          if (!((v16)>=(-32768))) { goto L54; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(10));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v15_value_, v14buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L52;
L54:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v15_value_, VV[96]) /*  X-TYPE-ERROR */;
          }
L52:;
          if (ECL_CONSP(v2rectangles)) { goto L64; }
          if (v2rectangles==ECL_NIL) { goto L64; }
          if (!(ECL_VECTORP(v2rectangles))) { goto L62; }
          goto L63;
L64:;
L63:;
          {
          cl_fixnum v15;
          v15 = ecl_length(v2rectangles);
          T0 = ecl_minus(ecl_make_fixnum(v15),ecl_make_fixnum(0));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(2));
          T2 = ecl_plus(T1,ecl_make_fixnum(3));
          T3 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T2, v14buffer_bbuf, T3) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[346])(6, v4_display_, T0, v2rectangles, ecl_make_fixnum(0), ecl_make_fixnum(v15), ECL_NIL) /*  WRITE-SEQUENCE-INT16 */;
          goto L61;
          }
L62:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2rectangles, VV[97]) /*  X-TYPE-ERROR */;
L61:;
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v4_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v16;
          v16 = v4_display_;
          cl_env_copy->values[0] = (v16)->instance.slots[3]=v15;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v12);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v4_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v11=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v12;
          v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v5);
          if (!((v12)==(T0))) { goto L72; }
          if (!((v6)==(v12))) { goto L76; }
          T0 = mp_lock_count(v5);
          if (!((ecl_fixnum(T0))>(v7))) { goto L72; }
          goto L74;
L76:;
L74:;
          mp_giveup_lock(v5);
         }
L72:;
         ecl_stack_pop_values(cl_env_copy,v11);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v10);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v8);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L78; }
       si_check_pending_interrupts();
L78:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for PICTURE-REPEAT                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24picture_repeat(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((0)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(0),(v2)->vector.dim);
    v3 = 0;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-REPEAT)                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25_setf_picture_repeat_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((0)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(0),(v3)->vector.dim);
    v4 = 0;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-ALPHA-MAP                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26picture_alpha_map(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((1)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(1),(v2)->vector.dim);
    v3 = 1;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-ALPHA-MAP)              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27_setf_picture_alpha_map_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((1)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(1),(v3)->vector.dim);
    v4 = 1;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-ALPHA-X-ORIGIN                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28picture_alpha_x_origin(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((2)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(2),(v2)->vector.dim);
    v3 = 2;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-ALPHA-X-ORIGIN)         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29_setf_picture_alpha_x_origin_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((2)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(2),(v3)->vector.dim);
    v4 = 2;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-ALPHA-Y-ORIGIN                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30picture_alpha_y_origin(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((3)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(3),(v2)->vector.dim);
    v3 = 3;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-ALPHA-Y-ORIGIN)         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31_setf_picture_alpha_y_origin_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((3)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(3),(v3)->vector.dim);
    v4 = 3;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-CLIP-X-ORIGIN                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32picture_clip_x_origin(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((4)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(4),(v2)->vector.dim);
    v3 = 4;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-CLIP-X-ORIGIN)          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33_setf_picture_clip_x_origin_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((4)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(4),(v3)->vector.dim);
    v4 = 4;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-CLIP-Y-ORIGIN                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34picture_clip_y_origin(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((5)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(5),(v2)->vector.dim);
    v3 = 5;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-CLIP-Y-ORIGIN)          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35_setf_picture_clip_y_origin_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((5)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(5),(v3)->vector.dim);
    v4 = 5;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-CLIP-MASK                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36picture_clip_mask(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-CLIP-MASK)              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37_setf_picture_clip_mask_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((6)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(6),(v3)->vector.dim);
    v4 = 6;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-GRAPHICS-EXPOSURES            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38picture_graphics_exposures(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((7)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(7),(v2)->vector.dim);
    v3 = 7;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-GRAPHICS-EXPOSURES)     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39_setf_picture_graphics_exposures_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((7)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(7),(v3)->vector.dim);
    v4 = 7;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-SUBWINDOW-MODE                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40picture_subwindow_mode(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((8)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(8),(v2)->vector.dim);
    v3 = 8;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-SUBWINDOW-MODE)         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41_setf_picture_subwindow_mode_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((8)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(8),(v3)->vector.dim);
    v4 = 8;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-POLY-EDGE                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42picture_poly_edge(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((9)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(9),(v2)->vector.dim);
    v3 = 9;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-POLY-EDGE)              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43_setf_picture_poly_edge_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((9)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(9),(v3)->vector.dim);
    v4 = 9;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-POLY-MODE                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44picture_poly_mode(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((10)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(10),(v2)->vector.dim);
    v3 = 10;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-POLY-MODE)              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45_setf_picture_poly_mode_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((10)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(10),(v3)->vector.dim);
    v4 = 10;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-DITHER                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46picture_dither(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((11)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(11),(v2)->vector.dim);
    v3 = 11;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-DITHER)                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47_setf_picture_dither_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((11)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(11),(v3)->vector.dim);
    v4 = 11;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PICTURE-COMPONENT-ALPHA               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48picture_component_alpha(cl_object v1picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((12)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(12),(v2)->vector.dim);
    v3 = 12;
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for (SETF PICTURE-COMPONENT-ALPHA)        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49_setf_picture_component_alpha_(cl_object v1new_value, cl_object v2picture)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v2picture) /*  PICTURE-%VALUES */;
   T0 = v3;
   {
    cl_fixnum v4;
    if (ecl_unlikely((12)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(12),(v3)->vector.dim);
    v4 = 12;
    value0 = ecl_aset_unsafe(T0,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for SYNCHRONISE-PICTURE-STATE             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50synchronise_picture_state(cl_object volatile v1picture)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[378])(1, v1picture) /*  PICTURE-%CHANGED-P */)) { goto L1; }
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v2display);
   {
    volatile cl_object v3_display_;
    {
     cl_object v4;
     v4 = v2display;
     T0 = si_of_class_p(2, v4, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v4);
     v3_display_ = v4;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L9; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v3_display_) /*  X-ERROR */;
L9:;
    {
     volatile cl_object v4;
     volatile cl_object v5;
     volatile cl_fixnum v6;
     v4 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v3_display_) /*  BUFFER-LOCK */;
     v5 = mp_lock_owner(v4);
     v6 = ecl_fixnum(mp_lock_count(v4));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v7;
       v7 = _ecl_inner_frame;
       {
        volatile cl_object v8;
        v8 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v4);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v11;
          v11 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L25; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v3_display_) /*  BUFFER-FLUSH */;
L25:;
          {
          cl_fixnum v12buffer_boffset;
          cl_object v13buffer_bbuf;
          v12buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v13buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v14;
          v14 = ecl_make_fixnum(v12buffer_boffset);
          {
          cl_object v15;
          v15 = v3_display_;
          (v15)->instance.slots[4]=v14;
          }
          }
          {
          uint8_t v14;
          cl_fixnum v15;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L37; }
          v14 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v2display) /*  X-ERROR */);
          goto L35;
L37:;
          v14 = ecl_fixnum(value0);
          goto L35;
L35:;
          v15 = (v12buffer_boffset)+(0);
          (v13buffer_bbuf)->vector.self.b8[v15]= v14;
          }
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(1);
          (v13buffer_bbuf)->vector.self.b8[v14]= (uint8_t)(5);
          }
          if (Null(si_of_class_p(2, v1picture, VV[49]))) { goto L44; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L43;
L44:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1picture, VV[49]) /*  X-TYPE-ERROR */;
L43:;
          {
          cl_object v14_mask;
          cl_object v15_index;
          v14_mask = ecl_make_fixnum(0);
          v15_index = ecl_make_fixnum(8);
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,0);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,0);
          }
          if ((T0)==(T1)) { goto L52; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,0);
          }
          v16_item_ = ecl_aset_unsafe(v17,0,T0);
          goto L50;
          }
L52:;
          v16_item_ = ECL_NIL;
          goto L50;
L50:;
          if (v16_item_==ECL_NIL) { goto L49; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(1)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[125], ECL_SYM("TEST",1319), T0);
          if (Null(v17)) { goto L71; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L67;
          }
L71:;
          value0 = ECL_NIL;
          goto L67;
          }
L67:;
          if ((value0)!=ECL_NIL) { goto L66; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[126]) /*  X-TYPE-ERROR */;
          goto L49;
L66:;
          goto L49;
          }
L49:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,1);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,1);
          }
          if ((T0)==(T1)) { goto L79; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,1);
          }
          v16_item_ = ecl_aset_unsafe(v17,1,T0);
          goto L77;
          }
L79:;
          v16_item_ = ECL_NIL;
          goto L77;
L77:;
          if (v16_item_==ECL_NIL) { goto L76; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(2)));
          {
          cl_object v17;
          if (!((v16_item_)==(ECL_SYM("NONE",1603)))) { goto L94; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          v17 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L92;
          }
L94:;
          v17 = ECL_NIL;
          goto L92;
L92:;
          if (Null(v17)) { goto L99; }
          goto L76;
L99:;
          if (Null(si_of_class_p(2, v16_item_, VV[49]))) { goto L101; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v16_item_) /*  PICTURE-ID */;
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L76;
          }
L101:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[127]) /*  X-TYPE-ERROR */;
          }
          }
L76:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,2);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,2);
          }
          if ((T0)==(T1)) { goto L109; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,2);
          }
          v16_item_ = ecl_aset_unsafe(v17,2,T0);
          goto L107;
          }
L109:;
          v16_item_ = ECL_NIL;
          goto L107;
L107:;
          if (v16_item_==ECL_NIL) { goto L106; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(4)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L122; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L122; }
          if (!((v17)>=(-32768))) { goto L122; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L106;
          }
L122:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[96]) /*  X-TYPE-ERROR */;
          }
L106:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,3);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,3);
          }
          if ((T0)==(T1)) { goto L135; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,3);
          }
          v16_item_ = ecl_aset_unsafe(v17,3,T0);
          goto L133;
          }
L135:;
          v16_item_ = ECL_NIL;
          goto L133;
L133:;
          if (v16_item_==ECL_NIL) { goto L132; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(8)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L148; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L148; }
          if (!((v17)>=(-32768))) { goto L148; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L132;
          }
L148:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[96]) /*  X-TYPE-ERROR */;
          }
L132:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,4);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,4);
          }
          if ((T0)==(T1)) { goto L161; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,4);
          }
          v16_item_ = ecl_aset_unsafe(v17,4,T0);
          goto L159;
          }
L161:;
          v16_item_ = ECL_NIL;
          goto L159;
L159:;
          if (v16_item_==ECL_NIL) { goto L158; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(16)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L174; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L174; }
          if (!((v17)>=(-32768))) { goto L174; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L158;
          }
L174:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[96]) /*  X-TYPE-ERROR */;
          }
L158:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,5);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,5);
          }
          if ((T0)==(T1)) { goto L187; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,5);
          }
          v16_item_ = ecl_aset_unsafe(v17,5,T0);
          goto L185;
          }
L187:;
          v16_item_ = ECL_NIL;
          goto L185;
L185:;
          if (v16_item_==ECL_NIL) { goto L184; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(32)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L200; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L200; }
          if (!((v17)>=(-32768))) { goto L200; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L184;
          }
L200:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[96]) /*  X-TYPE-ERROR */;
          }
L184:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          v17 = ecl_aref_unsafe(v18,6);
          }
          if (ECL_CONSP(v17)) { goto L213; }
          if (v17==ECL_NIL) { goto L213; }
          if (ECL_VECTORP(v17)) { goto L213; }
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,6);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,6);
          }
          if ((T0)==(T1)) { goto L213; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,6);
          }
          v16_item_ = ecl_aset_unsafe(v17,6,T0);
          goto L211;
          }
L213:;
          v16_item_ = ECL_NIL;
          goto L211;
L211:;
          if (v16_item_==ECL_NIL) { goto L210; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(64)));
          {
          cl_object v17;
          if (!((v16_item_)==(ECL_SYM("NONE",1603)))) { goto L232; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          v17 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L230;
          }
L232:;
          v17 = ECL_NIL;
          goto L230;
L230:;
          if (Null(v17)) { goto L237; }
          goto L210;
L237:;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[380])(1, v16_item_) /*  PIXMAP-P */)) { goto L239; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[381])(1, v16_item_) /*  PIXMAP-ID */;
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L210;
          }
L239:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[128]) /*  X-TYPE-ERROR */;
          }
          }
L210:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,7);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,7);
          }
          if ((T0)==(T1)) { goto L247; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,7);
          }
          v16_item_ = ecl_aset_unsafe(v17,7,T0);
          goto L245;
          }
L247:;
          v16_item_ = ECL_NIL;
          goto L245;
L245:;
          if (v16_item_==ECL_NIL) { goto L244; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(128)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[129], ECL_SYM("TEST",1319), T0);
          if (Null(v17)) { goto L266; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L262;
          }
L266:;
          value0 = ECL_NIL;
          goto L262;
          }
L262:;
          if ((value0)!=ECL_NIL) { goto L261; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[126]) /*  X-TYPE-ERROR */;
          goto L244;
L261:;
          goto L244;
          }
L244:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,8);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,8);
          }
          if ((T0)==(T1)) { goto L274; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,8);
          }
          v16_item_ = ecl_aset_unsafe(v17,8,T0);
          goto L272;
          }
L274:;
          v16_item_ = ECL_NIL;
          goto L272;
L272:;
          if (v16_item_==ECL_NIL) { goto L271; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(256)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[130], ECL_SYM("TEST",1319), T0);
          if (Null(v17)) { goto L293; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L289;
          }
L293:;
          value0 = ECL_NIL;
          goto L289;
          }
L289:;
          if ((value0)!=ECL_NIL) { goto L288; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[131]) /*  X-TYPE-ERROR */;
          goto L271;
L288:;
          goto L271;
          }
L271:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,9);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,9);
          }
          if ((T0)==(T1)) { goto L301; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,9);
          }
          v16_item_ = ecl_aset_unsafe(v17,9,T0);
          goto L299;
          }
L301:;
          v16_item_ = ECL_NIL;
          goto L299;
L299:;
          if (v16_item_==ECL_NIL) { goto L298; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(512)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[132], ECL_SYM("TEST",1319), T0);
          if (Null(v17)) { goto L320; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L316;
          }
L320:;
          value0 = ECL_NIL;
          goto L316;
          }
L316:;
          if ((value0)!=ECL_NIL) { goto L315; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[133]) /*  X-TYPE-ERROR */;
          goto L298;
L315:;
          goto L298;
          }
L298:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,10);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,10);
          }
          if ((T0)==(T1)) { goto L328; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,10);
          }
          v16_item_ = ecl_aset_unsafe(v17,10,T0);
          goto L326;
          }
L328:;
          v16_item_ = ECL_NIL;
          goto L326;
L326:;
          if (v16_item_==ECL_NIL) { goto L325; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(1024)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[134], ECL_SYM("TEST",1319), T0);
          if (Null(v17)) { goto L347; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L343;
          }
L347:;
          value0 = ECL_NIL;
          goto L343;
          }
L343:;
          if ((value0)!=ECL_NIL) { goto L342; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[135]) /*  X-TYPE-ERROR */;
          goto L325;
L342:;
          goto L325;
          }
L325:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,11);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,11);
          }
          if ((T0)==(T1)) { goto L355; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,11);
          }
          v16_item_ = ecl_aset_unsafe(v17,11,T0);
          goto L353;
          }
L355:;
          v16_item_ = ECL_NIL;
          goto L353;
L353:;
          if (v16_item_==ECL_NIL) { goto L352; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(2048)));
          {
          cl_object v17;
          if (!((v16_item_)==(ECL_SYM("NONE",1603)))) { goto L370; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          v17 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L368;
          }
L370:;
          v17 = ECL_NIL;
          goto L368;
L368:;
          if (Null(v17)) { goto L375; }
          goto L352;
L375:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[136]) /*  X-TYPE-ERROR */;
          }
          }
L352:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,12);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,12);
          }
          if ((T0)==(T1)) { goto L380; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,12);
          }
          v16_item_ = ecl_aset_unsafe(v17,12,T0);
          goto L378;
          }
L380:;
          v16_item_ = ECL_NIL;
          goto L378;
L378:;
          if (v16_item_==ECL_NIL) { goto L377; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(4096)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[137], ECL_SYM("TEST",1319), T0);
          if (Null(v17)) { goto L399; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L395;
          }
L399:;
          value0 = ECL_NIL;
          goto L395;
          }
L395:;
          if ((value0)!=ECL_NIL) { goto L394; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16_item_, VV[126]) /*  X-TYPE-ERROR */;
          goto L377;
L394:;
          goto L377;
          }
L377:;
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v14_mask, v13buffer_bbuf, T0) /*  ASET-CARD32 */;
          {
          cl_fixnum v16;
          {
          cl_fixnum v17;
          v17 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v17);
          v16 = ecl_fixnum(v15_index);
          }
          T0 = ecl_ceiling2(ecl_make_fixnum(v16),ecl_make_fixnum(4));
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD16 */;
          }
          {
          cl_object v16;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */;
          v16 = ecl_plus(T0,v15_index);
          {
          cl_object v17;
          v17 = v3_display_;
          (v17)->instance.slots[6]=v16;
          }
          }
          }
          {
          cl_object v14;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v15;
          v15 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v15));
          v14 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v15;
          v15 = v3_display_;
          cl_env_copy->values[0] = (v15)->instance.slots[3]=v14;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v11);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v10=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v11;
          v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v4);
          if (!((v11)==(T0))) { goto L414; }
          if (!((v5)==(v11))) { goto L418; }
          T0 = mp_lock_count(v4);
          if (!((ecl_fixnum(T0))>(v6))) { goto L414; }
          goto L416;
L418:;
L416:;
          mp_giveup_lock(v4);
         }
L414:;
         ecl_stack_pop_values(cl_env_copy,v10);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v9);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v7);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L420; }
       si_check_pending_interrupts();
L420:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
   }
  }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T1 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    T0 = ecl_aref_unsafe(T1,v3);
   }
  }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
   T2 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    T1 = ecl_aref_unsafe(T2,v3);
   }
  }
  if (ecl_eql(T0,T1)) { goto L422; }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
   T1 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    T0 = ecl_aref_unsafe(T1,v3);
   }
  }
  L23_render_change_picture_clip_rectangles(v1picture, T0);
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
   T0 = v2;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    {
     cl_object v4;
     v4 = ecl_function_dispatch(cl_env_copy,VV[377])(1, v1picture) /*  PICTURE-%VALUES */;
     T1 = ecl_aref_unsafe(v4,6);
    }
    ecl_aset_unsafe(T0,v3,T1);
   }
  }
L422:;
  value0 = ecl_structure_set(v1picture,VV[49],4,ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RENDER-CREATE-PICTURE                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51render_create_picture(volatile cl_narg narg, cl_object volatile v1drawable, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2format;
  cl_object volatile v3picture;
  cl_object volatile v4repeat;
  cl_object volatile v5alpha_map;
  cl_object volatile v6alpha_x_origin;
  cl_object volatile v7alpha_y_origin;
  cl_object volatile v8clip_x_origin;
  cl_object volatile v9clip_y_origin;
  cl_object volatile v10clip_mask;
  cl_object volatile v11graphics_exposures;
  cl_object volatile v12subwindow_mode;
  cl_object volatile v13poly_edge;
  cl_object volatile v14poly_mode;
  cl_object volatile v15dither;
  cl_object volatile v16component_alpha;
  ecl_va_list args; ecl_va_start(args,v1drawable,narg,1);
  {
   cl_object keyvars[30];
   cl_parse_key(args,15,L51render_create_picturekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2format = keyvars[0];
   if (Null(keyvars[16])) {
    T0 = ecl_function_dispatch(cl_env_copy,VV[383])(1, v1drawable) /*  DRAWABLE-DISPLAY */;
    v3picture = L21make_picture(2, VV[94], T0);
   } else {
    v3picture = keyvars[1];
   }
   v4repeat = keyvars[2];
   v5alpha_map = keyvars[3];
   v6alpha_x_origin = keyvars[4];
   v7alpha_y_origin = keyvars[5];
   v8clip_x_origin = keyvars[6];
   v9clip_y_origin = keyvars[7];
   if (Null(keyvars[23])) {
    v10clip_mask = ECL_SYM("NONE",1603);
   } else {
    v10clip_mask = keyvars[8];
   }
   v11graphics_exposures = keyvars[9];
   v12subwindow_mode = keyvars[10];
   v13poly_edge = keyvars[11];
   v14poly_mode = keyvars[12];
   v15dither = keyvars[13];
   v16component_alpha = keyvars[14];
  }
  {
   volatile cl_object v17display;
   v17display = ecl_function_dispatch(cl_env_copy,VV[383])(1, v1drawable) /*  DRAWABLE-DISPLAY */;
   L4ensure_render_initialized(v17display);
   if ((v2format)!=ECL_NIL) { goto L5; }
   v2format = L8find_window_picture_format(v1drawable);
L5:;
   {
    volatile cl_object v18pid;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v17display) /*  BUFFER-DEAD */)) { goto L10; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v17display) /*  X-ERROR */;
L10:;
    {
     volatile cl_object v19;
     volatile cl_object v20;
     volatile cl_fixnum v21;
     v19 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v17display) /*  BUFFER-LOCK */;
     v20 = mp_lock_owner(v19);
     v21 = ecl_fixnum(mp_lock_count(v19));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v22;
       v22 = _ecl_inner_frame;
       {
        volatile cl_object v23;
        v23 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v24=ECL_STACK_INDEX(cl_env_copy),v25;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v23); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v19);
         T0 = ecl_function_dispatch(cl_env_copy,VV[399])(1, v17display) /*  DISPLAY-XID */;
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(1, v17display);
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v25=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v26;
          v26 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v19);
          if (!((v26)==(T0))) { goto L23; }
          if (!((v20)==(v26))) { goto L27; }
          T0 = mp_lock_count(v19);
          if (!((ecl_fixnum(T0))>(v21))) { goto L23; }
          goto L25;
L27:;
L25:;
          mp_giveup_lock(v19);
         }
L23:;
         ecl_stack_pop_values(cl_env_copy,v25);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v24);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v22);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L29; }
       si_check_pending_interrupts();
L29:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v22);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     v18pid = value0;
    }
    ecl_structure_set(v3picture,VV[49],0,v18pid);
    {
     volatile cl_object v19_display_;
     {
      cl_object v20;
      v20 = v17display;
      T0 = si_of_class_p(2, v20, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v20);
      v19_display_ = v20;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v19_display_) /*  BUFFER-DEAD */)) { goto L35; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v19_display_) /*  X-ERROR */;
L35:;
     {
      volatile cl_object v20;
      volatile cl_object v21;
      volatile cl_fixnum v22;
      v20 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v19_display_) /*  BUFFER-LOCK */;
      v21 = mp_lock_owner(v20);
      v22 = ecl_fixnum(mp_lock_count(v20));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v23;
        v23 = _ecl_inner_frame;
        {
         volatile cl_object v24;
         v24 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v25=ECL_STACK_INDEX(cl_env_copy),v26;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v24); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v20);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v27;
          v27 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v19_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v19_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L51; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v19_display_) /*  BUFFER-FLUSH */;
L51:;
          {
          cl_fixnum v28buffer_boffset;
          cl_object v29buffer_bbuf;
          v28buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v19_display_) /*  BUFFER-BOFFSET */);
          v29buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v19_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v30;
          v30 = ecl_make_fixnum(v28buffer_boffset);
          {
          cl_object v31;
          v31 = v19_display_;
          (v31)->instance.slots[4]=v30;
          }
          }
          {
          uint8_t v30;
          cl_fixnum v31;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v17display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L63; }
          v30 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v17display) /*  X-ERROR */);
          goto L61;
L63:;
          v30 = ecl_fixnum(value0);
          goto L61;
L61:;
          v31 = (v28buffer_boffset)+(0);
          (v29buffer_bbuf)->vector.self.b8[v31]= v30;
          }
          {
          cl_fixnum v30;
          v30 = (v28buffer_boffset)+(1);
          (v29buffer_bbuf)->vector.self.b8[v30]= (uint8_t)(4);
          }
          {
          cl_fixnum v30;
          v30 = 0;
          if (!(ECL_FIXNUMP(v18pid))) { goto L70; }
          v30 = ecl_fixnum(v18pid);
          if (!((v30)<=(536870911))) { goto L70; }
          if (!((v30)>=(0))) { goto L70; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v18pid, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L69;
L70:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v18pid, VV[89]) /*  X-TYPE-ERROR */;
L69:;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[400])(1, v1drawable) /*  DRAWABLE-P */)) { goto L78; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[401])(1, v1drawable) /*  DRAWABLE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L77;
L78:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1drawable, VV[139]) /*  X-TYPE-ERROR */;
L77:;
          if (Null(si_of_class_p(2, v2format, VV[60]))) { goto L81; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v2format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L80;
L81:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2format, VV[60]) /*  X-TYPE-ERROR */;
L80:;
          {
          cl_object v30_mask;
          cl_object v31_index;
          v30_mask = ecl_make_fixnum(0);
          v31_index = ecl_make_fixnum(16);
          if (v4repeat==ECL_NIL) { goto L86; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(1)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v4repeat, VV[140], ECL_SYM("TEST",1319), T0);
          if (Null(v32)) { goto L96; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L92;
          }
L96:;
          value0 = ECL_NIL;
          goto L92;
          }
L92:;
          if ((value0)!=ECL_NIL) { goto L91; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4repeat, VV[126]) /*  X-TYPE-ERROR */;
          goto L86;
L91:;
          goto L86;
L86:;
          if (v5alpha_map==ECL_NIL) { goto L101; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(2)));
          {
          cl_object v32;
          if (!((v5alpha_map)==(ECL_SYM("NONE",1603)))) { goto L107; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          v32 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L105;
          }
L107:;
          v32 = ECL_NIL;
          goto L105;
L105:;
          if (Null(v32)) { goto L112; }
          goto L101;
L112:;
          if (Null(si_of_class_p(2, v5alpha_map, VV[49]))) { goto L114; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v5alpha_map) /*  PICTURE-ID */;
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L101;
          }
L114:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5alpha_map, VV[127]) /*  X-TYPE-ERROR */;
          }
L101:;
          if (v6alpha_x_origin==ECL_NIL) { goto L119; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(4)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v6alpha_x_origin))) { goto L123; }
          v32 = ecl_fixnum(v6alpha_x_origin);
          if (!((v32)<=(32767))) { goto L123; }
          if (!((v32)>=(-32768))) { goto L123; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v6alpha_x_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L119;
          }
L123:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6alpha_x_origin, VV[96]) /*  X-TYPE-ERROR */;
L119:;
          if (v7alpha_y_origin==ECL_NIL) { goto L133; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(8)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v7alpha_y_origin))) { goto L137; }
          v32 = ecl_fixnum(v7alpha_y_origin);
          if (!((v32)<=(32767))) { goto L137; }
          if (!((v32)>=(-32768))) { goto L137; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v7alpha_y_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L133;
          }
L137:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7alpha_y_origin, VV[96]) /*  X-TYPE-ERROR */;
L133:;
          if (v8clip_x_origin==ECL_NIL) { goto L147; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(16)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v8clip_x_origin))) { goto L151; }
          v32 = ecl_fixnum(v8clip_x_origin);
          if (!((v32)<=(32767))) { goto L151; }
          if (!((v32)>=(-32768))) { goto L151; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v8clip_x_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L147;
          }
L151:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8clip_x_origin, VV[96]) /*  X-TYPE-ERROR */;
L147:;
          if (v9clip_y_origin==ECL_NIL) { goto L161; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(32)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v9clip_y_origin))) { goto L165; }
          v32 = ecl_fixnum(v9clip_y_origin);
          if (!((v32)<=(32767))) { goto L165; }
          if (!((v32)>=(-32768))) { goto L165; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9clip_y_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L161;
          }
L165:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9clip_y_origin, VV[96]) /*  X-TYPE-ERROR */;
L161:;
          {
          cl_object v32_item_;
          if (ECL_CONSP(v10clip_mask)) { goto L178; }
          if (v10clip_mask==ECL_NIL) { goto L178; }
          if (ECL_VECTORP(v10clip_mask)) { goto L178; }
          v32_item_ = v10clip_mask;
          goto L176;
L178:;
          v32_item_ = ECL_NIL;
          goto L176;
L176:;
          if (v32_item_==ECL_NIL) { goto L175; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(64)));
          {
          cl_object v33;
          if (!((v32_item_)==(ECL_SYM("NONE",1603)))) { goto L187; }
          {
          cl_fixnum v34;
          {
          cl_fixnum v35;
          v35 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v35);
          v34 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v34));
          v33 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L185;
          }
L187:;
          v33 = ECL_NIL;
          goto L185;
L185:;
          if (Null(v33)) { goto L192; }
          goto L175;
L192:;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[380])(1, v32_item_) /*  PIXMAP-P */)) { goto L194; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[381])(1, v32_item_) /*  PIXMAP-ID */;
          {
          cl_fixnum v34;
          {
          cl_fixnum v35;
          v35 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v35);
          v34 = ecl_fixnum(v31_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v34));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L175;
          }
L194:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v32_item_, VV[128]) /*  X-TYPE-ERROR */;
          }
          }
L175:;
          if (v11graphics_exposures==ECL_NIL) { goto L199; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(128)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v11graphics_exposures, VV[141], ECL_SYM("TEST",1319), T0);
          if (Null(v32)) { goto L209; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L205;
          }
L209:;
          value0 = ECL_NIL;
          goto L205;
          }
L205:;
          if ((value0)!=ECL_NIL) { goto L204; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11graphics_exposures, VV[126]) /*  X-TYPE-ERROR */;
          goto L199;
L204:;
          goto L199;
L199:;
          if (v12subwindow_mode==ECL_NIL) { goto L214; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(256)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v12subwindow_mode, VV[142], ECL_SYM("TEST",1319), T0);
          if (Null(v32)) { goto L224; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L220;
          }
L224:;
          value0 = ECL_NIL;
          goto L220;
          }
L220:;
          if ((value0)!=ECL_NIL) { goto L219; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v12subwindow_mode, VV[131]) /*  X-TYPE-ERROR */;
          goto L214;
L219:;
          goto L214;
L214:;
          if (v13poly_edge==ECL_NIL) { goto L229; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(512)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v13poly_edge, VV[143], ECL_SYM("TEST",1319), T0);
          if (Null(v32)) { goto L239; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L235;
          }
L239:;
          value0 = ECL_NIL;
          goto L235;
          }
L235:;
          if ((value0)!=ECL_NIL) { goto L234; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v13poly_edge, VV[133]) /*  X-TYPE-ERROR */;
          goto L229;
L234:;
          goto L229;
L229:;
          if (v14poly_mode==ECL_NIL) { goto L244; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(1024)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v14poly_mode, VV[144], ECL_SYM("TEST",1319), T0);
          if (Null(v32)) { goto L254; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L250;
          }
L254:;
          value0 = ECL_NIL;
          goto L250;
          }
L250:;
          if ((value0)!=ECL_NIL) { goto L249; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v14poly_mode, VV[135]) /*  X-TYPE-ERROR */;
          goto L244;
L249:;
          goto L244;
L244:;
          if (v15dither==ECL_NIL) { goto L259; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(2048)));
          {
          cl_object v32;
          if (!((v15dither)==(ECL_SYM("NONE",1603)))) { goto L265; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          v32 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L263;
          }
L265:;
          v32 = ECL_NIL;
          goto L263;
L263:;
          if (Null(v32)) { goto L270; }
          goto L259;
L270:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v15dither, VV[136]) /*  X-TYPE-ERROR */;
          }
L259:;
          if (v16component_alpha==ECL_NIL) { goto L272; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(4096)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v16component_alpha, VV[145], ECL_SYM("TEST",1319), T0);
          if (Null(v32)) { goto L282; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[342])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L278;
          }
L282:;
          value0 = ECL_NIL;
          goto L278;
          }
L278:;
          if ((value0)!=ECL_NIL) { goto L277; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v16component_alpha, VV[126]) /*  X-TYPE-ERROR */;
          goto L272;
L277:;
          goto L272;
L272:;
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v30_mask, v29buffer_bbuf, T0) /*  ASET-CARD32 */;
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_ceiling2(ecl_make_fixnum(v32),ecl_make_fixnum(4));
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD16 */;
          }
          {
          cl_object v32;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v19_display_) /*  BUFFER-BOFFSET */;
          v32 = ecl_plus(T0,v31_index);
          {
          cl_object v33;
          v33 = v19_display_;
          (v33)->instance.slots[6]=v32;
          }
          }
          }
          {
          cl_object v30;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v19_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v31;
          v31 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v31));
          v30 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v31;
          v31 = v19_display_;
          cl_env_copy->values[0] = (v31)->instance.slots[3]=v30;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v27);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v19_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v27);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v26=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v27;
          v27 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v20);
          if (!((v27)==(T0))) { goto L297; }
          if (!((v21)==(v27))) { goto L301; }
          T0 = mp_lock_count(v20);
          if (!((ecl_fixnum(T0))>(v22))) { goto L297; }
          goto L299;
L301:;
L299:;
          mp_giveup_lock(v20);
          }
L297:;
          ecl_stack_pop_values(cl_env_copy,v26);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v25);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v23);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L303; }
        si_check_pending_interrupts();
L303:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v23);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
   }
   if (ECL_CONSP(v10clip_mask)) { goto L307; }
   if (v10clip_mask==ECL_NIL) { goto L307; }
   if (!(ECL_VECTORP(v10clip_mask))) { goto L305; }
   goto L306;
L307:;
L306:;
   L23_render_change_picture_clip_rectangles(v3picture, v10clip_mask);
L305:;
   ecl_structure_set(v3picture,VV[49],3,v2format);
   {
    cl_object v18;
    value0 = v4repeat;
    if ((value0)!=ECL_NIL) { goto L315; }
    T0 = VV[146];
    goto L313;
L315:;
    T0 = value0;
    goto L313;
L313:;
    value0 = v5alpha_map;
    if ((value0)!=ECL_NIL) { goto L319; }
    T1 = ECL_SYM("NONE",1603);
    goto L317;
L319:;
    T1 = value0;
    goto L317;
L317:;
    value0 = v6alpha_x_origin;
    if ((value0)!=ECL_NIL) { goto L323; }
    T2 = ecl_make_fixnum(0);
    goto L321;
L323:;
    T2 = value0;
    goto L321;
L321:;
    value0 = v7alpha_y_origin;
    if ((value0)!=ECL_NIL) { goto L327; }
    T3 = ecl_make_fixnum(0);
    goto L325;
L327:;
    T3 = value0;
    goto L325;
L325:;
    value0 = v8clip_x_origin;
    if ((value0)!=ECL_NIL) { goto L331; }
    T4 = ecl_make_fixnum(0);
    goto L329;
L331:;
    T4 = value0;
    goto L329;
L329:;
    value0 = v9clip_y_origin;
    if ((value0)!=ECL_NIL) { goto L335; }
    T5 = ecl_make_fixnum(0);
    goto L333;
L335:;
    T5 = value0;
    goto L333;
L333:;
    value0 = v10clip_mask;
    if ((value0)!=ECL_NIL) { goto L339; }
    T6 = ECL_SYM("NONE",1603);
    goto L337;
L339:;
    T6 = value0;
    goto L337;
L337:;
    value0 = v11graphics_exposures;
    if ((value0)!=ECL_NIL) { goto L343; }
    T7 = VV[147];
    goto L341;
L343:;
    T7 = value0;
    goto L341;
L341:;
    value0 = v12subwindow_mode;
    if ((value0)!=ECL_NIL) { goto L347; }
    T8 = VV[148];
    goto L345;
L347:;
    T8 = value0;
    goto L345;
L345:;
    value0 = v13poly_edge;
    if ((value0)!=ECL_NIL) { goto L351; }
    T9 = VV[149];
    goto L349;
L351:;
    T9 = value0;
    goto L349;
L349:;
    value0 = v14poly_mode;
    if ((value0)!=ECL_NIL) { goto L355; }
    T10 = VV[150];
    goto L353;
L355:;
    T10 = value0;
    goto L353;
L353:;
    value0 = v15dither;
    if ((value0)!=ECL_NIL) { goto L359; }
    T11 = ECL_SYM("NONE",1603);
    goto L357;
L359:;
    T11 = value0;
    goto L357;
L357:;
    value0 = v16component_alpha;
    if ((value0)!=ECL_NIL) { goto L363; }
    T12 = VV[146];
    goto L361;
L363:;
    T12 = value0;
    goto L361;
L361:;
    v18 = cl_vector(13, T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12);
    ecl_structure_set(v3picture,VV[49],5,v18);
   }
   {
    cl_object v18;
    T0 = ecl_function_dispatch(cl_env_copy,VV[379])(1, v3picture) /*  PICTURE-%SERVER-VALUES */;
    v18 = ecl_copy_seq(T0);
    ecl_structure_set(v3picture,VV[49],6,v18);
   }
   ecl_structure_set(v3picture,VV[49],7,v1drawable);
   value0 = v3picture;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for RENDER-FREE-PICTURE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52render_free_picture(cl_object volatile v1picture)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   {
    volatile cl_object v3_display_;
    {
     cl_object v4;
     v4 = v2display;
     T0 = si_of_class_p(2, v4, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v4);
     v3_display_ = v4;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L5; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v3_display_) /*  X-ERROR */;
L5:;
    {
     volatile cl_object v4;
     volatile cl_object v5;
     volatile cl_fixnum v6;
     v4 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v3_display_) /*  BUFFER-LOCK */;
     v5 = mp_lock_owner(v4);
     v6 = ecl_fixnum(mp_lock_count(v4));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v7;
       v7 = _ecl_inner_frame;
       {
        volatile cl_object v8;
        v8 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v4);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v11;
          v11 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L21; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v3_display_) /*  BUFFER-FLUSH */;
L21:;
          {
          cl_fixnum v12buffer_boffset;
          cl_object v13buffer_bbuf;
          v12buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v13buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v14;
          v14 = ecl_make_fixnum(v12buffer_boffset);
          {
          cl_object v15;
          v15 = v3_display_;
          (v15)->instance.slots[4]=v14;
          }
          }
          {
          uint8_t v14;
          cl_fixnum v15;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L33; }
          v14 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v2display) /*  X-ERROR */);
          goto L31;
L33:;
          v14 = ecl_fixnum(value0);
          goto L31;
L31:;
          v15 = (v12buffer_boffset)+(0);
          (v13buffer_bbuf)->vector.self.b8[v15]= v14;
          }
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(1);
          (v13buffer_bbuf)->vector.self.b8[v14]= (uint8_t)(7);
          }
          if (Null(si_of_class_p(2, v1picture, VV[49]))) { goto L40; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L39;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1picture, VV[49]) /*  X-TYPE-ERROR */;
L39:;
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(2), v13buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v14;
          v14 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(8));
          {
          cl_object v15;
          v15 = v3_display_;
          (v15)->instance.slots[6]=v14;
          }
          }
          {
          cl_object v14;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v15;
          v15 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v15));
          v14 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v15;
          v15 = v3_display_;
          cl_env_copy->values[0] = (v15)->instance.slots[3]=v14;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v11);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v10=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v11;
          v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v4);
          if (!((v11)==(T0))) { goto L49; }
          if (!((v5)==(v11))) { goto L53; }
          T0 = mp_lock_count(v4);
          if (!((ecl_fixnum(T0))>(v6))) { goto L49; }
          goto L51;
L53:;
L51:;
          mp_giveup_lock(v4);
         }
L49:;
         ecl_stack_pop_values(cl_env_copy,v10);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v9);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v7);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L55; }
       si_check_pending_interrupts();
L55:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-FREE-GLYPH-SET                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53render_free_glyph_set(cl_object volatile v1glyph_set)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[404])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v3_display_;
    {
     cl_object v4;
     v4 = v2display;
     T0 = si_of_class_p(2, v4, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v4);
     v3_display_ = v4;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L5; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v3_display_) /*  X-ERROR */;
L5:;
    {
     volatile cl_object v4;
     volatile cl_object v5;
     volatile cl_fixnum v6;
     v4 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v3_display_) /*  BUFFER-LOCK */;
     v5 = mp_lock_owner(v4);
     v6 = ecl_fixnum(mp_lock_count(v4));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v7;
       v7 = _ecl_inner_frame;
       {
        volatile cl_object v8;
        v8 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v4);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v11;
          v11 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L21; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v3_display_) /*  BUFFER-FLUSH */;
L21:;
          {
          cl_fixnum v12buffer_boffset;
          cl_object v13buffer_bbuf;
          v12buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v13buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v14;
          v14 = ecl_make_fixnum(v12buffer_boffset);
          {
          cl_object v15;
          v15 = v3_display_;
          (v15)->instance.slots[4]=v14;
          }
          }
          {
          uint8_t v14;
          cl_fixnum v15;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L33; }
          v14 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v2display) /*  X-ERROR */);
          goto L31;
L33:;
          v14 = ecl_fixnum(value0);
          goto L31;
L31:;
          v15 = (v12buffer_boffset)+(0);
          (v13buffer_bbuf)->vector.self.b8[v15]= v14;
          }
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(1);
          (v13buffer_bbuf)->vector.self.b8[v14]= (uint8_t)(19);
          }
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L40; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L39;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L39:;
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(2), v13buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v14;
          v14 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(8));
          {
          cl_object v15;
          v15 = v3_display_;
          (v15)->instance.slots[6]=v14;
          }
          }
          {
          cl_object v14;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v15;
          v15 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v15));
          v14 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v15;
          v15 = v3_display_;
          cl_env_copy->values[0] = (v15)->instance.slots[3]=v14;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v11);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v10=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v11;
          v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v4);
          if (!((v11)==(T0))) { goto L49; }
          if (!((v5)==(v11))) { goto L53; }
          T0 = mp_lock_count(v4);
          if (!((ecl_fixnum(T0))>(v6))) { goto L49; }
          goto L51;
L53:;
L51:;
          mp_giveup_lock(v4);
         }
L49:;
         ecl_stack_pop_values(cl_env_copy,v10);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v9);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v7);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L55; }
       si_check_pending_interrupts();
L55:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-QUERY-VERSION                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54render_query_version(cl_object volatile v1display)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2_display_;
   volatile cl_object v3_pending_command_;
   volatile cl_object v4_reply_buffer_;
   {
    cl_object v5;
    v5 = v1display;
    T0 = si_of_class_p(2, v5, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v5);
    v2_display_ = v5;
   }
   v3_pending_command_ = ECL_NIL;
   v4_reply_buffer_ = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v2_display_) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v2_display_) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     volatile cl_fixnum v9;
     v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v2_display_) /*  BUFFER-LOCK */;
     v8 = mp_lock_owner(v7);
     v9 = ecl_fixnum(mp_lock_count(v7));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v10;
       v10 = _ecl_inner_frame;
       {
        volatile cl_object v11;
        v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v7);
         v3_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[406])(1, v2_display_) /*  START-PENDING-COMMAND */;
         T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v2_display_) /*  BUFFER-BOFFSET */;
         T1 = ecl_plus(T0,ecl_make_fixnum(160));
         T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v2_display_) /*  BUFFER-SIZE */;
         if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
         ecl_function_dispatch(cl_env_copy,VV[339])(1, v2_display_) /*  BUFFER-FLUSH */;
L23:;
         {
          cl_fixnum v14buffer_boffset;
          cl_object v15buffer_bbuf;
          v14buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v2_display_) /*  BUFFER-BOFFSET */);
          v15buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v2_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v16;
          v16 = ecl_make_fixnum(v14buffer_boffset);
          {
          cl_object v17;
          v17 = v2_display_;
          (v17)->instance.slots[4]=v16;
          }
          }
          {
          uint8_t v16;
          cl_fixnum v17;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v1display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L35; }
          v16 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v1display) /*  X-ERROR */);
          goto L33;
L35:;
          v16 = ecl_fixnum(value0);
          goto L33;
L33:;
          v17 = (v14buffer_boffset)+(0);
          (v15buffer_bbuf)->vector.self.b8[v17]= v16;
          }
          {
          cl_fixnum v16;
          v16 = (v14buffer_boffset)+(1);
          (v15buffer_bbuf)->vector.self.b8[v16]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, ecl_make_fixnum(0), v15buffer_bbuf, T0) /*  ASET-CARD32 */;
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, ecl_make_fixnum(1), v15buffer_bbuf, T0) /*  ASET-CARD32 */;
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(3), v15buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v16;
          v16 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(12));
          {
          cl_object v17;
          v17 = v2_display_;
          (v17)->instance.slots[6]=v16;
          }
          }
          {
          cl_object v16;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v2_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v17;
          v17 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v17));
          v16 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v17;
          v17 = v2_display_;
          (v17)->instance.slots[3]=v16;
          }
          }
         }
         ecl_function_dispatch(cl_env_copy,VV[407])(1, v2_display_) /*  BUFFER-FORCE-OUTPUT */;
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[348])(1, v2_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v13=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L50; }
          if (!((v8)==(v14))) { goto L54; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L50; }
          goto L52;
L54:;
L52:;
          mp_giveup_lock(v7);
         }
L50:;
         ecl_stack_pop_values(cl_env_copy,v13);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v12);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v10);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L56; }
       si_check_pending_interrupts();
L56:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
    {
     cl_object v7;
     v7 = ecl_function_dispatch(cl_env_copy,VV[408])(2, v2_display_, v3_pending_command_) /*  READ-REPLY */;
     value0 = ecl_make_bool(v7==ECL_NIL);
     if ((value0)!=ECL_NIL) { goto L64; }
     T0 = si_of_class_p(2, v7, VV[155]);
     goto L62;
L64:;
     T0 = value0;
     goto L62;
L62:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[156],v7);
     v4_reply_buffer_ = v7;
    }
    {
     cl_object v7_reply_buffer;
     {
      cl_object v8;
      v8 = v4_reply_buffer_;
      T0 = si_of_class_p(2, v8, VV[155]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[155],v8);
      v7_reply_buffer = v8;
     }
     {
      cl_object v8buffer_bbuf;
      v8buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[409])(1, v7_reply_buffer) /*  REPLY-IBUF8 */;
      T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
      T1 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
      T2 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
      T3 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T2) /*  AREF-CARD32 */;
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = T3;
      cl_env_copy->values[0] = T1;
     }
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    if (Null(v4_reply_buffer_)) { goto L75; }
    ecl_function_dispatch(cl_env_copy,VV[411])(1, v4_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L75:;
    if (Null(v3_pending_command_)) { goto L74; }
    ecl_function_dispatch(cl_env_copy,VV[412])(2, v2_display_, v3_pending_command_) /*  STOP-PENDING-COMMAND */;
L74:;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for RENDER-QUERY-PICTURE-FORMATS          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55render_query_picture_formats(cl_object volatile v1display)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2_display_;
   volatile cl_object v3_pending_command_;
   volatile cl_object v4_reply_buffer_;
   {
    cl_object v5;
    v5 = v1display;
    T0 = si_of_class_p(2, v5, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v5);
    v2_display_ = v5;
   }
   v3_pending_command_ = ECL_NIL;
   v4_reply_buffer_ = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v2_display_) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v2_display_) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     volatile cl_fixnum v9;
     v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v2_display_) /*  BUFFER-LOCK */;
     v8 = mp_lock_owner(v7);
     v9 = ecl_fixnum(mp_lock_count(v7));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v10;
       v10 = _ecl_inner_frame;
       {
        volatile cl_object v11;
        v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v7);
         v3_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[406])(1, v2_display_) /*  START-PENDING-COMMAND */;
         T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v2_display_) /*  BUFFER-BOFFSET */;
         T1 = ecl_plus(T0,ecl_make_fixnum(160));
         T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v2_display_) /*  BUFFER-SIZE */;
         if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
         ecl_function_dispatch(cl_env_copy,VV[339])(1, v2_display_) /*  BUFFER-FLUSH */;
L23:;
         {
          cl_fixnum v14buffer_boffset;
          cl_object v15buffer_bbuf;
          v14buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v2_display_) /*  BUFFER-BOFFSET */);
          v15buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v2_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v16;
          v16 = ecl_make_fixnum(v14buffer_boffset);
          {
          cl_object v17;
          v17 = v2_display_;
          (v17)->instance.slots[4]=v16;
          }
          }
          {
          uint8_t v16;
          cl_fixnum v17;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v1display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L35; }
          v16 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v1display) /*  X-ERROR */);
          goto L33;
L35:;
          v16 = ecl_fixnum(value0);
          goto L33;
L33:;
          v17 = (v14buffer_boffset)+(0);
          (v15buffer_bbuf)->vector.self.b8[v17]= v16;
          }
          {
          cl_fixnum v16;
          v16 = (v14buffer_boffset)+(1);
          (v15buffer_bbuf)->vector.self.b8[v16]= (uint8_t)(1);
          }
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(1), v15buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v16;
          v16 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(4));
          {
          cl_object v17;
          v17 = v2_display_;
          (v17)->instance.slots[6]=v16;
          }
          }
          {
          cl_object v16;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v2_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v17;
          v17 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v17));
          v16 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v17;
          v17 = v2_display_;
          (v17)->instance.slots[3]=v16;
          }
          }
         }
         ecl_function_dispatch(cl_env_copy,VV[407])(1, v2_display_) /*  BUFFER-FORCE-OUTPUT */;
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[348])(1, v2_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v13=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L48; }
          if (!((v8)==(v14))) { goto L52; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L48; }
          goto L50;
L52:;
L50:;
          mp_giveup_lock(v7);
         }
L48:;
         ecl_stack_pop_values(cl_env_copy,v13);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v12);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v10);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L54; }
       si_check_pending_interrupts();
L54:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
    {
     cl_object v7;
     v7 = ecl_function_dispatch(cl_env_copy,VV[408])(2, v2_display_, v3_pending_command_) /*  READ-REPLY */;
     value0 = ecl_make_bool(v7==ECL_NIL);
     if ((value0)!=ECL_NIL) { goto L62; }
     T0 = si_of_class_p(2, v7, VV[155]);
     goto L60;
L62:;
     T0 = value0;
     goto L60;
L60:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[156],v7);
     v4_reply_buffer_ = v7;
    }
    {
     cl_object v7_reply_buffer;
     {
      cl_object v8;
      v8 = v4_reply_buffer_;
      T0 = si_of_class_p(2, v8, VV[155]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[155],v8);
      v7_reply_buffer = v8;
     }
     {
      cl_object v8buffer_bbuf;
      v8buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[409])(1, v7_reply_buffer) /*  REPLY-IBUF8 */;
      {
       cl_object v9;
       cl_object v10;
       cl_object v11;
       cl_object v12;
       cl_object v13;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
       v9 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
       v10 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(16));
       v11 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(20));
       v12 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(24));
       v13 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       {
        cl_object v14i;
        v14i = ecl_make_fixnum(0);
        {
         cl_object v15;
         cl_object v16;
         v15 = ecl_list1(ECL_NIL);
         v16 = v15;
L80:;
         if (!(ecl_number_compare(v14i,v9)>=0)) { goto L82; }
         goto L81;
L82:;
         T0 = v16;
         {
          cl_object v17off;
          T2 = ecl_times(v14i,ecl_make_fixnum(28));
          v17off = ecl_plus(ecl_make_fixnum(32),T2);
          T2 = ecl_plus(v17off,ecl_make_fixnum(0));
          T3 = ecl_plus(ecl_make_fixnum(0),T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T3) /*  AREF-CARD32 */;
          {
          int8_t v18;
          {
          cl_fixnum v19;
          T6 = ecl_plus(v17off,ecl_make_fixnum(4));
          v19 = (0)+(ecl_fixnum(T6));
          v18 = (int8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
          }
          T5 = (VV[159])->vector.self.t[(cl_fixnum)(v18)];
          }
          {
          uint8_t v18;
          {
          cl_fixnum v19;
          T6 = ecl_plus(v17off,ecl_make_fixnum(5));
          v19 = (0)+(ecl_fixnum(T6));
          v18 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
          }
          T6 = ecl_plus(v17off,ecl_make_fixnum(10));
          T7 = ecl_plus(ecl_make_fixnum(0),T6);
          T8 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T7) /*  AREF-CARD16 */;
          {
          cl_index v19;
          v19 = ecl_integer_length(T8);
          T9 = ecl_plus(v17off,ecl_make_fixnum(8));
          T10 = ecl_plus(ecl_make_fixnum(0),T9);
          T11 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T10) /*  AREF-CARD16 */;
          T12 = cl_byte(ecl_make_unsigned_integer(v19), T11);
          T13 = ecl_plus(v17off,ecl_make_fixnum(14));
          T14 = ecl_plus(ecl_make_fixnum(0),T13);
          T15 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T14) /*  AREF-CARD16 */;
          {
          cl_index v20;
          v20 = ecl_integer_length(T15);
          T16 = ecl_plus(v17off,ecl_make_fixnum(12));
          T17 = ecl_plus(ecl_make_fixnum(0),T16);
          T18 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T17) /*  AREF-CARD16 */;
          T19 = cl_byte(ecl_make_unsigned_integer(v20), T18);
          T20 = ecl_plus(v17off,ecl_make_fixnum(18));
          T21 = ecl_plus(ecl_make_fixnum(0),T20);
          T22 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T21) /*  AREF-CARD16 */;
          {
          cl_index v21;
          v21 = ecl_integer_length(T22);
          T23 = ecl_plus(v17off,ecl_make_fixnum(16));
          T24 = ecl_plus(ecl_make_fixnum(0),T23);
          T25 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T24) /*  AREF-CARD16 */;
          T26 = cl_byte(ecl_make_unsigned_integer(v21), T25);
          T27 = ecl_plus(v17off,ecl_make_fixnum(22));
          T28 = ecl_plus(ecl_make_fixnum(0),T27);
          T29 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T28) /*  AREF-CARD16 */;
          {
          cl_index v22;
          v22 = ecl_integer_length(T29);
          T30 = ecl_plus(v17off,ecl_make_fixnum(20));
          T31 = ecl_plus(ecl_make_fixnum(0),T30);
          T32 = ecl_function_dispatch(cl_env_copy,VV[414])(2, v8buffer_bbuf, T31) /*  AREF-CARD16 */;
          T33 = cl_byte(ecl_make_unsigned_integer(v22), T32);
          {
          cl_object v23cmid;
          T35 = ecl_plus(v17off,ecl_make_fixnum(24));
          T36 = ecl_plus(ecl_make_fixnum(0),T35);
          v23cmid = ecl_function_dispatch(cl_env_copy,VV[410])(2, v8buffer_bbuf, T36) /*  AREF-CARD32 */;
          if (ecl_zerop(v23cmid)) { goto L96; }
          T34 = ecl_function_dispatch(cl_env_copy,VV[415])(2, v1display, v23cmid) /*  LOOKUP-COLORMAP */;
          goto L94;
L96:;
          T34 = ECL_NIL;
          }
L94:;
          T1 = L13make_picture_format(18, VV[94], v1display, VV[158], T4, ECL_SYM("TYPE",1321), T5, VV[160], ecl_make_uint8_t(v18), VV[161], T12, VV[162], T19, VV[163], T26, VV[164], T33, VV[165], T34);
          }
          }
          }
          }
          }
         }
         v16 = ecl_list1(T1);
         (ECL_CONS_CDR(T0)=v16,T0);
         v14i = ecl_one_plus(v14i);
         goto L80;
L81:;
         cl_env_copy->values[0] = _ecl_cdr(v15);
         cl_env_copy->nvalues = 1;
         goto L6;
        }
       }
      }
     }
    }
L6:;
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    if (Null(v4_reply_buffer_)) { goto L103; }
    ecl_function_dispatch(cl_env_copy,VV[411])(1, v4_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L103:;
    if (Null(v3_pending_command_)) { goto L102; }
    ecl_function_dispatch(cl_env_copy,VV[412])(2, v2_display_, v3_pending_command_) /*  STOP-PENDING-COMMAND */;
L102:;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for RENDER-FILL-RECTANGLE                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56render_fill_rectangle(cl_object volatile v1picture, cl_object volatile v2op, cl_object volatile v3color, cl_object volatile v4x1, cl_object volatile v5y1, cl_object volatile v6w, cl_object volatile v7h)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v8display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v9_display_;
    {
     cl_object v10;
     v10 = v8display;
     T0 = si_of_class_p(2, v10, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v10);
     v9_display_ = v10;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v9_display_) /*  BUFFER-DEAD */)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v9_display_) /*  X-ERROR */;
L7:;
    {
     volatile cl_object v10;
     volatile cl_object v11;
     volatile cl_fixnum v12;
     v10 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v9_display_) /*  BUFFER-LOCK */;
     v11 = mp_lock_owner(v10);
     v12 = ecl_fixnum(mp_lock_count(v10));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v13;
       v13 = _ecl_inner_frame;
       {
        volatile cl_object v14;
        v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v15=ECL_STACK_INDEX(cl_env_copy),v16;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v14); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v10);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v17;
          v17 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v9_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v9_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v9_display_) /*  BUFFER-FLUSH */;
L23:;
          {
          cl_fixnum v18buffer_boffset;
          cl_object v19buffer_bbuf;
          v18buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v9_display_) /*  BUFFER-BOFFSET */);
          v19buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v9_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v20;
          v20 = ecl_make_fixnum(v18buffer_boffset);
          {
          cl_object v21;
          v21 = v9_display_;
          (v21)->instance.slots[4]=v20;
          }
          }
          {
          uint8_t v20;
          cl_fixnum v21;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L35; }
          v20 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v8display) /*  X-ERROR */);
          goto L33;
L35:;
          v20 = ecl_fixnum(value0);
          goto L33;
L33:;
          v21 = (v18buffer_boffset)+(0);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          }
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(1);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(26);
          }
          if (Null(ecl_memql(v2op,VV[167]))) { goto L42; }
          {
          uint8_t v20;
          cl_fixnum v21;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v20 = ecl_fixnum(cl_position(4, v2op, VV[168], ECL_SYM("TEST",1319), T0));
          v21 = (v18buffer_boffset)+(4);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          goto L41;
          }
L42:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2op, VV[79]) /*  X-TYPE-ERROR */;
L41:;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(5);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L52; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L52; }
          if (!((v21)>=(0))) { goto L52; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L50;
L52:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L50:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,0);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L61; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L61; }
          if (!((v21)>=(0))) { goto L61; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L59;
L61:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[169]) /*  X-TYPE-ERROR */;
          }
L59:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,1);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L70; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L70; }
          if (!((v21)>=(0))) { goto L70; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(14));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L68;
L70:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[169]) /*  X-TYPE-ERROR */;
          }
L68:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,2);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L79; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L79; }
          if (!((v21)>=(0))) { goto L79; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L77;
L79:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[169]) /*  X-TYPE-ERROR */;
          }
L77:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,3);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L88; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L88; }
          if (!((v21)>=(0))) { goto L88; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(18));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L86;
L88:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[169]) /*  X-TYPE-ERROR */;
          }
L86:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v4x1))) { goto L96; }
          v20 = ecl_fixnum(v4x1);
          if (!((v20)<=(32767))) { goto L96; }
          if (!((v20)>=(-32768))) { goto L96; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v4x1, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L95;
L96:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4x1, VV[96]) /*  X-TYPE-ERROR */;
L95:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v5y1))) { goto L104; }
          v20 = ecl_fixnum(v5y1);
          if (!((v20)<=(32767))) { goto L104; }
          if (!((v20)>=(-32768))) { goto L104; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5y1, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L103;
L104:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5y1, VV[96]) /*  X-TYPE-ERROR */;
L103:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v6w))) { goto L112; }
          v20 = ecl_fixnum(v6w);
          if (!((v20)<=(65535))) { goto L112; }
          if (!((v20)>=(0))) { goto L112; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v6w, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L111;
L112:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6w, VV[169]) /*  X-TYPE-ERROR */;
L111:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v7h))) { goto L120; }
          v20 = ecl_fixnum(v7h);
          if (!((v20)<=(65535))) { goto L120; }
          if (!((v20)>=(0))) { goto L120; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v7h, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L119;
L120:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7h, VV[169]) /*  X-TYPE-ERROR */;
L119:;
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(7), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20;
          v20 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(28));
          {
          cl_object v21;
          v21 = v9_display_;
          (v21)->instance.slots[6]=v20;
          }
          }
          {
          cl_object v20;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v9_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v21;
          v21 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v21));
          v20 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v21;
          v21 = v9_display_;
          cl_env_copy->values[0] = (v21)->instance.slots[3]=v20;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v17);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v9_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v17);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v16=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v17;
          v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v10);
          if (!((v17)==(T0))) { goto L134; }
          if (!((v11)==(v17))) { goto L138; }
          T0 = mp_lock_count(v10);
          if (!((ecl_fixnum(T0))>(v12))) { goto L134; }
          goto L136;
L138:;
L136:;
          mp_giveup_lock(v10);
         }
L134:;
         ecl_stack_pop_values(cl_env_copy,v16);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v15);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v13);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L140; }
       si_check_pending_interrupts();
L140:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v13);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-TRIANGLES-1                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57render_triangles_1(cl_object volatile v1picture, cl_object volatile v2op, cl_object volatile v3source, cl_object volatile v4src_x, cl_object volatile v5src_y, cl_object volatile v6format, cl_object volatile v7coord_sequence)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_typep(2, v7coord_sequence, VV[171]))) { goto L1; }
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v1picture);
   L50synchronise_picture_state(v3source);
   {
    volatile cl_object v9_display_;
    {
     cl_object v10;
     v10 = v8display;
     T0 = si_of_class_p(2, v10, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v10);
     v9_display_ = v10;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v9_display_) /*  BUFFER-DEAD */)) { goto L9; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v9_display_) /*  X-ERROR */;
L9:;
    {
     volatile cl_object v10;
     volatile cl_object v11;
     volatile cl_fixnum v12;
     v10 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v9_display_) /*  BUFFER-LOCK */;
     v11 = mp_lock_owner(v10);
     v12 = ecl_fixnum(mp_lock_count(v10));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v13;
       v13 = _ecl_inner_frame;
       {
        volatile cl_object v14;
        v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v15=ECL_STACK_INDEX(cl_env_copy),v16;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v14); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v10);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v17;
          v17 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v9_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v9_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L25; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v9_display_) /*  BUFFER-FLUSH */;
L25:;
          {
          cl_fixnum v18buffer_boffset;
          cl_object v19buffer_bbuf;
          v18buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v9_display_) /*  BUFFER-BOFFSET */);
          v19buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v9_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v20;
          v20 = ecl_make_fixnum(v18buffer_boffset);
          {
          cl_object v21;
          v21 = v9_display_;
          (v21)->instance.slots[4]=v20;
          }
          }
          {
          uint8_t v20;
          cl_fixnum v21;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L37; }
          v20 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v8display) /*  X-ERROR */);
          goto L35;
L37:;
          v20 = ecl_fixnum(value0);
          goto L35;
L35:;
          v21 = (v18buffer_boffset)+(0);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          }
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(1);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(11);
          }
          if (Null(ecl_memql(v2op,VV[167]))) { goto L44; }
          {
          uint8_t v20;
          cl_fixnum v21;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v20 = ecl_fixnum(cl_position(4, v2op, VV[172], ECL_SYM("TEST",1319), T0));
          v21 = (v18buffer_boffset)+(4);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          goto L43;
          }
L44:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2op, VV[79]) /*  X-TYPE-ERROR */;
L43:;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(5);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L54; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L54; }
          if (!((v21)>=(0))) { goto L54; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L52;
L54:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L52:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L63; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L63; }
          if (!((v21)>=(0))) { goto L63; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L61;
L63:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L61:;
          if (Null(si_of_class_p(2, v6format, VV[60]))) { goto L71; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v6format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v19buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L70;
L71:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6format, VV[60]) /*  X-TYPE-ERROR */;
L70:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v4src_x))) { goto L74; }
          v20 = ecl_fixnum(v4src_x);
          if (!((v20)<=(32767))) { goto L74; }
          if (!((v20)>=(-32768))) { goto L74; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v4src_x, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L73;
L74:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4src_x, VV[96]) /*  X-TYPE-ERROR */;
L73:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v5src_y))) { goto L82; }
          v20 = ecl_fixnum(v5src_y);
          if (!((v20)<=(32767))) { goto L82; }
          if (!((v20)>=(-32768))) { goto L82; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5src_y, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L81;
L82:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5src_y, VV[96]) /*  X-TYPE-ERROR */;
L81:;
          if (ECL_CONSP(v7coord_sequence)) { goto L92; }
          if (v7coord_sequence==ECL_NIL) { goto L92; }
          if (!(ECL_VECTORP(v7coord_sequence))) { goto L90; }
          goto L91;
L92:;
L91:;
          {
          cl_fixnum v20;
          v20 = ecl_length(v7coord_sequence);
          T0 = ecl_minus(ecl_make_fixnum(v20),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(6));
          T2 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T1, v19buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[418])(6, v9_display_, T0, v7coord_sequence, ecl_make_fixnum(0), ecl_make_fixnum(v20), ECL_NIL) /*  WRITE-SEQUENCE-INT32 */;
          goto L89;
          }
L90:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7coord_sequence, VV[173]) /*  X-TYPE-ERROR */;
L89:;
          {
          cl_object v20;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v9_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v21;
          v21 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v21));
          v20 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v21;
          v21 = v9_display_;
          cl_env_copy->values[0] = (v21)->instance.slots[3]=v20;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v17);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v9_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v17);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v16=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v17;
          v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v10);
          if (!((v17)==(T0))) { goto L100; }
          if (!((v11)==(v17))) { goto L104; }
          T0 = mp_lock_count(v10);
          if (!((ecl_fixnum(T0))>(v12))) { goto L100; }
          goto L102;
L104:;
L102:;
          mp_giveup_lock(v10);
         }
L100:;
         ecl_stack_pop_values(cl_env_copy,v16);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v15);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v13);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L106; }
       si_check_pending_interrupts();
L106:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v13);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
L1:;
  {
   volatile cl_object v13display;
   v13display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v1picture);
   L50synchronise_picture_state(v3source);
   {
    volatile cl_object v14_display_;
    {
     cl_object v15;
     v15 = v13display;
     T0 = si_of_class_p(2, v15, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v15);
     v14_display_ = v15;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v14_display_) /*  BUFFER-DEAD */)) { goto L114; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v14_display_) /*  X-ERROR */;
L114:;
    {
     volatile cl_object v15;
     volatile cl_object v16;
     volatile cl_fixnum v17;
     v15 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v14_display_) /*  BUFFER-LOCK */;
     v16 = mp_lock_owner(v15);
     v17 = ecl_fixnum(mp_lock_count(v15));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v18;
       v18 = _ecl_inner_frame;
       {
        volatile cl_object v19;
        v19 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v20=ECL_STACK_INDEX(cl_env_copy),v21;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v19); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v15);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v22;
          v22 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v14_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v14_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L130; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v14_display_) /*  BUFFER-FLUSH */;
L130:;
          {
          cl_fixnum v23buffer_boffset;
          cl_object v24buffer_bbuf;
          v23buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v14_display_) /*  BUFFER-BOFFSET */);
          v24buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v14_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v25;
          v25 = ecl_make_fixnum(v23buffer_boffset);
          {
          cl_object v26;
          v26 = v14_display_;
          (v26)->instance.slots[4]=v25;
          }
          }
          {
          uint8_t v25;
          cl_fixnum v26;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v13display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L142; }
          v25 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v13display) /*  X-ERROR */);
          goto L140;
L142:;
          v25 = ecl_fixnum(value0);
          goto L140;
L140:;
          v26 = (v23buffer_boffset)+(0);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          }
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(1);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(11);
          }
          if (Null(ecl_memql(v2op,VV[167]))) { goto L149; }
          {
          uint8_t v25;
          cl_fixnum v26;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v25 = ecl_fixnum(cl_position(4, v2op, VV[174], ECL_SYM("TEST",1319), T0));
          v26 = (v23buffer_boffset)+(4);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          goto L148;
          }
L149:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2op, VV[79]) /*  X-TYPE-ERROR */;
L148:;
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(5);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L159; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L159; }
          if (!((v26)>=(0))) { goto L159; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L157;
L159:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v25_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L157:;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L168; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L168; }
          if (!((v26)>=(0))) { goto L168; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L166;
L168:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v25_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L166:;
          if (Null(si_of_class_p(2, v6format, VV[60]))) { goto L176; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v6format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v24buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L175;
L176:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6format, VV[60]) /*  X-TYPE-ERROR */;
L175:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v4src_x))) { goto L179; }
          v25 = ecl_fixnum(v4src_x);
          if (!((v25)<=(32767))) { goto L179; }
          if (!((v25)>=(-32768))) { goto L179; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v4src_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L178;
L179:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4src_x, VV[96]) /*  X-TYPE-ERROR */;
L178:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v5src_y))) { goto L187; }
          v25 = ecl_fixnum(v5src_y);
          if (!((v25)<=(32767))) { goto L187; }
          if (!((v25)>=(-32768))) { goto L187; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5src_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L186;
L187:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5src_y, VV[96]) /*  X-TYPE-ERROR */;
L186:;
          if (ECL_CONSP(v7coord_sequence)) { goto L197; }
          if (v7coord_sequence==ECL_NIL) { goto L197; }
          if (!(ECL_VECTORP(v7coord_sequence))) { goto L195; }
          goto L196;
L197:;
L196:;
          {
          cl_fixnum v25;
          v25 = ecl_length(v7coord_sequence);
          T0 = ecl_minus(ecl_make_fixnum(v25),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(6));
          T2 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T1, v24buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[418])(6, v14_display_, T0, v7coord_sequence, ecl_make_fixnum(0), ecl_make_fixnum(v25), ECL_NIL) /*  WRITE-SEQUENCE-INT32 */;
          goto L194;
          }
L195:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7coord_sequence, VV[173]) /*  X-TYPE-ERROR */;
L194:;
          {
          cl_object v25;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v14_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v26;
          v26 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v26));
          v25 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v26;
          v26 = v14_display_;
          cl_env_copy->values[0] = (v26)->instance.slots[3]=v25;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v22);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v14_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v22);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v21=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v22;
          v22 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v15);
          if (!((v22)==(T0))) { goto L205; }
          if (!((v16)==(v22))) { goto L209; }
          T0 = mp_lock_count(v15);
          if (!((ecl_fixnum(T0))>(v17))) { goto L205; }
          goto L207;
L209:;
L207:;
          mp_giveup_lock(v15);
         }
L205:;
         ecl_stack_pop_values(cl_env_copy,v21);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v20);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v18);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L211; }
       si_check_pending_interrupts();
L211:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v18);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-SET-PICTURE-TRANSFORM          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58render_set_picture_transform(cl_object volatile v1picture, cl_object volatile v2a, cl_object volatile v3b, cl_object volatile v4c, cl_object volatile v5d, cl_object volatile v6e, cl_object volatile v7f, cl_object volatile v8p, cl_object volatile v9q, cl_object volatile v10r)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v11display;
   v11display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v11display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v12_display_;
    {
     cl_object v13;
     v13 = v11display;
     T0 = si_of_class_p(2, v13, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v13);
     v12_display_ = v13;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v12_display_) /*  BUFFER-DEAD */)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v12_display_) /*  X-ERROR */;
L7:;
    {
     volatile cl_object v13;
     volatile cl_object v14;
     volatile cl_fixnum v15;
     v13 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v12_display_) /*  BUFFER-LOCK */;
     v14 = mp_lock_owner(v13);
     v15 = ecl_fixnum(mp_lock_count(v13));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v16;
       v16 = _ecl_inner_frame;
       {
        volatile cl_object v17;
        v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v18=ECL_STACK_INDEX(cl_env_copy),v19;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v17); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v13);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v20;
          v20 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v12_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v12_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v12_display_) /*  BUFFER-FLUSH */;
L23:;
          {
          cl_fixnum v21buffer_boffset;
          cl_object v22buffer_bbuf;
          v21buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v12_display_) /*  BUFFER-BOFFSET */);
          v22buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v12_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v23;
          v23 = ecl_make_fixnum(v21buffer_boffset);
          {
          cl_object v24;
          v24 = v12_display_;
          (v24)->instance.slots[4]=v23;
          }
          }
          {
          uint8_t v23;
          cl_fixnum v24;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v11display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L35; }
          v23 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v11display) /*  X-ERROR */);
          goto L33;
L35:;
          v23 = ecl_fixnum(value0);
          goto L33;
L33:;
          v24 = (v21buffer_boffset)+(0);
          (v22buffer_bbuf)->vector.self.b8[v24]= v23;
          }
          {
          cl_fixnum v23;
          v23 = (v21buffer_boffset)+(1);
          (v22buffer_bbuf)->vector.self.b8[v23]= (uint8_t)(28);
          }
          {
          cl_object v23_value_;
          v23_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v24;
          v24 = 0;
          if (!(ECL_FIXNUMP(v23_value_))) { goto L43; }
          v24 = ecl_fixnum(v23_value_);
          if (!((v24)<=(536870911))) { goto L43; }
          if (!((v24)>=(0))) { goto L43; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v23_value_, v22buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L41;
L43:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v23_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L41:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v2a))) { goto L51; }
          v23 = ecl_fixnum(v2a);
          if (!((v23)<=(4294967295))) { goto L51; }
          if (!((v23)>=(0))) { goto L51; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v2a, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L50;
L51:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2a, VV[176]) /*  X-TYPE-ERROR */;
L50:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v3b))) { goto L59; }
          v23 = ecl_fixnum(v3b);
          if (!((v23)<=(4294967295))) { goto L59; }
          if (!((v23)>=(0))) { goto L59; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v3b, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L58;
L59:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3b, VV[176]) /*  X-TYPE-ERROR */;
L58:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v4c))) { goto L67; }
          v23 = ecl_fixnum(v4c);
          if (!((v23)<=(4294967295))) { goto L67; }
          if (!((v23)>=(0))) { goto L67; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v4c, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L66;
L67:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4c, VV[176]) /*  X-TYPE-ERROR */;
L66:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v5d))) { goto L75; }
          v23 = ecl_fixnum(v5d);
          if (!((v23)<=(4294967295))) { goto L75; }
          if (!((v23)>=(0))) { goto L75; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v5d, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L74;
L75:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5d, VV[176]) /*  X-TYPE-ERROR */;
L74:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v6e))) { goto L83; }
          v23 = ecl_fixnum(v6e);
          if (!((v23)<=(4294967295))) { goto L83; }
          if (!((v23)>=(0))) { goto L83; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v6e, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L82;
L83:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6e, VV[176]) /*  X-TYPE-ERROR */;
L82:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v7f))) { goto L91; }
          v23 = ecl_fixnum(v7f);
          if (!((v23)<=(4294967295))) { goto L91; }
          if (!((v23)>=(0))) { goto L91; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(28));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v7f, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L90;
L91:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7f, VV[176]) /*  X-TYPE-ERROR */;
L90:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v8p))) { goto L99; }
          v23 = ecl_fixnum(v8p);
          if (!((v23)<=(4294967295))) { goto L99; }
          if (!((v23)>=(0))) { goto L99; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(32));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v8p, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L98;
L99:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8p, VV[176]) /*  X-TYPE-ERROR */;
L98:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v9q))) { goto L107; }
          v23 = ecl_fixnum(v9q);
          if (!((v23)<=(4294967295))) { goto L107; }
          if (!((v23)>=(0))) { goto L107; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(36));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v9q, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L106;
L107:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9q, VV[176]) /*  X-TYPE-ERROR */;
L106:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v10r))) { goto L115; }
          v23 = ecl_fixnum(v10r);
          if (!((v23)<=(4294967295))) { goto L115; }
          if (!((v23)>=(0))) { goto L115; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(40));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v10r, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L114;
L115:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10r, VV[176]) /*  X-TYPE-ERROR */;
L114:;
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(11), v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v23;
          v23 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(44));
          {
          cl_object v24;
          v24 = v12_display_;
          (v24)->instance.slots[6]=v23;
          }
          }
          {
          cl_object v23;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v12_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v24;
          v24 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v24));
          v23 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v24;
          v24 = v12_display_;
          cl_env_copy->values[0] = (v24)->instance.slots[3]=v23;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v20);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v12_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v20);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v19=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v20;
          v20 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v13);
          if (!((v20)==(T0))) { goto L129; }
          if (!((v14)==(v20))) { goto L133; }
          T0 = mp_lock_count(v13);
          if (!((ecl_fixnum(T0))>(v15))) { goto L129; }
          goto L131;
L133:;
L131:;
          mp_giveup_lock(v13);
         }
L129:;
         ecl_stack_pop_values(cl_env_copy,v19);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v18);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v16);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L135; }
       si_check_pending_interrupts();
L135:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v16);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-QUERY-FILTERS                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60render_query_filters(cl_object volatile v1drawable)
{
 cl_object T0, T1, T2, T3, T4, T5;
 volatile cl_object lex0[2];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[383])(1, v1drawable) /*  DRAWABLE-DISPLAY */;
   {
    volatile cl_object v3_display_;
    volatile cl_object v4_pending_command_;
    volatile cl_object v5_reply_buffer_;
    {
     cl_object v6;
     v6 = v2display;
     T0 = si_of_class_p(2, v6, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v6);
     v3_display_ = v6;
    }
    v4_pending_command_ = ECL_NIL;
    v5_reply_buffer_ = ECL_NIL;
    {
     volatile bool unwinding = FALSE;
     cl_index v6=ECL_STACK_INDEX(cl_env_copy),v7;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L9; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v3_display_) /*  X-ERROR */;
L9:;
     {
      volatile cl_object v8;
      volatile cl_object v9;
      volatile cl_fixnum v10;
      v8 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v3_display_) /*  BUFFER-LOCK */;
      v9 = mp_lock_owner(v8);
      v10 = ecl_fixnum(mp_lock_count(v8));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v11;
        v11 = _ecl_inner_frame;
        {
         volatile cl_object v12;
         v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v13=ECL_STACK_INDEX(cl_env_copy),v14;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v12); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v8);
          v4_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[406])(1, v3_display_) /*  START-PENDING-COMMAND */;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L24; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v3_display_) /*  BUFFER-FLUSH */;
L24:;
          {
          cl_fixnum v15buffer_boffset;
          cl_object v16buffer_bbuf;
          v15buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v16buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v17;
          v17 = ecl_make_fixnum(v15buffer_boffset);
          {
          cl_object v18;
          v18 = v3_display_;
          (v18)->instance.slots[4]=v17;
          }
          }
          {
          uint8_t v17;
          cl_fixnum v18;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L36; }
          v17 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v2display) /*  X-ERROR */);
          goto L34;
L36:;
          v17 = ecl_fixnum(value0);
          goto L34;
L34:;
          v18 = (v15buffer_boffset)+(0);
          (v16buffer_bbuf)->vector.self.b8[v18]= v17;
          }
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(1);
          (v16buffer_bbuf)->vector.self.b8[v17]= (uint8_t)(29);
          }
          if (Null(ecl_function_dispatch(cl_env_copy,VV[400])(1, v1drawable) /*  DRAWABLE-P */)) { goto L43; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[401])(1, v1drawable) /*  DRAWABLE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L42;
L43:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1drawable, VV[139]) /*  X-TYPE-ERROR */;
L42:;
          T0 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(2), v16buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v17;
          v17 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(8));
          {
          cl_object v18;
          v18 = v3_display_;
          (v18)->instance.slots[6]=v17;
          }
          }
          {
          cl_object v17;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v18;
          v18 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v18));
          v17 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v18;
          v18 = v3_display_;
          (v18)->instance.slots[3]=v17;
          }
          }
          }
          ecl_function_dispatch(cl_env_copy,VV[407])(1, v3_display_) /*  BUFFER-FORCE-OUTPUT */;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[348])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v14=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v15;
          v15 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v8);
          if (!((v15)==(T0))) { goto L52; }
          if (!((v9)==(v15))) { goto L56; }
          T0 = mp_lock_count(v8);
          if (!((ecl_fixnum(T0))>(v10))) { goto L52; }
          goto L54;
L56:;
L54:;
          mp_giveup_lock(v8);
          }
L52:;
          ecl_stack_pop_values(cl_env_copy,v14);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v13);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v11);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L58; }
        si_check_pending_interrupts();
L58:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
     {
      cl_object v8;
      v8 = ecl_function_dispatch(cl_env_copy,VV[408])(2, v3_display_, v4_pending_command_) /*  READ-REPLY */;
      value0 = ecl_make_bool(v8==ECL_NIL);
      if ((value0)!=ECL_NIL) { goto L66; }
      T0 = si_of_class_p(2, v8, VV[155]);
      goto L64;
L66:;
      T0 = value0;
      goto L64;
L64:;
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[156],v8);
      v5_reply_buffer_ = v8;
     }
     {
      cl_object v8_reply_buffer;
      {
       cl_object v9;
       v9 = v5_reply_buffer_;
       T0 = si_of_class_p(2, v9, VV[155]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[155],v9);
       v8_reply_buffer = v9;
      }
      lex0[0] = ecl_make_fixnum(0);               /*  BUFFER-BOFFSET  */
      T0 = ecl_function_dispatch(cl_env_copy,VV[409])(1, v8_reply_buffer) /*  REPLY-IBUF8 */;
      lex0[1] = T0;                               /*  BUFFER-BBUF     */
      {
       cl_object v9len;
       cl_object v10n_aliases;
       cl_object v11n_filters;
       cl_object v12off;
       T0 = ecl_plus(lex0[0],ecl_make_fixnum(4));
       v9len = ecl_function_dispatch(cl_env_copy,VV[410])(2, lex0[1], T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(lex0[0],ecl_make_fixnum(8));
       v10n_aliases = ecl_function_dispatch(cl_env_copy,VV[410])(2, lex0[1], T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(lex0[0],ecl_make_fixnum(12));
       v11n_filters = ecl_function_dispatch(cl_env_copy,VV[410])(2, lex0[1], T0) /*  AREF-CARD32 */;
       T0 = ecl_times(ecl_make_fixnum(2),v10n_aliases);
       T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
       T2 = ecl_times(ecl_make_fixnum(4),T1);
       v12off = ecl_plus(ecl_make_fixnum(32),T2);
       {
        cl_object v13i;
        v13i = ecl_make_fixnum(0);
        {
         cl_object v14;
         cl_object v15;
         v14 = ecl_list1(ECL_NIL);
         v15 = v14;
L84:;
         if (!(ecl_number_compare(v13i,v10n_aliases)>=0)) { goto L86; }
         goto L85;
L86:;
         T1 = v15;
         T2 = ecl_times(v13i,ecl_make_fixnum(2));
         T3 = ecl_plus(ecl_make_fixnum(32),T2);
         T4 = ecl_plus(lex0[0],T3);
         T5 = ecl_function_dispatch(cl_env_copy,VV[414])(2, lex0[1], T4) /*  AREF-CARD16 */;
         v15 = ecl_list1(T5);
         (ECL_CONS_CDR(T1)=v15,T1);
         v13i = ecl_one_plus(v13i);
         goto L84;
L85:;
         T0 = _ecl_cdr(v14);
         goto L80;
        }
       }
L80:;
       T1 = cl_list(2, VV[178], T0);
       ecl_print(T1,ECL_NIL);
       {
        cl_object v13i;
        v13i = ecl_make_fixnum(0);
        {
         cl_object v14;
         cl_object v15;
         v14 = ecl_list1(ECL_NIL);
         v15 = v14;
L99:;
         if (!(ecl_number_compare(v13i,v9len)>=0)) { goto L101; }
         goto L100;
L101:;
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(0));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(1));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(2));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(3));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         v13i = ecl_one_plus(v13i);
         goto L99;
L100:;
         T0 = _ecl_cdr(v14);
         goto L95;
        }
       }
L95:;
       T1 = cl_list(5, VV[179], v9len, v10n_aliases, v11n_filters, T0);
       ecl_print(T1,ECL_NIL);
       {
        cl_object v13;
        v13 = v11n_filters;
        {
         cl_object v14;
         cl_object v15;
         v14 = ecl_list1(ECL_NIL);
         v15 = v14;
L127:;
         v13 = ecl_minus(v13,ecl_make_fixnum(1));
         T1 = v13;
         if (!(ecl_minusp(T1))) { goto L129; }
         goto L128;
L129:;
         T1 = v15;
         {
          cl_object v17;                          /*  S               */
          cl_object v18;                          /*  J               */
          value0 = LC59grab_string(lex0, v12off);
          v17 = value0;
          {
          const int v19 = cl_env_copy->nvalues;
          cl_object v20;
          v20 = (v19<=1)? ECL_NIL : cl_env_copy->values[1];
          v18 = v20;
          }
          v12off = v18;
          T3 = cl_string_upcase(1, v17);
          T2 = cl_intern(2, T3, VV[180]);
         }
         v15 = ecl_list1(T2);
         (ECL_CONS_CDR(T1)=v15,T1);
         goto L127;
L128:;
         T0 = _ecl_cdr(v14);
         goto L123;
        }
       }
L123:;
       cl_env_copy->values[0] = ecl_print(T0,ECL_NIL);
       cl_env_copy->nvalues = 1;
      }
     }
       next_fr = NULL;
     }
     ecl_frs_pop(cl_env_copy);
     v7=ecl_stack_push_values(cl_env_copy);
     if (Null(v5_reply_buffer_)) { goto L142; }
     ecl_function_dispatch(cl_env_copy,VV[411])(1, v5_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L142:;
     if (Null(v4_pending_command_)) { goto L141; }
     ecl_function_dispatch(cl_env_copy,VV[412])(2, v3_display_, v4_pending_command_) /*  STOP-PENDING-COMMAND */;
L141:;
     ecl_stack_pop_values(cl_env_copy,v7);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,v6);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*      local function GRAB-STRING                                    */
/*      optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC59grab_string(volatile cl_object *lex0, cl_object v1j)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  uint8_t v2n;
  {
   cl_fixnum v3;
   v3 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(v1j));
   v2n = (uint8_t)((lex0[1])->vector.self.b8[v3]);
  }
  v1j = ecl_plus(v1j,ecl_make_fixnum(1));
  T0 = (ECL_SYM("CODE-CHAR",230)->symbol.gfdef);
  {
   cl_object v3;
   v3 = ecl_make_uint8_t(v2n);
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L10:;
    v3 = ecl_minus(v3,ecl_make_fixnum(1));
    T2 = v3;
    if (!(ecl_minusp(T2))) { goto L12; }
    goto L11;
L12:;
    T2 = v5;
    {
     uint8_t v6;
     {
      cl_fixnum v7;
      v7 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(v1j));
      v6 = (uint8_t)((lex0[1])->vector.self.b8[v7]);
     }
     v5 = ecl_list1(ecl_make_uint8_t(v6));
    }
    (ECL_CONS_CDR(T2)=v5,T2);
    v1j = ecl_plus(v1j,ecl_make_fixnum(1));
    goto L10;
L11:;
    T1 = _ecl_cdr(v4);
    goto L6;
   }
  }
L6:;
  T2 = cl_map(3, ECL_SYM("STRING",805), T0, T1);
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = v1j;
  cl_env_copy->values[0] = T2;
  return cl_env_copy->values[0];
 }
}
/*      function definition for RENDER-SET-FILTER                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61render_set_filter(cl_object volatile v1picture, cl_object volatile v2filter)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v3display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v4_display_;
    {
     cl_object v5;
     v5 = v3display;
     T0 = si_of_class_p(2, v5, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v5);
     v4_display_ = v5;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v4_display_) /*  BUFFER-DEAD */)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v4_display_) /*  X-ERROR */;
L7:;
    {
     volatile cl_object v5;
     volatile cl_object v6;
     volatile cl_fixnum v7;
     v5 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v4_display_) /*  BUFFER-LOCK */;
     v6 = mp_lock_owner(v5);
     v7 = ecl_fixnum(mp_lock_count(v5));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v8;
       v8 = _ecl_inner_frame;
       {
        volatile cl_object v9;
        v9 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v9); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v5);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v4_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v4_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v4_display_) /*  BUFFER-FLUSH */;
L23:;
          {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v4_display_) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v4_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v15;
          v15 = ecl_make_fixnum(v13buffer_boffset);
          {
          cl_object v16;
          v16 = v4_display_;
          (v16)->instance.slots[4]=v15;
          }
          }
          {
          uint8_t v15;
          cl_fixnum v16;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L35; }
          v15 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v3display) /*  X-ERROR */);
          goto L33;
L35:;
          v15 = ecl_fixnum(value0);
          goto L33;
L33:;
          v16 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v16]= v15;
          }
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(1);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(30);
          }
          {
          cl_object v15_value_;
          v15_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(ECL_FIXNUMP(v15_value_))) { goto L43; }
          v16 = ecl_fixnum(v15_value_);
          if (!((v16)<=(536870911))) { goto L43; }
          if (!((v16)>=(0))) { goto L43; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v15_value_, v14buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L41;
L43:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v15_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L41:;
          {
          cl_fixnum v15_value_;
          v15_value_ = ecl_length(v2filter);
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(1)) { goto L52; }
          v16 = v15_value_;
          if (!((v16)<=(65535))) { goto L52; }
          if (!((v16)>=(0))) { goto L52; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(v15_value_), v14buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L50;
L52:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, ecl_make_fixnum(v15_value_), VV[169]) /*  X-TYPE-ERROR */;
          }
L50:;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(10));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v14buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v15_value_;
          T0 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
          v15_value_ = cl_map(3, ECL_SYM("VECTOR",898), T0, v2filter);
          if (ECL_CONSP(v15_value_)) { goto L65; }
          if (v15_value_==ECL_NIL) { goto L65; }
          if (!(ECL_VECTORP(v15_value_))) { goto L63; }
          goto L64;
L65:;
L64:;
          {
          cl_fixnum v16;
          v16 = ecl_length(v15_value_);
          T0 = ecl_minus(ecl_make_fixnum(v16),ecl_make_fixnum(0));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_plus(T1,ecl_make_fixnum(3));
          T3 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T2, v14buffer_bbuf, T3) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[422])(6, v4_display_, T0, v15_value_, ecl_make_fixnum(0), ecl_make_fixnum(v16), ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L60;
          }
L63:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v15_value_, VV[182]) /*  X-TYPE-ERROR */;
          }
L60:;
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v4_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v16;
          v16 = v4_display_;
          cl_env_copy->values[0] = (v16)->instance.slots[3]=v15;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v12);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v4_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v11=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v12;
          v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v5);
          if (!((v12)==(T0))) { goto L73; }
          if (!((v6)==(v12))) { goto L77; }
          T0 = mp_lock_count(v5);
          if (!((ecl_fixnum(T0))>(v7))) { goto L73; }
          goto L75;
L77:;
L75:;
          mp_giveup_lock(v5);
         }
L73:;
         ecl_stack_pop_values(cl_env_copy,v11);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v10);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v8);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L79; }
       si_check_pending_interrupts();
L79:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-TRAPEZOIDS-1                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62render_trapezoids_1(cl_object volatile v1picture, cl_object volatile v2op, cl_object volatile v3source, cl_object volatile v4src_x, cl_object volatile v5src_y, cl_object volatile v6mask_format, cl_object volatile v7coord_sequence)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v1picture);
   L50synchronise_picture_state(v3source);
   {
    volatile cl_object v9_display_;
    {
     cl_object v10;
     v10 = v8display;
     T0 = si_of_class_p(2, v10, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v10);
     v9_display_ = v10;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v9_display_) /*  BUFFER-DEAD */)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v9_display_) /*  X-ERROR */;
L7:;
    {
     volatile cl_object v10;
     volatile cl_object v11;
     volatile cl_fixnum v12;
     v10 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v9_display_) /*  BUFFER-LOCK */;
     v11 = mp_lock_owner(v10);
     v12 = ecl_fixnum(mp_lock_count(v10));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v13;
       v13 = _ecl_inner_frame;
       {
        volatile cl_object v14;
        v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v15=ECL_STACK_INDEX(cl_env_copy),v16;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v14); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v10);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v17;
          v17 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v9_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v9_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v9_display_) /*  BUFFER-FLUSH */;
L23:;
          {
          cl_fixnum v18buffer_boffset;
          cl_object v19buffer_bbuf;
          v18buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v9_display_) /*  BUFFER-BOFFSET */);
          v19buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v9_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v20;
          v20 = ecl_make_fixnum(v18buffer_boffset);
          {
          cl_object v21;
          v21 = v9_display_;
          (v21)->instance.slots[4]=v20;
          }
          }
          {
          uint8_t v20;
          cl_fixnum v21;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L35; }
          v20 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v8display) /*  X-ERROR */);
          goto L33;
L35:;
          v20 = ecl_fixnum(value0);
          goto L33;
L33:;
          v21 = (v18buffer_boffset)+(0);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          }
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(1);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(10);
          }
          if (Null(ecl_memql(v2op,VV[167]))) { goto L42; }
          {
          uint8_t v20;
          cl_fixnum v21;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v20 = ecl_fixnum(cl_position(4, v2op, VV[184], ECL_SYM("TEST",1319), T0));
          v21 = (v18buffer_boffset)+(4);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          goto L41;
          }
L42:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2op, VV[79]) /*  X-TYPE-ERROR */;
L41:;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(5);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L52; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L52; }
          if (!((v21)>=(0))) { goto L52; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L50;
L52:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L50:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L61; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L61; }
          if (!((v21)>=(0))) { goto L61; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L59;
L61:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v20_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L59:;
          {
          cl_object v20;
          if (!((v6mask_format)==(ECL_SYM("NONE",1603)))) { goto L71; }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          v20 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L69;
L71:;
          v20 = ECL_NIL;
          goto L69;
L69:;
          if (Null(v20)) { goto L73; }
          goto L68;
L73:;
          if (Null(si_of_class_p(2, v6mask_format, VV[60]))) { goto L75; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v6mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v19buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L68;
L75:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L68:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v4src_x))) { goto L78; }
          v20 = ecl_fixnum(v4src_x);
          if (!((v20)<=(32767))) { goto L78; }
          if (!((v20)>=(-32768))) { goto L78; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v4src_x, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L77;
L78:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4src_x, VV[96]) /*  X-TYPE-ERROR */;
L77:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v5src_y))) { goto L86; }
          v20 = ecl_fixnum(v5src_y);
          if (!((v20)<=(32767))) { goto L86; }
          if (!((v20)>=(-32768))) { goto L86; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5src_y, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L85;
L86:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5src_y, VV[96]) /*  X-TYPE-ERROR */;
L85:;
          if (ECL_CONSP(v7coord_sequence)) { goto L96; }
          if (v7coord_sequence==ECL_NIL) { goto L96; }
          if (!(ECL_VECTORP(v7coord_sequence))) { goto L94; }
          goto L95;
L96:;
L95:;
          {
          cl_fixnum v20;
          v20 = ecl_length(v7coord_sequence);
          T0 = ecl_minus(ecl_make_fixnum(v20),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(6));
          T2 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T1, v19buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[418])(6, v9_display_, T0, v7coord_sequence, ecl_make_fixnum(0), ecl_make_fixnum(v20), ECL_NIL) /*  WRITE-SEQUENCE-INT32 */;
          goto L93;
          }
L94:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7coord_sequence, VV[173]) /*  X-TYPE-ERROR */;
L93:;
          {
          cl_object v20;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v9_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v21;
          v21 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v21));
          v20 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v21;
          v21 = v9_display_;
          cl_env_copy->values[0] = (v21)->instance.slots[3]=v20;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v17);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v9_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v17);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v16=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v17;
          v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v10);
          if (!((v17)==(T0))) { goto L104; }
          if (!((v11)==(v17))) { goto L108; }
          T0 = mp_lock_count(v10);
          if (!((ecl_fixnum(T0))>(v12))) { goto L104; }
          goto L106;
L108:;
L106:;
          mp_giveup_lock(v10);
         }
L104:;
         ecl_stack_pop_values(cl_env_copy,v16);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v15);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v13);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L110; }
       si_check_pending_interrupts();
L110:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v13);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-COMPOSITE                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63render_composite(cl_object volatile v1op, cl_object volatile v2source, cl_object volatile v3mask, cl_object volatile v4dest, cl_object volatile v5src_x, cl_object volatile v6src_y, cl_object volatile v7mask_x, cl_object volatile v8mask_y, cl_object volatile v9dst_x, cl_object volatile v10dst_y, cl_object volatile v11width, cl_object volatile v12height)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v13display;
   v13display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v2source) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v2source);
   if (Null(v3mask)) { goto L3; }
   L50synchronise_picture_state(v3mask);
L3:;
   L50synchronise_picture_state(v4dest);
   {
    volatile cl_object v14_display_;
    {
     cl_object v15;
     v15 = v13display;
     T0 = si_of_class_p(2, v15, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v15);
     v14_display_ = v15;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v14_display_) /*  BUFFER-DEAD */)) { goto L9; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v14_display_) /*  X-ERROR */;
L9:;
    {
     volatile cl_object v15;
     volatile cl_object v16;
     volatile cl_fixnum v17;
     v15 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v14_display_) /*  BUFFER-LOCK */;
     v16 = mp_lock_owner(v15);
     v17 = ecl_fixnum(mp_lock_count(v15));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v18;
       v18 = _ecl_inner_frame;
       {
        volatile cl_object v19;
        v19 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v20=ECL_STACK_INDEX(cl_env_copy),v21;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v19); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v15);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v22;
          v22 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v14_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v14_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L25; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v14_display_) /*  BUFFER-FLUSH */;
L25:;
          {
          cl_fixnum v23buffer_boffset;
          cl_object v24buffer_bbuf;
          v23buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v14_display_) /*  BUFFER-BOFFSET */);
          v24buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v14_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v25;
          v25 = ecl_make_fixnum(v23buffer_boffset);
          {
          cl_object v26;
          v26 = v14_display_;
          (v26)->instance.slots[4]=v25;
          }
          }
          {
          uint8_t v25;
          cl_fixnum v26;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v13display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L37; }
          v25 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v13display) /*  X-ERROR */);
          goto L35;
L37:;
          v25 = ecl_fixnum(value0);
          goto L35;
L35:;
          v26 = (v23buffer_boffset)+(0);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          }
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(1);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(8);
          }
          if (Null(ecl_memql(v1op,VV[167]))) { goto L44; }
          {
          uint8_t v25;
          cl_fixnum v26;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v25 = ecl_fixnum(cl_position(4, v1op, VV[187], ECL_SYM("TEST",1319), T0));
          v26 = (v23buffer_boffset)+(4);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          goto L43;
          }
L44:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1op, VV[79]) /*  X-TYPE-ERROR */;
L43:;
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(5);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v2source) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L54; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L54; }
          if (!((v26)>=(0))) { goto L54; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L52;
L54:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v25_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L52:;
          {
          cl_object v25_value_;
          if (Null(v3mask)) { goto L63; }
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3mask) /*  PICTURE-ID */;
          goto L62;
L63:;
          v25_value_ = ecl_make_fixnum(0);
L62:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L65; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L65; }
          if (!((v26)>=(0))) { goto L65; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L61;
L65:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v25_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L61:;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v4dest) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L74; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L74; }
          if (!((v26)>=(0))) { goto L74; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L72;
L74:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v25_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L72:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v5src_x))) { goto L82; }
          v25 = ecl_fixnum(v5src_x);
          if (!((v25)<=(32767))) { goto L82; }
          if (!((v25)>=(-32768))) { goto L82; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5src_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L81;
L82:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5src_x, VV[96]) /*  X-TYPE-ERROR */;
L81:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v6src_y))) { goto L90; }
          v25 = ecl_fixnum(v6src_y);
          if (!((v25)<=(32767))) { goto L90; }
          if (!((v25)>=(-32768))) { goto L90; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v6src_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L89;
L90:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6src_y, VV[96]) /*  X-TYPE-ERROR */;
L89:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v7mask_x))) { goto L98; }
          v25 = ecl_fixnum(v7mask_x);
          if (!((v25)<=(32767))) { goto L98; }
          if (!((v25)>=(-32768))) { goto L98; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v7mask_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L97;
L98:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7mask_x, VV[96]) /*  X-TYPE-ERROR */;
L97:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v8mask_y))) { goto L106; }
          v25 = ecl_fixnum(v8mask_y);
          if (!((v25)<=(32767))) { goto L106; }
          if (!((v25)>=(-32768))) { goto L106; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v8mask_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L105;
L106:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8mask_y, VV[96]) /*  X-TYPE-ERROR */;
L105:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v9dst_x))) { goto L114; }
          v25 = ecl_fixnum(v9dst_x);
          if (!((v25)<=(32767))) { goto L114; }
          if (!((v25)>=(-32768))) { goto L114; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(28));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9dst_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L113;
L114:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9dst_x, VV[96]) /*  X-TYPE-ERROR */;
L113:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v10dst_y))) { goto L122; }
          v25 = ecl_fixnum(v10dst_y);
          if (!((v25)<=(32767))) { goto L122; }
          if (!((v25)>=(-32768))) { goto L122; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(30));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10dst_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L121;
L122:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10dst_y, VV[96]) /*  X-TYPE-ERROR */;
L121:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v11width))) { goto L130; }
          v25 = ecl_fixnum(v11width);
          if (!((v25)<=(65535))) { goto L130; }
          if (!((v25)>=(0))) { goto L130; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(32));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v11width, v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L129;
L130:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11width, VV[169]) /*  X-TYPE-ERROR */;
L129:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v12height))) { goto L138; }
          v25 = ecl_fixnum(v12height);
          if (!((v25)<=(65535))) { goto L138; }
          if (!((v25)>=(0))) { goto L138; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(34));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v12height, v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L137;
L138:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v12height, VV[169]) /*  X-TYPE-ERROR */;
L137:;
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(9), v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v25;
          v25 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(36));
          {
          cl_object v26;
          v26 = v14_display_;
          (v26)->instance.slots[6]=v25;
          }
          }
          {
          cl_object v25;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v14_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v26;
          v26 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v26));
          v25 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v26;
          v26 = v14_display_;
          cl_env_copy->values[0] = (v26)->instance.slots[3]=v25;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v22);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v14_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v22);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v21=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v22;
          v22 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v15);
          if (!((v22)==(T0))) { goto L152; }
          if (!((v16)==(v22))) { goto L156; }
          T0 = mp_lock_count(v15);
          if (!((ecl_fixnum(T0))>(v17))) { goto L152; }
          goto L154;
L156:;
L154:;
          mp_giveup_lock(v15);
         }
L152:;
         ecl_stack_pop_values(cl_env_copy,v21);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v20);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v18);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L158; }
       si_check_pending_interrupts();
L158:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v18);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for MAKE-GLYPH-SET                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64make_glyph_set(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L64make_glyph_setkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v1 = ecl_make_fixnum(0);
   } else {
    v1 = keyvars[0];
   }
   v2 = keyvars[1];
   v3 = keyvars[2];
   v4 = keyvars[3];
  }
  if (ECL_LISTP(v3)) { goto L2; }
  si_structure_type_error(4, v3, ECL_SYM("LIST",481), VV[56], VV[87]);
L2:;
  if (v2==ECL_NIL) { goto L4; }
  if ((si_of_class_p(2, v2, VV[41]))!=ECL_NIL) { goto L4; }
  si_structure_type_error(4, v2, VV[88], VV[56], VV[41]);
L4:;
  {
   cl_fixnum v5;
   v5 = 0;
   if (!(ECL_FIXNUMP(v1))) { goto L11; }
   v5 = ecl_fixnum(v1);
   if (!((v5)<=(536870911))) { goto L16; }
   if ((v5)>=(0)) { goto L7; }
   goto L8;
L16:;
   goto L8;
L11:;
   goto L8;
  }
L8:;
  si_structure_type_error(4, v1, VV[89], VV[56], VV[64]);
L7:;
  value0 = si_make_structure(5, VV[190], v1, v2, v3, v4);
  return value0;
 }
}
/*      function definition for RENDER-CREATE-GLYPH-SET               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65render_create_glyph_set(volatile cl_narg narg, cl_object volatile v1format, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2glyph_set;
  ecl_va_list args; ecl_va_start(args,v1format,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L65render_create_glyph_setkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2glyph_set = keyvars[0];
  }
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[428])(1, v1format) /*  PICTURE-FORMAT-DISPLAY */;
   {
    volatile cl_object v4glyph_set;
    volatile cl_object v5gsid;
    value0 = v2glyph_set;
    if ((value0)!=ECL_NIL) { goto L4; }
    v4glyph_set = L64make_glyph_set(2, VV[94], v3display);
    goto L2;
L4:;
    v4glyph_set = value0;
    goto L2;
L2:;
    {
     volatile cl_object v6;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v3display) /*  BUFFER-DEAD */)) { goto L8; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v3display) /*  X-ERROR */;
L8:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_fixnum v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v3display) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = ecl_fixnum(mp_lock_count(v7));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          T0 = ecl_function_dispatch(cl_env_copy,VV[399])(1, v3display) /*  DISPLAY-XID */;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(1, v3display);
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L21; }
          if (!((v8)==(v14))) { goto L25; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L21; }
          goto L23;
L25:;
L23:;
          mp_giveup_lock(v7);
          }
L21:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L27; }
        si_check_pending_interrupts();
L27:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
        value0 = cl_env_copy->values[0];
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
      v6 = value0;
     }
     v5gsid = ecl_structure_set(v4glyph_set,VV[56],0,v6);
    }
    ecl_structure_set(v4glyph_set,VV[56],3,v1format);
    {
     volatile cl_object v6_display_;
     {
      cl_object v7;
      v7 = v3display;
      T0 = si_of_class_p(2, v7, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v7);
      v6_display_ = v7;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v6_display_) /*  BUFFER-DEAD */)) { goto L34; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v6_display_) /*  X-ERROR */;
L34:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_fixnum v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v6_display_) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = ecl_fixnum(mp_lock_count(v7));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v14;
          v14 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v6_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v6_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L50; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v6_display_) /*  BUFFER-FLUSH */;
L50:;
          {
          cl_fixnum v15buffer_boffset;
          cl_object v16buffer_bbuf;
          v15buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v6_display_) /*  BUFFER-BOFFSET */);
          v16buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v6_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v17;
          v17 = ecl_make_fixnum(v15buffer_boffset);
          {
          cl_object v18;
          v18 = v6_display_;
          (v18)->instance.slots[4]=v17;
          }
          }
          {
          uint8_t v17;
          cl_fixnum v18;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L62; }
          v17 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v3display) /*  X-ERROR */);
          goto L60;
L62:;
          v17 = ecl_fixnum(value0);
          goto L60;
L60:;
          v18 = (v15buffer_boffset)+(0);
          (v16buffer_bbuf)->vector.self.b8[v18]= v17;
          }
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(1);
          (v16buffer_bbuf)->vector.self.b8[v17]= (uint8_t)(17);
          }
          if (Null(si_of_class_p(2, v4glyph_set, VV[56]))) { goto L69; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v4glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L68;
L69:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L68:;
          if (Null(si_of_class_p(2, v1format, VV[60]))) { goto L72; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v1format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L71;
L72:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1format, VV[60]) /*  X-TYPE-ERROR */;
L71:;
          T0 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(3), v16buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v17;
          v17 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(12));
          {
          cl_object v18;
          v18 = v6_display_;
          (v18)->instance.slots[6]=v17;
          }
          }
          {
          cl_object v17;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v6_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v18;
          v18 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v18));
          v17 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v18;
          v18 = v6_display_;
          cl_env_copy->values[0] = (v18)->instance.slots[3]=v17;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v14);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v6_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v14);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L81; }
          if (!((v8)==(v14))) { goto L85; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L81; }
          goto L83;
L85:;
L83:;
          mp_giveup_lock(v7);
          }
L81:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L87; }
        si_check_pending_interrupts();
L87:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
    value0 = v4glyph_set;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for RENDER-REFERENCE-GLYPH-SET            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66render_reference_glyph_set(volatile cl_narg narg, cl_object volatile v1existing_glyph_set, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2glyph_set;
  ecl_va_list args; ecl_va_start(args,v1existing_glyph_set,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L66render_reference_glyph_setkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2glyph_set = keyvars[0];
  }
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[404])(1, v1existing_glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v4glyph_set;
    volatile cl_object v5gsid;
    value0 = v2glyph_set;
    if ((value0)!=ECL_NIL) { goto L4; }
    v4glyph_set = L64make_glyph_set(2, VV[94], v3display);
    goto L2;
L4:;
    v4glyph_set = value0;
    goto L2;
L2:;
    {
     volatile cl_object v6;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v3display) /*  BUFFER-DEAD */)) { goto L8; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v3display) /*  X-ERROR */;
L8:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_fixnum v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v3display) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = ecl_fixnum(mp_lock_count(v7));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          T0 = ecl_function_dispatch(cl_env_copy,VV[399])(1, v3display) /*  DISPLAY-XID */;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(1, v3display);
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L21; }
          if (!((v8)==(v14))) { goto L25; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L21; }
          goto L23;
L25:;
L23:;
          mp_giveup_lock(v7);
          }
L21:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L27; }
        si_check_pending_interrupts();
L27:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
        value0 = cl_env_copy->values[0];
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
      v6 = value0;
     }
     v5gsid = ecl_structure_set(v4glyph_set,VV[56],0,v6);
    }
    {
     cl_object v6;
     v6 = ecl_function_dispatch(cl_env_copy,VV[430])(1, v1existing_glyph_set) /*  GLYPH-SET-FORMAT */;
     ecl_structure_set(v4glyph_set,VV[56],3,v6);
    }
    {
     volatile cl_object v6_display_;
     {
      cl_object v7;
      v7 = v3display;
      T0 = si_of_class_p(2, v7, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v7);
      v6_display_ = v7;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v6_display_) /*  BUFFER-DEAD */)) { goto L35; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v6_display_) /*  X-ERROR */;
L35:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_fixnum v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v6_display_) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = ecl_fixnum(mp_lock_count(v7));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v14;
          v14 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v6_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v6_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L51; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v6_display_) /*  BUFFER-FLUSH */;
L51:;
          {
          cl_fixnum v15buffer_boffset;
          cl_object v16buffer_bbuf;
          v15buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v6_display_) /*  BUFFER-BOFFSET */);
          v16buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v6_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v17;
          v17 = ecl_make_fixnum(v15buffer_boffset);
          {
          cl_object v18;
          v18 = v6_display_;
          (v18)->instance.slots[4]=v17;
          }
          }
          {
          uint8_t v17;
          cl_fixnum v18;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L63; }
          v17 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v3display) /*  X-ERROR */);
          goto L61;
L63:;
          v17 = ecl_fixnum(value0);
          goto L61;
L61:;
          v18 = (v15buffer_boffset)+(0);
          (v16buffer_bbuf)->vector.self.b8[v18]= v17;
          }
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(1);
          (v16buffer_bbuf)->vector.self.b8[v17]= (uint8_t)(18);
          }
          if (Null(si_of_class_p(2, v4glyph_set, VV[56]))) { goto L70; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v4glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L69;
L70:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L69:;
          if (Null(si_of_class_p(2, v1existing_glyph_set, VV[56]))) { goto L73; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1existing_glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L72;
L73:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1existing_glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L72:;
          T0 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(3), v16buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v17;
          v17 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(12));
          {
          cl_object v18;
          v18 = v6_display_;
          (v18)->instance.slots[6]=v17;
          }
          }
          {
          cl_object v17;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v6_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v18;
          v18 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v18));
          v17 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v18;
          v18 = v6_display_;
          cl_env_copy->values[0] = (v18)->instance.slots[3]=v17;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v14);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v6_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v14);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L82; }
          if (!((v8)==(v14))) { goto L86; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L82; }
          goto L84;
L86:;
L84:;
          mp_giveup_lock(v7);
          }
L82:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L88; }
        si_check_pending_interrupts();
L88:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
    value0 = v4glyph_set;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for RENDER-COMPOSITE-GLYPHS-8             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67render_composite_glyphs_8(volatile cl_narg narg, cl_object volatile v1dest, cl_object volatile v2glyph_set, cl_object volatile v3source, cl_object volatile v4dest_x, cl_object volatile v5dest_y, cl_object volatile v6sequence, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<6)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v7op;
  cl_object volatile v8alu;
  cl_object volatile v9src_x;
  cl_object volatile v10src_y;
  cl_object volatile v11mask_format;
  cl_object volatile v12start;
  cl_object volatile v13end;
  ecl_va_list args; ecl_va_start(args,v6sequence,narg,6);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,L67render_composite_glyphs_8keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[7])) {
    v7op = VV[194];
   } else {
    v7op = keyvars[0];
   }
   if (Null(keyvars[8])) {
    v8alu = v7op;
   } else {
    v8alu = keyvars[1];
   }
   if (Null(keyvars[9])) {
    v9src_x = ecl_make_fixnum(0);
   } else {
    v9src_x = keyvars[2];
   }
   if (Null(keyvars[10])) {
    v10src_y = ecl_make_fixnum(0);
   } else {
    v10src_y = keyvars[3];
   }
   if (Null(keyvars[11])) {
    v11mask_format = ECL_SYM("NONE",1603);
   } else {
    v11mask_format = keyvars[4];
   }
   if (Null(keyvars[12])) {
    v12start = ecl_make_fixnum(0);
   } else {
    v12start = keyvars[5];
   }
   if (Null(keyvars[13])) {
    v13end = ecl_make_fixnum(ecl_length(v6sequence));
   } else {
    v13end = keyvars[6];
   }
  }
  {
   volatile cl_object v14display;
   v14display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1dest) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v14display);
   L50synchronise_picture_state(v1dest);
   L50synchronise_picture_state(v3source);
   if (!(ECL_STRINGP(v6sequence))) { goto L12; }
   T0 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
   v6sequence = cl_map(3, ECL_SYM("VECTOR",898), T0, v6sequence);
L12:;
   {
    volatile cl_object v15_display_;
    {
     cl_object v16;
     v16 = v14display;
     T0 = si_of_class_p(2, v16, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v16);
     v15_display_ = v16;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v15_display_) /*  BUFFER-DEAD */)) { goto L19; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v15_display_) /*  X-ERROR */;
L19:;
    {
     volatile cl_object v16;
     volatile cl_object v17;
     volatile cl_fixnum v18;
     v16 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v15_display_) /*  BUFFER-LOCK */;
     v17 = mp_lock_owner(v16);
     v18 = ecl_fixnum(mp_lock_count(v16));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v19;
       v19 = _ecl_inner_frame;
       {
        volatile cl_object v20;
        v20 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v21=ECL_STACK_INDEX(cl_env_copy),v22;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v20); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v16);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v23;
          v23 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v15_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v15_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L35; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v15_display_) /*  BUFFER-FLUSH */;
L35:;
          {
          cl_fixnum v24buffer_boffset;
          cl_object v25buffer_bbuf;
          v24buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v15_display_) /*  BUFFER-BOFFSET */);
          v25buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v15_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v26;
          v26 = ecl_make_fixnum(v24buffer_boffset);
          {
          cl_object v27;
          v27 = v15_display_;
          (v27)->instance.slots[4]=v26;
          }
          }
          {
          uint8_t v26;
          cl_fixnum v27;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L47; }
          v26 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v14display) /*  X-ERROR */);
          goto L45;
L47:;
          v26 = ecl_fixnum(value0);
          goto L45;
L45:;
          v27 = (v24buffer_boffset)+(0);
          (v25buffer_bbuf)->vector.self.b8[v27]= v26;
          }
          {
          cl_fixnum v26;
          v26 = (v24buffer_boffset)+(1);
          (v25buffer_bbuf)->vector.self.b8[v26]= (uint8_t)(23);
          }
          if (Null(ecl_memql(v8alu,VV[167]))) { goto L54; }
          {
          uint8_t v26;
          cl_fixnum v27;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v26 = ecl_fixnum(cl_position(4, v8alu, VV[195], ECL_SYM("TEST",1319), T0));
          v27 = (v24buffer_boffset)+(4);
          (v25buffer_bbuf)->vector.self.b8[v27]= v26;
          goto L53;
          }
L54:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8alu, VV[79]) /*  X-TYPE-ERROR */;
L53:;
          {
          cl_fixnum v26;
          v26 = (v24buffer_boffset)+(5);
          (v25buffer_bbuf)->vector.self.b8[v26]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v25buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L63; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L62;
L63:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L62:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L66; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L65;
L66:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L65:;
          {
          cl_object v26;
          if (!((v11mask_format)==(ECL_SYM("NONE",1603)))) { goto L71; }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(16));
          v26 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v25buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L69;
L71:;
          v26 = ECL_NIL;
          goto L69;
L69:;
          if (Null(v26)) { goto L73; }
          goto L68;
L73:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L75; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L68;
L75:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L68:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L78; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L77;
L78:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L77:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L81; }
          v26 = ecl_fixnum(v9src_x);
          if (!((v26)<=(32767))) { goto L81; }
          if (!((v26)>=(-32768))) { goto L81; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9src_x, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L80;
L81:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9src_x, VV[96]) /*  X-TYPE-ERROR */;
L80:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L89; }
          v26 = ecl_fixnum(v10src_y);
          if (!((v26)<=(32767))) { goto L89; }
          if (!((v26)>=(-32768))) { goto L89; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10src_y, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L88;
L89:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10src_y, VV[96]) /*  X-TYPE-ERROR */;
L88:;
          {
          cl_object v26_value_;
          v26_value_ = ecl_minus(v13end,v12start);
          {
          cl_fixnum v27;
          v27 = 0;
          if (!(ECL_FIXNUMP(v26_value_))) { goto L98; }
          v27 = ecl_fixnum(v26_value_);
          if (!((v27)<=(255))) { goto L98; }
          if (!((v27)>=(0))) { goto L98; }
          }
          {
          cl_fixnum v27;
          v27 = (v24buffer_boffset)+(28);
          (v25buffer_bbuf)->vector.self.b8[v27]= ecl_fixnum(v26_value_);
          goto L96;
          }
L98:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v26_value_, VV[196]) /*  X-TYPE-ERROR */;
          }
L96:;
          {
          cl_fixnum v26;
          v26 = (v24buffer_boffset)+(29);
          (v25buffer_bbuf)->vector.self.b8[v26]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(30));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v25buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v4dest_x))) { goto L110; }
          v26 = ecl_fixnum(v4dest_x);
          if (!((v26)<=(32767))) { goto L110; }
          if (!((v26)>=(-32768))) { goto L110; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(32));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v4dest_x, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L109;
L110:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4dest_x, VV[96]) /*  X-TYPE-ERROR */;
L109:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v5dest_y))) { goto L118; }
          v26 = ecl_fixnum(v5dest_y);
          if (!((v26)<=(32767))) { goto L118; }
          if (!((v26)>=(-32768))) { goto L118; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(34));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5dest_y, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L117;
L118:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5dest_y, VV[96]) /*  X-TYPE-ERROR */;
L117:;
          if (ECL_CONSP(v6sequence)) { goto L128; }
          if (v6sequence==ECL_NIL) { goto L128; }
          if (!(ECL_VECTORP(v6sequence))) { goto L126; }
          goto L127;
L128:;
L127:;
          {
          cl_fixnum v26;
          v26 = ecl_length(v6sequence);
          T0 = ecl_minus(ecl_make_fixnum(v26),ecl_make_fixnum(0));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_plus(T1,ecl_make_fixnum(9));
          T3 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T2, v25buffer_bbuf, T3) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(36));
          ecl_function_dispatch(cl_env_copy,VV[422])(6, v15_display_, T0, v6sequence, ecl_make_fixnum(0), ecl_make_fixnum(v26), ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L125;
          }
L126:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[182]) /*  X-TYPE-ERROR */;
L125:;
          {
          cl_object v26;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v15_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v27;
          v27 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v27));
          v26 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v27;
          v27 = v15_display_;
          cl_env_copy->values[0] = (v27)->instance.slots[3]=v26;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v23);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v15_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v23);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v22=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v23;
          v23 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v16);
          if (!((v23)==(T0))) { goto L136; }
          if (!((v17)==(v23))) { goto L140; }
          T0 = mp_lock_count(v16);
          if (!((ecl_fixnum(T0))>(v18))) { goto L136; }
          goto L138;
L140:;
L138:;
          mp_giveup_lock(v16);
         }
L136:;
         ecl_stack_pop_values(cl_env_copy,v22);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v21);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v19);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L142; }
       si_check_pending_interrupts();
L142:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v19);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      local function %RENDER-COMPOSITE-GLYPHS                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68_render_composite_glyphs(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36, T37, T38, T39, T40, T41, T42, T43, T44, T45, T46, T47, T48, T49, T50, T51;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4opcode;
   cl_object v5type;
   cl_object v6transform;
   cl_object v7display;
   cl_object v8dest;
   cl_object v9glyph_set;
   cl_object v10source;
   cl_object v11dest_x;
   cl_object v12dest_y;
   cl_object v13sequence;
   cl_object v14alu;
   cl_object v15src_x;
   cl_object v16src_y;
   cl_object v17mask_format;
   cl_object v18start;
   cl_object v19end;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4opcode = v20;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5type = v20;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6transform = v20;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7display = v20;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8dest = v20;
   }
   if (!(v3==ECL_NIL)) { goto L33; }
   si_dm_too_few_arguments(v1);
L33:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v9glyph_set = v20;
   }
   if (!(v3==ECL_NIL)) { goto L39; }
   si_dm_too_few_arguments(v1);
L39:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v10source = v20;
   }
   if (!(v3==ECL_NIL)) { goto L45; }
   si_dm_too_few_arguments(v1);
L45:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v11dest_x = v20;
   }
   if (!(v3==ECL_NIL)) { goto L51; }
   si_dm_too_few_arguments(v1);
L51:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v12dest_y = v20;
   }
   if (!(v3==ECL_NIL)) { goto L57; }
   si_dm_too_few_arguments(v1);
L57:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v13sequence = v20;
   }
   if (!(v3==ECL_NIL)) { goto L63; }
   si_dm_too_few_arguments(v1);
L63:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v14alu = v20;
   }
   if (!(v3==ECL_NIL)) { goto L69; }
   si_dm_too_few_arguments(v1);
L69:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v15src_x = v20;
   }
   if (!(v3==ECL_NIL)) { goto L75; }
   si_dm_too_few_arguments(v1);
L75:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v16src_y = v20;
   }
   if (!(v3==ECL_NIL)) { goto L81; }
   si_dm_too_few_arguments(v1);
L81:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v17mask_format = v20;
   }
   if (!(v3==ECL_NIL)) { goto L87; }
   si_dm_too_few_arguments(v1);
L87:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v18start = v20;
   }
   if (!(v3==ECL_NIL)) { goto L93; }
   si_dm_too_few_arguments(v1);
L93:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v19end = v20;
   }
   if (Null(v3)) { goto L98; }
   si_dm_too_many_arguments(v1);
L98:;
   {
    cl_object v20;
    cl_object v21;
    if (!((v5type)==(VV[196]))) { goto L101; }
    v20 = ecl_make_fixnum(1);
    goto L100;
L101:;
    if (!((v5type)==(VV[169]))) { goto L103; }
    v20 = ecl_make_fixnum(2);
    goto L100;
L103:;
    if (!((v5type)==(VV[176]))) { goto L105; }
    v20 = ecl_make_fixnum(4);
    goto L100;
L105:;
    v20 = si_ecase_error(v5type, VV[198]);
L100:;
    if (!((v5type)==(VV[196]))) { goto L108; }
    v21 = ecl_make_fixnum(252);
    goto L107;
L108:;
    if (!((v5type)==(VV[169]))) { goto L110; }
    v21 = ecl_make_fixnum(254);
    goto L107;
L110:;
    if (!((v5type)==(VV[176]))) { goto L112; }
    v21 = ecl_make_fixnum(254);
    goto L107;
L112:;
    v21 = si_ecase_error(v5type, VV[198]);
L107:;
    T0 = cl_list(3, ECL_SYM("FLOOR",384), VV[200], v21);
    T1 = cl_list(3, ECL_SYM("*",18), v21, v20);
    T2 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T1);
    T3 = cl_list(3, ECL_SYM("*",18), VV[202], T2);
    T4 = cl_list(3, ECL_SYM("*",18), VV[204], v20);
    T5 = cl_list(3, ECL_SYM("CEILING",199), T4, ecl_make_fixnum(4));
    T6 = cl_list(3, ECL_SYM("*",18), ecl_make_fixnum(4), T5);
    T7 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T6);
    T8 = cl_list(4, ECL_SYM("IF",946), VV[203], T7, ecl_make_fixnum(0));
    T9 = cl_list(3, ECL_SYM("+",14), T3, T8);
    T10 = cl_list(2, VV[201], T9);
    T11 = cl_list(2, T10, VV[205]);
    T12 = cl_list(3, VV[208], v7display, VV[209]);
    T13 = cl_listX(3, v7display, T12, VV[210]);
    T14 = cl_list(2, VV[211], v4opcode);
    T15 = cl_list(2, VV[79], v14alu);
    T16 = cl_list(2, VV[49], v10source);
    T17 = cl_list(2, VV[49], v8dest);
    T18 = cl_list(2, VV[185], v17mask_format);
    T19 = cl_list(2, VV[56], v9glyph_set);
    T20 = cl_list(2, VV[96], v15src_x);
    T21 = cl_list(2, VV[96], v16src_y);
    T22 = cl_list(2, VV[216], v18start);
    T23 = cl_list(2, VV[217], v19end);
    T24 = cl_list(2, VV[218], v11dest_x);
    T25 = cl_list(2, VV[219], v12dest_y);
    T26 = cl_list(5, VV[215], T22, T23, T24, T25);
    T27 = cl_list(2, VV[196], v21);
    T28 = cl_list(3, ECL_SYM("+",14), VV[216], v21);
    T29 = cl_listX(10, ECL_SYM("SEQUENCE",741), ECL_SYM("START",1313), VV[216], ECL_SYM("END",1228), T28, VV[226], v5type, VV[227], v6transform, VV[228]);
    T30 = cl_list(2, T29, v13sequence);
    T31 = cl_list(8, VV[222], VV[223], T27, VV[213], VV[214], VV[224], VV[225], T30);
    T32 = cl_list(3, ECL_SYM("*",18), v21, v20);
    T33 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T32);
    T34 = cl_list(3, ECL_SYM("INCF",433), VV[230], T33);
    T35 = cl_list(3, ECL_SYM("INCF",433), VV[216], v21);
    T36 = cl_list(7, ECL_SYM("DOTIMES",314), VV[220], VV[221], T31, VV[229], T34, T35);
    T37 = cl_listX(10, ECL_SYM("SEQUENCE",741), ECL_SYM("START",1313), VV[216], ECL_SYM("END",1228), VV[217], VV[226], v5type, VV[227], v6transform, VV[228]);
    T38 = cl_list(2, T37, v13sequence);
    T39 = cl_list(8, VV[222], VV[223], VV[231], VV[213], VV[214], VV[224], VV[225], T38);
    T40 = cl_list(3, ECL_SYM("*",18), VV[204], v20);
    T41 = cl_list(3, ECL_SYM("CEILING",199), T40, ecl_make_fixnum(4));
    T42 = cl_list(3, ECL_SYM("*",18), ecl_make_fixnum(4), T41);
    T43 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T42);
    T44 = cl_list(3, ECL_SYM("INCF",433), VV[230], T43);
    T45 = cl_list(5, ECL_SYM("WHEN",905), VV[203], VV[221], T39, T44);
    T46 = cl_list(2, VV[232], v7display);
    T47 = cl_list(3, ECL_SYM("SETF",750), T46, VV[230]);
    T48 = cl_list(5, ECL_SYM("LET",477), T26, T36, T45, T47);
    T49 = cl_list(2, ECL_SYM("PROGN",671), T48);
    T50 = cl_list(14, VV[207], T13, T14, VV[212], T15, VV[213], VV[214], T16, T17, T18, T19, T20, T21, T49);
    T51 = cl_list(4, ECL_SYM("LET*",478), T11, VV[206], T50);
    value0 = cl_list(4, ECL_SYM("MULTIPLE-VALUE-BIND",572), VV[199], T0, T51);
    return value0;
   }
  }
 }
}
/*      function definition for RENDER-COMPOSITE-GLYPHS               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72render_composite_glyphs(volatile cl_narg narg, cl_object volatile v1dest, cl_object volatile v2glyph_set, cl_object volatile v3source, cl_object volatile v4dest_x, cl_object volatile v5dest_y, cl_object volatile v6sequence, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<6)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v7op;
  cl_object volatile v8alu;
  cl_object volatile v9src_x;
  cl_object volatile v10src_y;
  cl_object volatile v11mask_format;
  cl_fixnum volatile v12start;
  cl_fixnum volatile v13end;
  ecl_va_list args; ecl_va_start(args,v6sequence,narg,6);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,L72render_composite_glyphskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[7])) {
    v7op = VV[194];
   } else {
    v7op = keyvars[0];
   }
   if (Null(keyvars[8])) {
    v8alu = v7op;
   } else {
    v8alu = keyvars[1];
   }
   if (Null(keyvars[9])) {
    v9src_x = ecl_make_fixnum(0);
   } else {
    v9src_x = keyvars[2];
   }
   if (Null(keyvars[10])) {
    v10src_y = ecl_make_fixnum(0);
   } else {
    v10src_y = keyvars[3];
   }
   if (Null(keyvars[11])) {
    v11mask_format = ECL_SYM("NONE",1603);
   } else {
    v11mask_format = keyvars[4];
   }
   if (Null(keyvars[12])) {
    v12start = 0;
   } else {
    v12start = ecl_to_fixnum(keyvars[5]);
   }
   if (Null(keyvars[13])) {
    v13end = ecl_length(v6sequence);
   } else {
    v13end = ecl_to_fixnum(keyvars[6]);
   }
  }
  {
   volatile cl_object v14display;
   v14display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1dest) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v14display);
   L50synchronise_picture_state(v1dest);
   L50synchronise_picture_state(v3source);
   if (Null(cl_typep(2, v6sequence, VV[234]))) { goto L12; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(252));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(252));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L17; }
     T3 = ecl_times(v17,ecl_make_fixnum(1));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L16;
L17:;
     T2 = ecl_make_fixnum(0);
L16:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      {
       cl_object v21;
       v21 = v14display;
       T0 = si_of_class_p(2, v21, VV[41]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v21);
       v20_display_ = v21;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L25; }
      ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v20_display_) /*  X-ERROR */;
L25:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_fixnum v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = ecl_fixnum(mp_lock_count(v21));
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L41; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v20_display_) /*  BUFFER-FLUSH */;
L41:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v31;
          v31 = ecl_make_fixnum(v29buffer_boffset);
          {
          cl_object v32;
          v32 = v20_display_;
          (v32)->instance.slots[4]=v31;
          }
          }
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L53; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v14display) /*  X-ERROR */);
          goto L51;
L53:;
          v31 = ecl_fixnum(value0);
          goto L51;
L51:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(23);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[345])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L61; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L59;
L61:;
          goto L59;
L59:;
          if (Null(ecl_memql(v8alu,VV[167]))) { goto L64; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[235], ECL_SYM("TEST",1319), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L63;
          }
L64:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8alu, VV[79]) /*  X-TYPE-ERROR */;
L63:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L73; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L72;
L73:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L72:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L76; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L75;
L76:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L75:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1603)))) { goto L81; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L79;
L81:;
          v31 = ECL_NIL;
          goto L79;
L79:;
          if (Null(v31)) { goto L83; }
          goto L78;
L83:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L85; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L78;
L85:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L78:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L88; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L87;
L88:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L87:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L91; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L91; }
          if (!((v31)>=(-32768))) { goto L91; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L90;
L91:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9src_x, VV[96]) /*  X-TYPE-ERROR */;
L90:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L99; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L99; }
          if (!((v31)>=(-32768))) { goto L99; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L98;
L99:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10src_y, VV[96]) /*  X-TYPE-ERROR */;
L98:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L116;
L115:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(252);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L127; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L127; }
          if (!((v38)>=(-32768))) { goto L127; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L126;
L127:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L126:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L135; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L135; }
          if (!((v38)>=(-32768))) { goto L135; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L134;
L135:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L134:;
          if (ECL_CONSP(v6sequence)) { goto L144; }
          if (v6sequence==ECL_NIL) { goto L144; }
          if (!(ECL_VECTORP(v6sequence))) { goto L142; }
          goto L143;
L144:;
L143:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(252));
          ecl_function_dispatch(cl_env_copy,VV[422])(6, v20_display_, T0, v6sequence, v34start, T1, ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L120;
L142:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[236]) /*  X-TYPE-ERROR */;
L120:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(252));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(252));
          v37i = ecl_one_plus(v37i);
L116:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L158; }
          goto L115;
L158:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L160; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L166; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L166; }
          if (!((v37)>=(0))) { goto L166; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L165;
          }
L166:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v17, VV[196]) /*  X-TYPE-ERROR */;
L165:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L178; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L178; }
          if (!((v37)>=(-32768))) { goto L178; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L177;
L178:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L177:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L186; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L186; }
          if (!((v37)>=(-32768))) { goto L186; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L185;
L186:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L185:;
          if (ECL_CONSP(v6sequence)) { goto L195; }
          if (v6sequence==ECL_NIL) { goto L195; }
          if (!(ECL_VECTORP(v6sequence))) { goto L193; }
          goto L194;
L195:;
L194:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[422])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L164;
L193:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[237]) /*  X-TYPE-ERROR */;
L164:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(1));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L160:;
          {
          cl_object v37;
          v37 = v33boffset;
          {
          cl_object v38;
          v38 = v14display;
          v31_value_ = (v38)->instance.slots[6]=v37;
          }
          }
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v32;
          v32 = v20_display_;
          cl_env_copy->values[0] = (v32)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v28;
          v28 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v21);
          if (!((v28)==(T0))) { goto L205; }
          if (!((v22)==(v28))) { goto L209; }
          T0 = mp_lock_count(v21);
          if (!((ecl_fixnum(T0))>(v23))) { goto L205; }
          goto L207;
L209:;
L207:;
          mp_giveup_lock(v21);
          }
L205:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L211; }
         si_check_pending_interrupts();
L211:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L12:;
   if (Null(cl_typep(2, v6sequence, VV[238]))) { goto L213; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(508));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L218; }
     T3 = ecl_times(v17,ecl_make_fixnum(2));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L217;
L218:;
     T2 = ecl_make_fixnum(0);
L217:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      {
       cl_object v21;
       v21 = v14display;
       T0 = si_of_class_p(2, v21, VV[41]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v21);
       v20_display_ = v21;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L226; }
      ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v20_display_) /*  X-ERROR */;
L226:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_fixnum v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = ecl_fixnum(mp_lock_count(v21));
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L242; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v20_display_) /*  BUFFER-FLUSH */;
L242:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v31;
          v31 = ecl_make_fixnum(v29buffer_boffset);
          {
          cl_object v32;
          v32 = v20_display_;
          (v32)->instance.slots[4]=v31;
          }
          }
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L254; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v14display) /*  X-ERROR */);
          goto L252;
L254:;
          v31 = ecl_fixnum(value0);
          goto L252;
L252:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(24);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[345])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L262; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L260;
L262:;
          goto L260;
L260:;
          if (Null(ecl_memql(v8alu,VV[167]))) { goto L265; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[239], ECL_SYM("TEST",1319), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L264;
          }
L265:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8alu, VV[79]) /*  X-TYPE-ERROR */;
L264:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L274; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L273;
L274:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L273:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L277; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L276;
L277:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L276:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1603)))) { goto L282; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L280;
L282:;
          v31 = ECL_NIL;
          goto L280;
L280:;
          if (Null(v31)) { goto L284; }
          goto L279;
L284:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L286; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L279;
L286:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L279:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L289; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L288;
L289:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L288:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L292; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L292; }
          if (!((v31)>=(-32768))) { goto L292; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L291;
L292:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9src_x, VV[96]) /*  X-TYPE-ERROR */;
L291:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L300; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L300; }
          if (!((v31)>=(-32768))) { goto L300; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L299;
L300:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10src_y, VV[96]) /*  X-TYPE-ERROR */;
L299:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L317;
L316:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L328; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L328; }
          if (!((v38)>=(-32768))) { goto L328; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L327;
L328:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L327:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L336; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L336; }
          if (!((v38)>=(-32768))) { goto L336; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L335;
L336:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L335:;
          if (ECL_CONSP(v6sequence)) { goto L345; }
          if (v6sequence==ECL_NIL) { goto L345; }
          if (!(ECL_VECTORP(v6sequence))) { goto L343; }
          goto L344;
L345:;
L344:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          ecl_function_dispatch(cl_env_copy,VV[441])(6, v20_display_, T0, v6sequence, v34start, T1, ECL_NIL) /*  WRITE-SEQUENCE-CARD16 */;
          goto L321;
L343:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[240]) /*  X-TYPE-ERROR */;
L321:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(508));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L317:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L359; }
          goto L316;
L359:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L361; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L367; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L367; }
          if (!((v37)>=(0))) { goto L367; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L366;
          }
L367:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v17, VV[196]) /*  X-TYPE-ERROR */;
L366:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L379; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L379; }
          if (!((v37)>=(-32768))) { goto L379; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L378;
L379:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L378:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L387; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L387; }
          if (!((v37)>=(-32768))) { goto L387; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L386;
L387:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L386:;
          if (ECL_CONSP(v6sequence)) { goto L396; }
          if (v6sequence==ECL_NIL) { goto L396; }
          if (!(ECL_VECTORP(v6sequence))) { goto L394; }
          goto L395;
L396:;
L395:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[441])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), ECL_NIL) /*  WRITE-SEQUENCE-CARD16 */;
          goto L365;
L394:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[241]) /*  X-TYPE-ERROR */;
L365:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(2));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L361:;
          {
          cl_object v37;
          v37 = v33boffset;
          {
          cl_object v38;
          v38 = v14display;
          v31_value_ = (v38)->instance.slots[6]=v37;
          }
          }
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v32;
          v32 = v20_display_;
          cl_env_copy->values[0] = (v32)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v28;
          v28 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v21);
          if (!((v28)==(T0))) { goto L406; }
          if (!((v22)==(v28))) { goto L410; }
          T0 = mp_lock_count(v21);
          if (!((ecl_fixnum(T0))>(v23))) { goto L406; }
          goto L408;
L410:;
L408:;
          mp_giveup_lock(v21);
          }
L406:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L412; }
         si_check_pending_interrupts();
L412:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L213:;
   if (Null(cl_typep(2, v6sequence, VV[242]))) { goto L414; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L419; }
     T3 = ecl_times(v17,ecl_make_fixnum(4));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L418;
L419:;
     T2 = ecl_make_fixnum(0);
L418:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      {
       cl_object v21;
       v21 = v14display;
       T0 = si_of_class_p(2, v21, VV[41]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v21);
       v20_display_ = v21;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L427; }
      ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v20_display_) /*  X-ERROR */;
L427:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_fixnum v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = ecl_fixnum(mp_lock_count(v21));
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L443; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v20_display_) /*  BUFFER-FLUSH */;
L443:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v31;
          v31 = ecl_make_fixnum(v29buffer_boffset);
          {
          cl_object v32;
          v32 = v20_display_;
          (v32)->instance.slots[4]=v31;
          }
          }
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L455; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v14display) /*  X-ERROR */);
          goto L453;
L455:;
          v31 = ecl_fixnum(value0);
          goto L453;
L453:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(25);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[345])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L463; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L461;
L463:;
          goto L461;
L461:;
          if (Null(ecl_memql(v8alu,VV[167]))) { goto L466; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[243], ECL_SYM("TEST",1319), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L465;
          }
L466:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8alu, VV[79]) /*  X-TYPE-ERROR */;
L465:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L475; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L474;
L475:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L474:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L478; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L477;
L478:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L477:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1603)))) { goto L483; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L481;
L483:;
          v31 = ECL_NIL;
          goto L481;
L481:;
          if (Null(v31)) { goto L485; }
          goto L480;
L485:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L487; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L480;
L487:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L480:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L490; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L489;
L490:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L489:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L493; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L493; }
          if (!((v31)>=(-32768))) { goto L493; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L492;
L493:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9src_x, VV[96]) /*  X-TYPE-ERROR */;
L492:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L501; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L501; }
          if (!((v31)>=(-32768))) { goto L501; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L500;
L501:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10src_y, VV[96]) /*  X-TYPE-ERROR */;
L500:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L518;
L517:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L529; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L529; }
          if (!((v38)>=(-32768))) { goto L529; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L528;
L529:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L528:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L537; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L537; }
          if (!((v38)>=(-32768))) { goto L537; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L536;
L537:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L536:;
          if (ECL_CONSP(v6sequence)) { goto L546; }
          if (v6sequence==ECL_NIL) { goto L546; }
          if (!(ECL_VECTORP(v6sequence))) { goto L544; }
          goto L545;
L546:;
L545:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v20_display_, T0, v6sequence, v34start, T1, ECL_NIL) /*  WRITE-SEQUENCE-CARD32 */;
          goto L522;
L544:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[244]) /*  X-TYPE-ERROR */;
L522:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L518:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L560; }
          goto L517;
L560:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L562; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L568; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L568; }
          if (!((v37)>=(0))) { goto L568; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L567;
          }
L568:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v17, VV[196]) /*  X-TYPE-ERROR */;
L567:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L580; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L580; }
          if (!((v37)>=(-32768))) { goto L580; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L579;
L580:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L579:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L588; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L588; }
          if (!((v37)>=(-32768))) { goto L588; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L587;
L588:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L587:;
          if (ECL_CONSP(v6sequence)) { goto L597; }
          if (v6sequence==ECL_NIL) { goto L597; }
          if (!(ECL_VECTORP(v6sequence))) { goto L595; }
          goto L596;
L597:;
L596:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), ECL_NIL) /*  WRITE-SEQUENCE-CARD32 */;
          goto L566;
L595:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[245]) /*  X-TYPE-ERROR */;
L566:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(4));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L562:;
          {
          cl_object v37;
          v37 = v33boffset;
          {
          cl_object v38;
          v38 = v14display;
          v31_value_ = (v38)->instance.slots[6]=v37;
          }
          }
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v32;
          v32 = v20_display_;
          cl_env_copy->values[0] = (v32)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v28;
          v28 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v21);
          if (!((v28)==(T0))) { goto L607; }
          if (!((v22)==(v28))) { goto L611; }
          T0 = mp_lock_count(v21);
          if (!((ecl_fixnum(T0))>(v23))) { goto L607; }
          goto L609;
L611:;
L609:;
          mp_giveup_lock(v21);
          }
L607:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L613; }
         si_check_pending_interrupts();
L613:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L414:;
   if (!(ECL_STRINGP(v6sequence))) { goto L615; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L620; }
     T3 = ecl_times(v17,ecl_make_fixnum(4));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L619;
L620:;
     T2 = ecl_make_fixnum(0);
L619:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      {
       cl_object v21;
       v21 = v14display;
       T0 = si_of_class_p(2, v21, VV[41]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v21);
       v20_display_ = v21;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L628; }
      ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v20_display_) /*  X-ERROR */;
L628:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_fixnum v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = ecl_fixnum(mp_lock_count(v21));
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L644; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v20_display_) /*  BUFFER-FLUSH */;
L644:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v31;
          v31 = ecl_make_fixnum(v29buffer_boffset);
          {
          cl_object v32;
          v32 = v20_display_;
          (v32)->instance.slots[4]=v31;
          }
          }
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L656; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v14display) /*  X-ERROR */);
          goto L654;
L656:;
          v31 = ecl_fixnum(value0);
          goto L654;
L654:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(25);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[345])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L664; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L662;
L664:;
          goto L662;
L662:;
          if (Null(ecl_memql(v8alu,VV[167]))) { goto L667; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[246], ECL_SYM("TEST",1319), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L666;
          }
L667:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8alu, VV[79]) /*  X-TYPE-ERROR */;
L666:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L676; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L675;
L676:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L675:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L679; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L678;
L679:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L678:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1603)))) { goto L684; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L682;
L684:;
          v31 = ECL_NIL;
          goto L682;
L682:;
          if (Null(v31)) { goto L686; }
          goto L681;
L686:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L688; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L681;
L688:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L681:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L691; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L690;
L691:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L690:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L694; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L694; }
          if (!((v31)>=(-32768))) { goto L694; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L693;
L694:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9src_x, VV[96]) /*  X-TYPE-ERROR */;
L693:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L702; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L702; }
          if (!((v31)>=(-32768))) { goto L702; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L701;
L702:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10src_y, VV[96]) /*  X-TYPE-ERROR */;
L701:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L719;
L718:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L730; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L730; }
          if (!((v38)>=(-32768))) { goto L730; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L729;
L730:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L729:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L738; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L738; }
          if (!((v38)>=(-32768))) { goto L738; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L737;
L738:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L737:;
          if (ECL_CONSP(v6sequence)) { goto L747; }
          if (v6sequence==ECL_NIL) { goto L747; }
          if (!(ECL_VECTORP(v6sequence))) { goto L745; }
          goto L746;
L747:;
L746:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          T2 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v20_display_, T0, v6sequence, v34start, T1, T2) /*  WRITE-SEQUENCE-CARD32 */;
          goto L723;
L745:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[247]) /*  X-TYPE-ERROR */;
L723:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L719:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L762; }
          goto L718;
L762:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L764; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L770; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L770; }
          if (!((v37)>=(0))) { goto L770; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L769;
          }
L770:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v17, VV[196]) /*  X-TYPE-ERROR */;
L769:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L782; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L782; }
          if (!((v37)>=(-32768))) { goto L782; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L781;
L782:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L781:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L790; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L790; }
          if (!((v37)>=(-32768))) { goto L790; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L789;
L790:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L789:;
          if (ECL_CONSP(v6sequence)) { goto L799; }
          if (v6sequence==ECL_NIL) { goto L799; }
          if (!(ECL_VECTORP(v6sequence))) { goto L797; }
          goto L798;
L799:;
L798:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), T1) /*  WRITE-SEQUENCE-CARD32 */;
          goto L768;
L797:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[248]) /*  X-TYPE-ERROR */;
L768:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(4));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L764:;
          {
          cl_object v37;
          v37 = v33boffset;
          {
          cl_object v38;
          v38 = v14display;
          v31_value_ = (v38)->instance.slots[6]=v37;
          }
          }
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v32;
          v32 = v20_display_;
          cl_env_copy->values[0] = (v32)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v28;
          v28 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v21);
          if (!((v28)==(T0))) { goto L810; }
          if (!((v22)==(v28))) { goto L814; }
          T0 = mp_lock_count(v21);
          if (!((ecl_fixnum(T0))>(v23))) { goto L810; }
          goto L812;
L814:;
L812:;
          mp_giveup_lock(v21);
          }
L810:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L816; }
         si_check_pending_interrupts();
L816:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L615:;
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L821; }
     T3 = ecl_times(v17,ecl_make_fixnum(4));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L820;
L821:;
     T2 = ecl_make_fixnum(0);
L820:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      {
       cl_object v21;
       v21 = v14display;
       T0 = si_of_class_p(2, v21, VV[41]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v21);
       v20_display_ = v21;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L829; }
      ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v20_display_) /*  X-ERROR */;
L829:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_fixnum v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = ecl_fixnum(mp_lock_count(v21));
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L845; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v20_display_) /*  BUFFER-FLUSH */;
L845:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v31;
          v31 = ecl_make_fixnum(v29buffer_boffset);
          {
          cl_object v32;
          v32 = v20_display_;
          (v32)->instance.slots[4]=v31;
          }
          }
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L857; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v14display) /*  X-ERROR */);
          goto L855;
L857:;
          v31 = ecl_fixnum(value0);
          goto L855;
L855:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(25);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[345])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L865; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L863;
L865:;
          goto L863;
L863:;
          if (Null(ecl_memql(v8alu,VV[167]))) { goto L868; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[249], ECL_SYM("TEST",1319), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L867;
          }
L868:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8alu, VV[79]) /*  X-TYPE-ERROR */;
L867:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L877; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L876;
L877:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L876:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L880; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L879;
L880:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L879:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1603)))) { goto L885; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[342])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L883;
L885:;
          v31 = ECL_NIL;
          goto L883;
L883:;
          if (Null(v31)) { goto L887; }
          goto L882;
L887:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L889; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[77])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L882;
L889:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v11mask_format, VV[185]) /*  X-TYPE-ERROR */;
          }
L882:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L892; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L891;
L892:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L891:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L895; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L895; }
          if (!((v31)>=(-32768))) { goto L895; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L894;
L895:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9src_x, VV[96]) /*  X-TYPE-ERROR */;
L894:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L903; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L903; }
          if (!((v31)>=(-32768))) { goto L903; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L902;
L903:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10src_y, VV[96]) /*  X-TYPE-ERROR */;
L902:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L920;
L919:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L931; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L931; }
          if (!((v38)>=(-32768))) { goto L931; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L930;
L931:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L930:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L939; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L939; }
          if (!((v38)>=(-32768))) { goto L939; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L938;
L939:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L938:;
          if (ECL_CONSP(v6sequence)) { goto L948; }
          if (v6sequence==ECL_NIL) { goto L948; }
          if (!(ECL_VECTORP(v6sequence))) { goto L946; }
          goto L947;
L948:;
L947:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          {
          cl_object v38;
          v38 = ecl_make_cfun((cl_objectfn_fixed)LC70__g2606,ECL_NIL,Cblock,1);
          T2 = v38;
          }
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v20_display_, T0, v6sequence, v34start, T1, T2) /*  WRITE-SEQUENCE-CARD32 */;
          goto L924;
L946:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[250]) /*  X-TYPE-ERROR */;
L924:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L920:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L963; }
          goto L919;
L963:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L965; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L971; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L971; }
          if (!((v37)>=(0))) { goto L971; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L970;
          }
L971:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v17, VV[196]) /*  X-TYPE-ERROR */;
L970:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L983; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L983; }
          if (!((v37)>=(-32768))) { goto L983; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L982;
L983:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v35dest_x, VV[96]) /*  X-TYPE-ERROR */;
L982:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L991; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L991; }
          if (!((v37)>=(-32768))) { goto L991; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L990;
L991:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v36dest_y, VV[96]) /*  X-TYPE-ERROR */;
L990:;
          if (ECL_CONSP(v6sequence)) { goto L1000; }
          if (v6sequence==ECL_NIL) { goto L1000; }
          if (!(ECL_VECTORP(v6sequence))) { goto L998; }
          goto L999;
L1000:;
L999:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          {
          cl_object v37;
          v37 = ecl_make_cfun((cl_objectfn_fixed)LC71__g2641,ECL_NIL,Cblock,1);
          T1 = v37;
          }
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), T1) /*  WRITE-SEQUENCE-CARD32 */;
          goto L969;
L998:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6sequence, VV[251]) /*  X-TYPE-ERROR */;
L969:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(4));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L965:;
          {
          cl_object v37;
          v37 = v33boffset;
          {
          cl_object v38;
          v38 = v14display;
          v31_value_ = (v38)->instance.slots[6]=v37;
          }
          }
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v32;
          v32 = v20_display_;
          cl_env_copy->values[0] = (v32)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v28;
          v28 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v21);
          if (!((v28)==(T0))) { goto L1011; }
          if (!((v22)==(v28))) { goto L1015; }
          T0 = mp_lock_count(v21);
          if (!((ecl_fixnum(T0))>(v23))) { goto L1011; }
          goto L1013;
L1015:;
L1013:;
          mp_giveup_lock(v21);
          }
L1011:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L1017; }
         si_check_pending_interrupts();
L1017:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
  }
 }
}
/*      local function G2606                                          */
/*      optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC70__g2606(cl_object v1elt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_CHARACTERP(v1elt))) { goto L1; }
 value0 = ecl_make_fixnum(CHAR_CODE(v1elt));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = v1elt;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*      local function G2641                                          */
/*      optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC71__g2641(cl_object v1elt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_CHARACTERP(v1elt))) { goto L1; }
 value0 = ecl_make_fixnum(CHAR_CODE(v1elt));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = v1elt;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*      function definition for RENDER-ADD-GLYPH                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73render_add_glyph(volatile cl_narg narg, cl_object volatile v1glyph_set, cl_object volatile v2id, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3x_origin;
  cl_object volatile v4y_origin;
  cl_object volatile v5x_advance;
  cl_object volatile v6y_advance;
  cl_object volatile v7data;
  ecl_va_list args; ecl_va_start(args,v2id,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L73render_add_glyphkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3x_origin = keyvars[0];
   v4y_origin = keyvars[1];
   v5x_advance = keyvars[2];
   v6y_advance = keyvars[3];
   v7data = keyvars[4];
  }
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[404])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   L4ensure_render_initialized(v8display);
   {
    volatile cl_fixnum v9w;
    volatile cl_fixnum v10h;
    volatile cl_object v11bitmap_format;
    volatile cl_object v12unit;
    volatile cl_object v13byte_lsb_first_p;
    volatile cl_object v14bit_lsb_first_p;
    v9w = ecl_array_dimension(v7data,1);
    v10h = ecl_array_dimension(v7data,0);
    v11bitmap_format = ecl_function_dispatch(cl_env_copy,VV[449])(1, v8display) /*  DISPLAY-BITMAP-FORMAT */;
    v12unit = ecl_function_dispatch(cl_env_copy,VV[450])(1, v11bitmap_format) /*  BITMAP-FORMAT-UNIT */;
    v13byte_lsb_first_p = ecl_function_dispatch(cl_env_copy,VV[451])(1, v8display) /*  DISPLAY-IMAGE-LSB-FIRST-P */;
    v14bit_lsb_first_p = ecl_function_dispatch(cl_env_copy,VV[452])(1, v11bitmap_format) /*  BITMAP-FORMAT-LSB-FIRST-P */;
    {
     volatile cl_object v15byte_per_line;
     volatile cl_object v16request_length;
     T0 = ecl_function_dispatch(cl_env_copy,VV[430])(1, v1glyph_set) /*  GLYPH-SET-FORMAT */;
     T1 = ecl_function_dispatch(cl_env_copy,VV[291])(1, T0) /*  PICTURE-FORMAT-DEPTH */;
     T2 = ecl_times(ecl_make_fixnum(v9w),T1);
     T3 = ecl_ceiling2(T2,ecl_make_fixnum(32));
     v15byte_per_line = ecl_times(ecl_make_fixnum(4),T3);
     T0 = ecl_times(ecl_make_fixnum(v10h),v15byte_per_line);
     v16request_length = ecl_plus(ecl_make_fixnum(28),T0);
     {
      volatile cl_object v17_display_;
      {
       cl_object v18;
       v18 = v8display;
       T0 = si_of_class_p(2, v18, VV[41]);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v18);
       v17_display_ = v18;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v17_display_) /*  BUFFER-DEAD */)) { goto L14; }
      ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v17_display_) /*  X-ERROR */;
L14:;
      {
       volatile cl_object v18;
       volatile cl_object v19;
       volatile cl_fixnum v20;
       v18 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v17_display_) /*  BUFFER-LOCK */;
       v19 = mp_lock_owner(v18);
       v20 = ecl_fixnum(mp_lock_count(v18));
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v21;
         v21 = _ecl_inner_frame;
         {
          volatile cl_object v22;
          v22 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v23=ECL_STACK_INDEX(cl_env_copy),v24;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v22); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v18);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v25;
          v25 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v17_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v17_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L30; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v17_display_) /*  BUFFER-FLUSH */;
L30:;
          {
          cl_fixnum v26buffer_boffset;
          cl_object v27buffer_bbuf;
          v26buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v17_display_) /*  BUFFER-BOFFSET */);
          v27buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v17_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v28;
          v28 = ecl_make_fixnum(v26buffer_boffset);
          {
          cl_object v29;
          v29 = v17_display_;
          (v29)->instance.slots[4]=v28;
          }
          }
          {
          uint8_t v28;
          cl_fixnum v29;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L42; }
          v28 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v8display) /*  X-ERROR */);
          goto L40;
L42:;
          v28 = ecl_fixnum(value0);
          goto L40;
L40:;
          v29 = (v26buffer_boffset)+(0);
          (v27buffer_bbuf)->vector.self.b8[v29]= v28;
          }
          {
          cl_fixnum v28;
          v28 = (v26buffer_boffset)+(1);
          (v27buffer_bbuf)->vector.self.b8[v28]= (uint8_t)(20);
          }
          {
          cl_object v28_value_;
          v28_value_ = ecl_ceiling2(v16request_length,ecl_make_fixnum(4));
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[345])(3, v28_value_, v27buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L51; }
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v28_value_, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L48;
L51:;
          goto L48;
          }
L48:;
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L54; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v27buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L53;
L54:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L53:;
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, ecl_make_fixnum(1), v27buffer_bbuf, T0) /*  ASET-CARD32 */;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v2id))) { goto L58; }
          v28 = ecl_fixnum(v2id);
          if (!((v28)<=(4294967295))) { goto L58; }
          if (!((v28)>=(0))) { goto L58; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[382])(3, v2id, v27buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L57;
L58:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2id, VV[176]) /*  X-TYPE-ERROR */;
L57:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(1)) { goto L66; }
          v28 = v9w;
          if (!((v28)<=(65535))) { goto L66; }
          if (!((v28)>=(0))) { goto L66; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(v9w), v27buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L65;
L66:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, ecl_make_fixnum(v9w), VV[169]) /*  X-TYPE-ERROR */;
L65:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(1)) { goto L74; }
          v28 = v10h;
          if (!((v28)<=(65535))) { goto L74; }
          if (!((v28)>=(0))) { goto L74; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(18));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(v10h), v27buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L73;
L74:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, ecl_make_fixnum(v10h), VV[169]) /*  X-TYPE-ERROR */;
L73:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v3x_origin))) { goto L82; }
          v28 = ecl_fixnum(v3x_origin);
          if (!((v28)<=(32767))) { goto L82; }
          if (!((v28)>=(-32768))) { goto L82; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v3x_origin, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L81;
L82:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3x_origin, VV[96]) /*  X-TYPE-ERROR */;
L81:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v4y_origin))) { goto L90; }
          v28 = ecl_fixnum(v4y_origin);
          if (!((v28)<=(32767))) { goto L90; }
          if (!((v28)>=(-32768))) { goto L90; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v4y_origin, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L89;
L90:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4y_origin, VV[96]) /*  X-TYPE-ERROR */;
L89:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v5x_advance))) { goto L98; }
          v28 = ecl_fixnum(v5x_advance);
          if (!((v28)<=(32767))) { goto L98; }
          if (!((v28)>=(-32768))) { goto L98; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v5x_advance, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L97;
L98:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5x_advance, VV[96]) /*  X-TYPE-ERROR */;
L97:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v6y_advance))) { goto L106; }
          v28 = ecl_fixnum(v6y_advance);
          if (!((v28)<=(32767))) { goto L106; }
          if (!((v28)>=(-32768))) { goto L106; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[344])(3, v6y_advance, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L105;
L106:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6y_advance, VV[96]) /*  X-TYPE-ERROR */;
L105:;
          {
          cl_object v28_value_;
          {
          cl_object v29;
          {
          cl_fixnum v30_boffset_;
          v30_boffset_ = (v26buffer_boffset)+(28);
          v26buffer_boffset = v30_boffset_;
          v29 = ecl_make_fixnum(v26buffer_boffset);
          }
          {
          cl_object v30;
          v30 = v8display;
          v28_value_ = (v30)->instance.slots[6]=v29;
          }
          }
          }
          {
          cl_object v28_value_;
          {
          cl_object v29im;
          v29im = ecl_function_dispatch(cl_env_copy,VV[453])(8, VV[253], ecl_make_fixnum(v9w), VV[254], ecl_make_fixnum(v10h), VV[160], ecl_make_fixnum(8), VV[255], v7data) /*  CREATE-IMAGE */;
          v28_value_ = ecl_function_dispatch(cl_env_copy,VV[454])(10, v8display, v29im, ecl_make_fixnum(0), ecl_make_fixnum(0), ecl_make_fixnum(v9w), ecl_make_fixnum(v10h), v15byte_per_line, v12unit, v13byte_lsb_first_p, v14bit_lsb_first_p) /*  WRITE-IMAGE-Z */;
          }
          }
          {
          cl_object v28;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v17_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v29;
          v29 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v29));
          v28 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v29;
          v29 = v17_display_;
          cl_env_copy->values[0] = (v29)->instance.slots[3]=v28;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v25);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v17_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v25);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v24=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v18);
          if (!((v25)==(T0))) { goto L125; }
          if (!((v19)==(v25))) { goto L129; }
          T0 = mp_lock_count(v18);
          if (!((ecl_fixnum(T0))>(v20))) { goto L125; }
          goto L127;
L129:;
L127:;
          mp_giveup_lock(v18);
          }
L125:;
          ecl_stack_pop_values(cl_env_copy,v24);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v23);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v21);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L131; }
         si_check_pending_interrupts();
L131:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v21);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
  }
 }
}
/*      function definition for RENDER-ADD-GLYPH-FROM-PICTURE         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74render_add_glyph_from_picture(volatile cl_narg narg, cl_object volatile v1glyph_set, cl_object volatile v2picture, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3x_origin;
  cl_object volatile v4y_origin;
  cl_object volatile v5x_advance;
  cl_object volatile v6y_advance;
  cl_object volatile v7x;
  cl_object volatile v8y;
  cl_object volatile v9width;
  cl_object volatile v10height;
  ecl_va_list args; ecl_va_start(args,v2picture,narg,2);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L74render_add_glyph_from_picturekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3x_origin = keyvars[0];
   v4y_origin = keyvars[1];
   v5x_advance = keyvars[2];
   v6y_advance = keyvars[3];
   v7x = keyvars[4];
   v8y = keyvars[5];
   v9width = keyvars[6];
   v10height = keyvars[7];
  }
  {
   volatile cl_object v11display;
   v11display = ecl_function_dispatch(cl_env_copy,VV[404])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v12_display_;
    {
     cl_object v13;
     v13 = v11display;
     T0 = si_of_class_p(2, v13, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v13);
     v12_display_ = v13;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v12_display_) /*  BUFFER-DEAD */)) { goto L5; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v12_display_) /*  X-ERROR */;
L5:;
    {
     volatile cl_object v13;
     volatile cl_object v14;
     volatile cl_fixnum v15;
     v13 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v12_display_) /*  BUFFER-LOCK */;
     v14 = mp_lock_owner(v13);
     v15 = ecl_fixnum(mp_lock_count(v13));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v16;
       v16 = _ecl_inner_frame;
       {
        volatile cl_object v17;
        v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v18=ECL_STACK_INDEX(cl_env_copy),v19;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v17); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v13);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v20;
          v20 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v12_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v12_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L21; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v12_display_) /*  BUFFER-FLUSH */;
L21:;
          {
          cl_fixnum v21buffer_boffset;
          cl_object v22buffer_bbuf;
          v21buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v12_display_) /*  BUFFER-BOFFSET */);
          v22buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v12_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v23;
          v23 = ecl_make_fixnum(v21buffer_boffset);
          {
          cl_object v24;
          v24 = v12_display_;
          (v24)->instance.slots[4]=v23;
          }
          }
          {
          uint8_t v23;
          cl_fixnum v24;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v11display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L33; }
          v23 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v11display) /*  X-ERROR */);
          goto L31;
L33:;
          v23 = ecl_fixnum(value0);
          goto L31;
L31:;
          v24 = (v21buffer_boffset)+(0);
          (v22buffer_bbuf)->vector.self.b8[v24]= v23;
          }
          {
          cl_fixnum v23;
          v23 = (v21buffer_boffset)+(1);
          (v22buffer_bbuf)->vector.self.b8[v23]= (uint8_t)(21);
          }
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L40; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v22buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L39;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L39:;
          if (Null(si_of_class_p(2, v2picture, VV[49]))) { goto L43; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v2picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v22buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L42;
L43:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2picture, VV[49]) /*  X-TYPE-ERROR */;
L42:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v9width))) { goto L46; }
          v23 = ecl_fixnum(v9width);
          if (!((v23)<=(65535))) { goto L46; }
          if (!((v23)>=(0))) { goto L46; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v9width, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L45;
L46:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v9width, VV[169]) /*  X-TYPE-ERROR */;
L45:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v10height))) { goto L54; }
          v23 = ecl_fixnum(v10height);
          if (!((v23)<=(65535))) { goto L54; }
          if (!((v23)>=(0))) { goto L54; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(14));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v10height, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L53;
L54:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v10height, VV[169]) /*  X-TYPE-ERROR */;
L53:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v3x_origin))) { goto L62; }
          v23 = ecl_fixnum(v3x_origin);
          if (!((v23)<=(65535))) { goto L62; }
          if (!((v23)>=(0))) { goto L62; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v3x_origin, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L61;
L62:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3x_origin, VV[169]) /*  X-TYPE-ERROR */;
L61:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v4y_origin))) { goto L70; }
          v23 = ecl_fixnum(v4y_origin);
          if (!((v23)<=(65535))) { goto L70; }
          if (!((v23)>=(0))) { goto L70; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(18));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v4y_origin, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L69;
L70:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v4y_origin, VV[169]) /*  X-TYPE-ERROR */;
L69:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v5x_advance))) { goto L78; }
          v23 = ecl_fixnum(v5x_advance);
          if (!((v23)<=(65535))) { goto L78; }
          if (!((v23)>=(0))) { goto L78; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v5x_advance, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L77;
L78:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v5x_advance, VV[169]) /*  X-TYPE-ERROR */;
L77:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v6y_advance))) { goto L86; }
          v23 = ecl_fixnum(v6y_advance);
          if (!((v23)<=(65535))) { goto L86; }
          if (!((v23)>=(0))) { goto L86; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v6y_advance, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L85;
L86:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6y_advance, VV[169]) /*  X-TYPE-ERROR */;
L85:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v7x))) { goto L94; }
          v23 = ecl_fixnum(v7x);
          if (!((v23)<=(65535))) { goto L94; }
          if (!((v23)>=(0))) { goto L94; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v7x, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L93;
L94:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v7x, VV[169]) /*  X-TYPE-ERROR */;
L93:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v8y))) { goto L102; }
          v23 = ecl_fixnum(v8y);
          if (!((v23)<=(65535))) { goto L102; }
          if (!((v23)>=(0))) { goto L102; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v8y, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L101;
L102:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v8y, VV[169]) /*  X-TYPE-ERROR */;
L101:;
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(7), v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v23;
          v23 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(28));
          {
          cl_object v24;
          v24 = v12_display_;
          (v24)->instance.slots[6]=v23;
          }
          }
          {
          cl_object v23;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v12_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v24;
          v24 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v24));
          v23 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v24;
          v24 = v12_display_;
          cl_env_copy->values[0] = (v24)->instance.slots[3]=v23;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v20);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v12_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v20);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v19=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v20;
          v20 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v13);
          if (!((v20)==(T0))) { goto L116; }
          if (!((v14)==(v20))) { goto L120; }
          T0 = mp_lock_count(v13);
          if (!((ecl_fixnum(T0))>(v15))) { goto L116; }
          goto L118;
L120:;
L118:;
          mp_giveup_lock(v13);
         }
L116:;
         ecl_stack_pop_values(cl_env_copy,v19);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v18);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v16);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L122; }
       si_check_pending_interrupts();
L122:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v16);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-FREE-GLYPHS                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75render_free_glyphs(cl_object volatile v1glyph_set, cl_object volatile v2glyphs)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[404])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v4_display_;
    {
     cl_object v5;
     v5 = v3display;
     T0 = si_of_class_p(2, v5, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v5);
     v4_display_ = v5;
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v4_display_) /*  BUFFER-DEAD */)) { goto L5; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v4_display_) /*  X-ERROR */;
L5:;
    {
     volatile cl_object v5;
     volatile cl_object v6;
     volatile cl_fixnum v7;
     v5 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v4_display_) /*  BUFFER-LOCK */;
     v6 = mp_lock_owner(v5);
     v7 = ecl_fixnum(mp_lock_count(v5));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v8;
       v8 = _ecl_inner_frame;
       {
        volatile cl_object v9;
        v9 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v9); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v5);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v4_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v4_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L21; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v4_display_) /*  BUFFER-FLUSH */;
L21:;
          {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v4_display_) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v4_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v15;
          v15 = ecl_make_fixnum(v13buffer_boffset);
          {
          cl_object v16;
          v16 = v4_display_;
          (v16)->instance.slots[4]=v15;
          }
          }
          {
          uint8_t v15;
          cl_fixnum v16;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L33; }
          v15 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v3display) /*  X-ERROR */);
          goto L31;
L33:;
          v15 = ecl_fixnum(value0);
          goto L31;
L31:;
          v16 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v16]= v15;
          }
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(1);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(22);
          }
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L40; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, T0, v14buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L39;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L39:;
          if (ECL_CONSP(v2glyphs)) { goto L45; }
          if (v2glyphs==ECL_NIL) { goto L45; }
          if (!(ECL_VECTORP(v2glyphs))) { goto L43; }
          goto L44;
L45:;
L44:;
          {
          cl_fixnum v15;
          v15 = ecl_length(v2glyphs);
          T0 = ecl_minus(ecl_make_fixnum(v15),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(2));
          T2 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, T1, v14buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[442])(6, v4_display_, T0, v2glyphs, ecl_make_fixnum(0), ecl_make_fixnum(v15), ECL_NIL) /*  WRITE-SEQUENCE-CARD32 */;
          goto L42;
          }
L43:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2glyphs, VV[258]) /*  X-TYPE-ERROR */;
L42:;
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v4_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v16;
          v16 = v4_display_;
          cl_env_copy->values[0] = (v16)->instance.slots[3]=v15;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v12);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v4_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v11=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v12;
          v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v5);
          if (!((v12)==(T0))) { goto L53; }
          if (!((v6)==(v12))) { goto L57; }
          T0 = mp_lock_count(v5);
          if (!((ecl_fixnum(T0))>(v7))) { goto L53; }
          goto L55;
L57:;
L55:;
          mp_giveup_lock(v5);
         }
L53:;
         ecl_stack_pop_values(cl_env_copy,v11);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v10);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v8);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L59; }
       si_check_pending_interrupts();
L59:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*      function definition for RENDER-CREATE-CURSOR                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76render_create_cursor(volatile cl_narg narg, cl_object volatile v1picture, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2x;
  cl_object volatile v3y;
  va_list args; va_start(args,v1picture);
  {
   int i = 1;
   if (i >= narg) {
    v2x = ecl_make_fixnum(0);
   } else {
    i++;
    v2x = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v3y = ecl_make_fixnum(0);
   } else {
    i++;
    v3y = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object v4display;
   v4display = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v4display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v5cursor;
    volatile cl_object v6cid;
    v5cursor = ecl_function_dispatch(cl_env_copy,VV[466])(2, VV[94], v4display) /*  MAKE-CURSOR */;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v4display) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v4display) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     volatile cl_fixnum v9;
     v7 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v4display) /*  BUFFER-LOCK */;
     v8 = mp_lock_owner(v7);
     v9 = ecl_fixnum(mp_lock_count(v7));
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v10;
       v10 = _ecl_inner_frame;
       {
        volatile cl_object v11;
        v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v7);
         {
          cl_object v14id;
          T0 = ecl_function_dispatch(cl_env_copy,VV[399])(1, v4display) /*  DISPLAY-XID */;
          v14id = ecl_function_dispatch(cl_env_copy,T0)(1, v4display);
          ecl_function_dispatch(cl_env_copy,VV[467])(3, v4display, v14id, v5cursor) /*  SAVE-ID */;
          cl_env_copy->values[0] = v14id;
          cl_env_copy->nvalues = 1;
          ecl_bds_unwind1(cl_env_copy);
         }
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v13=ecl_stack_push_values(cl_env_copy);
         {
          cl_object v14;
          v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v7);
          if (!((v14)==(T0))) { goto L23; }
          if (!((v8)==(v14))) { goto L27; }
          T0 = mp_lock_count(v7);
          if (!((ecl_fixnum(T0))>(v9))) { goto L23; }
          goto L25;
L27:;
L25:;
          mp_giveup_lock(v7);
         }
L23:;
         ecl_stack_pop_values(cl_env_copy,v13);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v12);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v10);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L29; }
       si_check_pending_interrupts();
L29:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     v6cid = value0;
    }
    ecl_structure_set(v5cursor,VV[260],0,v6cid);
    {
     volatile cl_object v7_display_;
     {
      cl_object v8;
      v8 = v4display;
      T0 = si_of_class_p(2, v8, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v8);
      v7_display_ = v8;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[335])(1, v7_display_) /*  BUFFER-DEAD */)) { goto L36; }
     ecl_function_dispatch(cl_env_copy,VV[336])(3, VV[93], VV[94], v7_display_) /*  X-ERROR */;
L36:;
     {
      volatile cl_object v8;
      volatile cl_object v9;
      volatile cl_fixnum v10;
      v8 = ecl_function_dispatch(cl_env_copy,VV[337])(1, v7_display_) /*  BUFFER-LOCK */;
      v9 = mp_lock_owner(v8);
      v10 = ecl_fixnum(mp_lock_count(v8));
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v11;
        v11 = _ecl_inner_frame;
        {
         volatile cl_object v12;
         v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1736),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v13=ECL_STACK_INDEX(cl_env_copy),v14;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v12); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v8);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v15;
          v15 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[232])(1, v7_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[338])(1, v7_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L52; }
          ecl_function_dispatch(cl_env_copy,VV[339])(1, v7_display_) /*  BUFFER-FLUSH */;
L52:;
          {
          cl_fixnum v16buffer_boffset;
          cl_object v17buffer_bbuf;
          v16buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[232])(1, v7_display_) /*  BUFFER-BOFFSET */);
          v17buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[340])(1, v7_display_) /*  BUFFER-OBUF8 */;
          {
          cl_object v18;
          v18 = ecl_make_fixnum(v16buffer_boffset);
          {
          cl_object v19;
          v19 = v7_display_;
          (v19)->instance.slots[4]=v18;
          }
          }
          {
          uint8_t v18;
          cl_fixnum v19;
          T1 = ecl_function_dispatch(cl_env_copy,VV[341])(1, v4display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L64; }
          v18 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[336])(5, VV[95], ECL_SYM("NAME",1276), VV[2], VV[94], v4display) /*  X-ERROR */);
          goto L62;
L64:;
          v18 = ecl_fixnum(value0);
          goto L62;
L62:;
          v19 = (v16buffer_boffset)+(0);
          (v17buffer_bbuf)->vector.self.b8[v19]= v18;
          }
          {
          cl_fixnum v18;
          v18 = (v16buffer_boffset)+(1);
          (v17buffer_bbuf)->vector.self.b8[v18]= (uint8_t)(27);
          }
          {
          cl_fixnum v18;
          v18 = 0;
          if (!(ECL_FIXNUMP(v6cid))) { goto L71; }
          v18 = ecl_fixnum(v6cid);
          if (!((v18)<=(536870911))) { goto L71; }
          if (!((v18)>=(0))) { goto L71; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v6cid, v17buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L70;
L71:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v6cid, VV[89]) /*  X-TYPE-ERROR */;
L70:;
          {
          cl_object v18_value_;
          v18_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v19;
          v19 = 0;
          if (!(ECL_FIXNUMP(v18_value_))) { goto L80; }
          v19 = ecl_fixnum(v18_value_);
          if (!((v19)<=(536870911))) { goto L80; }
          if (!((v19)>=(0))) { goto L80; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[342])(3, v18_value_, v17buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L78;
L80:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v18_value_, VV[89]) /*  X-TYPE-ERROR */;
          }
L78:;
          {
          cl_fixnum v18;
          v18 = 0;
          if (!(ECL_FIXNUMP(v2x))) { goto L88; }
          v18 = ecl_fixnum(v2x);
          if (!((v18)<=(65535))) { goto L88; }
          if (!((v18)>=(0))) { goto L88; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v2x, v17buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L87;
L88:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v2x, VV[169]) /*  X-TYPE-ERROR */;
L87:;
          {
          cl_fixnum v18;
          v18 = 0;
          if (!(ECL_FIXNUMP(v3y))) { goto L96; }
          v18 = ecl_fixnum(v3y);
          if (!((v18)<=(65535))) { goto L96; }
          if (!((v18)>=(0))) { goto L96; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(14));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, v3y, v17buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L95;
L96:;
          ecl_function_dispatch(cl_env_copy,VV[343])(2, v3y, VV[169]) /*  X-TYPE-ERROR */;
L95:;
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[345])(3, ecl_make_fixnum(4), v17buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v18;
          v18 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(16));
          {
          cl_object v19;
          v19 = v7_display_;
          (v19)->instance.slots[6]=v18;
          }
          }
          {
          cl_object v18;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[347])(1, v7_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v19;
          v19 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v19));
          v18 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          {
          cl_object v19;
          v19 = v7_display_;
          cl_env_copy->values[0] = (v19)->instance.slots[3]=v18;
          cl_env_copy->nvalues = 1;
          }
          }
          }
          ecl_stack_frame_push_values(v15);
          ecl_function_dispatch(cl_env_copy,VV[348])(1, v7_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v15);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v14=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v15;
          v15 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1402));
          T0 = mp_lock_owner(v8);
          if (!((v15)==(T0))) { goto L110; }
          if (!((v9)==(v15))) { goto L114; }
          T0 = mp_lock_count(v8);
          if (!((ecl_fixnum(T0))>(v10))) { goto L110; }
          goto L112;
L114:;
L112:;
          mp_giveup_lock(v8);
          }
L110:;
          ecl_stack_pop_values(cl_env_copy,v14);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v13);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v11);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L116; }
        si_check_pending_interrupts();
L116:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
    value0 = v5cursor;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}

#include "clx/xrender.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclrP216amaNS7r9_6TYNeJ21(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;XRENDER.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclrP216amaNS7r9_6TYNeJ21@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  cl_export(1, VVtemp[0]);
  cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[0], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
 {
  cl_object T0, T1, T2, T3;
  T0 = cl_list(3, VV[2], ECL_NIL, ECL_NIL);
  T1 = ecl_symbol_value(VV[1]);
  T2 = (ECL_SYM("CAR",180)->symbol.gfdef);
  T3 = cl_delete(4, VV[2], T1, ECL_SYM("KEY",1265), T2);
  cl_set(VV[1],CONS(T0,T3));
 }
  si_Xmake_constant(VV[3], ecl_make_fixnum(0));
  si_Xmake_constant(VV[4], ecl_make_fixnum(1));
  si_Xmake_constant(VV[5], ecl_make_fixnum(2));
  si_Xmake_constant(VV[6], ecl_make_fixnum(3));
  si_Xmake_constant(VV[7], ecl_make_fixnum(4));
  si_Xmake_constant(VV[8], ecl_make_fixnum(5));
  si_Xmake_constant(VV[9], ecl_make_fixnum(6));
  si_Xmake_constant(VV[10], ecl_make_fixnum(7));
  si_Xmake_constant(VV[11], ecl_make_fixnum(8));
  si_Xmake_constant(VV[12], ecl_make_fixnum(9));
  si_Xmake_constant(VV[13], ecl_make_fixnum(10));
  si_Xmake_constant(VV[14], ecl_make_fixnum(11));
  si_Xmake_constant(VV[15], ecl_make_fixnum(12));
  si_Xmake_constant(VV[16], ecl_make_fixnum(13));
  si_Xmake_constant(VV[17], ecl_make_fixnum(14));
  si_Xmake_constant(VV[18], ecl_make_fixnum(15));
  si_Xmake_constant(VV[19], ecl_make_fixnum(16));
  si_Xmake_constant(VV[20], ecl_make_fixnum(17));
  si_Xmake_constant(VV[21], ecl_make_fixnum(18));
  si_Xmake_constant(VV[22], ecl_make_fixnum(19));
  si_Xmake_constant(VV[23], ecl_make_fixnum(20));
  si_Xmake_constant(VV[24], ecl_make_fixnum(21));
  si_Xmake_constant(VV[25], ecl_make_fixnum(22));
  si_Xmake_constant(VV[26], ecl_make_fixnum(23));
  si_Xmake_constant(VV[27], ecl_make_fixnum(24));
  si_Xmake_constant(VV[28], ecl_make_fixnum(25));
  si_Xmake_constant(VV[29], ecl_make_fixnum(26));
  si_Xmake_constant(VV[30], ecl_make_fixnum(27));
  si_Xmake_constant(VV[31], ecl_make_fixnum(28));
  si_Xmake_constant(VV[32], ecl_make_fixnum(29));
  si_Xmake_constant(VV[33], ecl_make_fixnum(30));
  si_Xmake_constant(VV[34], ecl_make_fixnum(31));
  si_define_structure(15, VV[35], _ecl_static_1, ECL_NIL, ECL_NIL, VVtemp[1], VVtemp[2], VV[36], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[3], ecl_make_fixnum(3), ECL_NIL, ECL_NIL, VV[37]);
  VV[38]= cl_find_class(1, VV[35]);
  ecl_cmp_defun(VV[262]);                         /*  MAKE-RENDER-INFO */
  ecl_cmp_defun(VV[266]);                         /*  DISPLAY-RENDER-INFO */
  ecl_cmp_defun(VV[268]);                         /*  (SETF DISPLAY-RENDER-INFO) */
  ecl_cmp_defun(VV[269]);                         /*  ENSURE-RENDER-INITIALIZED */
  ecl_cmp_defun(VV[271]);                         /*  FIND-MATCHING-PICTURE-FORMATS */
  ecl_cmp_defun(VV[296]);                         /*  FIND-WINDOW-PICTURE-FORMAT */
  si_putprop(VV[49], ecl_make_fixnum(4), VV[50]);
  ecl_cmp_defmacro(VV[304]);                      /*  PICTURE-GET     */
  ecl_cmp_defmacro(VV[305]);                      /*  PICTURE-PUT     */
  si_putprop(VV[56], ecl_make_fixnum(4), VV[50]);
  ecl_cmp_defmacro(VV[306]);                      /*  GLYPH-SET-GET   */
  ecl_cmp_defmacro(VV[307]);                      /*  GLYPH-SET-PUT   */
  si_define_structure(15, VV[60], _ecl_static_2, ECL_NIL, ECL_NIL, VVtemp[4], VVtemp[5], VV[61], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[6], ecl_make_fixnum(9), ECL_NIL, ECL_NIL, VV[62]);
  VV[65]= cl_find_class(1, VV[60]);
  ecl_cmp_defun(VV[308]);                         /*  MAKE-PICTURE-FORMAT */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC16__g66,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(6, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[7], VVtemp[8], T0, ECL_T);
 }
  si_putprop(VV[60], ecl_make_fixnum(4), VV[50]);
  ecl_cmp_defmacro(VV[318]);                      /*  PICTURE-FORMAT-GET */
  ecl_cmp_defmacro(VV[319]);                      /*  PICTURE-FORMAT-PUT */
  si_putprop(VV[79], ecl_make_fixnum(1), VV[50]);
  ecl_cmp_defmacro(VV[320]);                      /*  RENDER-OP-GET   */
  ecl_cmp_defmacro(VV[321]);                      /*  RENDER-OP-PUT   */
  si_do_deftype(3, VV[79], VVtemp[9], VVtemp[10]);
  si_define_structure(15, VV[49], _ecl_static_3, ECL_NIL, ECL_NIL, VVtemp[11], VVtemp[12], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[13], ecl_make_fixnum(8), ECL_NIL, ECL_NIL, VV[86]);
  VV[90]= cl_find_class(1, VV[49]);
  ecl_cmp_defun(VV[322]);                         /*  MAKE-PICTURE    */
  ecl_cmp_defun(VV[331]);                         /*  PICTURE-DRAWABLE */
  ecl_cmp_defun(VV[333]);                         /*  %RENDER-CHANGE-PICTURE-CLIP-RECTANGLES */
  ecl_cmp_defun(VV[349]);                         /*  PICTURE-REPEAT  */
  ecl_cmp_defun(VV[350]);                         /*  (SETF PICTURE-REPEAT) */
  ecl_cmp_defun(VV[351]);                         /*  PICTURE-ALPHA-MAP */
  ecl_cmp_defun(VV[352]);                         /*  (SETF PICTURE-ALPHA-MAP) */
  ecl_cmp_defun(VV[353]);                         /*  PICTURE-ALPHA-X-ORIGIN */
  ecl_cmp_defun(VV[354]);                         /*  (SETF PICTURE-ALPHA-X-ORIGIN) */
  ecl_cmp_defun(VV[355]);                         /*  PICTURE-ALPHA-Y-ORIGIN */
  ecl_cmp_defun(VV[356]);                         /*  (SETF PICTURE-ALPHA-Y-ORIGIN) */
  ecl_cmp_defun(VV[357]);                         /*  PICTURE-CLIP-X-ORIGIN */
  ecl_cmp_defun(VV[358]);                         /*  (SETF PICTURE-CLIP-X-ORIGIN) */
  ecl_cmp_defun(VV[359]);                         /*  PICTURE-CLIP-Y-ORIGIN */
  ecl_cmp_defun(VV[360]);                         /*  (SETF PICTURE-CLIP-Y-ORIGIN) */
  ecl_cmp_defun(VV[361]);                         /*  PICTURE-CLIP-MASK */
  ecl_cmp_defun(VV[362]);                         /*  (SETF PICTURE-CLIP-MASK) */
  ecl_cmp_defun(VV[363]);                         /*  PICTURE-GRAPHICS-EXPOSURES */
  ecl_cmp_defun(VV[364]);                         /*  (SETF PICTURE-GRAPHICS-EXPOSURES) */
  ecl_cmp_defun(VV[365]);                         /*  PICTURE-SUBWINDOW-MODE */
  ecl_cmp_defun(VV[366]);                         /*  (SETF PICTURE-SUBWINDOW-MODE) */
  ecl_cmp_defun(VV[367]);                         /*  PICTURE-POLY-EDGE */
  ecl_cmp_defun(VV[368]);                         /*  (SETF PICTURE-POLY-EDGE) */
  ecl_cmp_defun(VV[369]);                         /*  PICTURE-POLY-MODE */
  ecl_cmp_defun(VV[370]);                         /*  (SETF PICTURE-POLY-MODE) */
  ecl_cmp_defun(VV[371]);                         /*  PICTURE-DITHER  */
  ecl_cmp_defun(VV[372]);                         /*  (SETF PICTURE-DITHER) */
  ecl_cmp_defun(VV[373]);                         /*  PICTURE-COMPONENT-ALPHA */
  ecl_cmp_defun(VV[374]);                         /*  (SETF PICTURE-COMPONENT-ALPHA) */
  ecl_cmp_defun(VV[375]);                         /*  SYNCHRONISE-PICTURE-STATE */
  ecl_cmp_defun(VV[376]);                         /*  RENDER-CREATE-PICTURE */
  si_Xmake_constant(VV[152], ecl_make_fixnum(13));
  ecl_cmp_defun(VV[402]);                         /*  RENDER-FREE-PICTURE */
  ecl_cmp_defun(VV[403]);                         /*  RENDER-FREE-GLYPH-SET */
  ecl_cmp_defun(VV[405]);                         /*  RENDER-QUERY-VERSION */
  ecl_cmp_defun(VV[413]);                         /*  RENDER-QUERY-PICTURE-FORMATS */
  ecl_cmp_defun(VV[416]);                         /*  RENDER-FILL-RECTANGLE */
  ecl_cmp_defun(VV[417]);                         /*  RENDER-TRIANGLES-1 */
  ecl_cmp_defun(VV[419]);                         /*  RENDER-SET-PICTURE-TRANSFORM */
  ecl_cmp_defun(VV[420]);                         /*  RENDER-QUERY-FILTERS */
  ecl_cmp_defun(VV[421]);                         /*  RENDER-SET-FILTER */
  ecl_cmp_defun(VV[423]);                         /*  RENDER-TRAPEZOIDS-1 */
  ecl_cmp_defun(VV[424]);                         /*  RENDER-COMPOSITE */
  si_define_structure(15, VV[56], _ecl_static_4, ECL_NIL, ECL_NIL, VVtemp[14], VVtemp[15], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[16], ecl_make_fixnum(4), ECL_NIL, ECL_NIL, VV[189]);
  VV[190]= cl_find_class(1, VV[56]);
  ecl_cmp_defun(VV[425]);                         /*  MAKE-GLYPH-SET  */
  ecl_cmp_defun(VV[426]);                         /*  RENDER-CREATE-GLYPH-SET */
  ecl_cmp_defun(VV[429]);                         /*  RENDER-REFERENCE-GLYPH-SET */
  ecl_cmp_defun(VV[431]);                         /*  RENDER-COMPOSITE-GLYPHS-8 */
  ecl_cmp_defmacro(VV[439]);                      /*  %RENDER-COMPOSITE-GLYPHS */
  ecl_cmp_defun(VV[440]);                         /*  RENDER-COMPOSITE-GLYPHS */
  ecl_cmp_defun(VV[443]);                         /*  RENDER-ADD-GLYPH */
  ecl_cmp_defun(VV[455]);                         /*  RENDER-ADD-GLYPH-FROM-PICTURE */
  ecl_cmp_defun(VV[464]);                         /*  RENDER-FREE-GLYPHS */
  ecl_cmp_defun(VV[465]);                         /*  RENDER-CREATE-CURSOR */
}
